About eMailer Manager

You can use eMailer Manager to select, group into batches, and deliver your Microsoft Dynamics GP documents.

eMailer Manager creates reports from the data or documents that you select, and converts them to PDF files. The PDF files are then attached to email or fax messages that are automatically sent to your customers, vendors, or employees. eMailer Manager can be set to automatically attach additional documents to a message that is sent.

With eMailer Manager, businesses can send an unlimited number of documents to an unlimited number of recipients. Users that have large volumes of documents to send on a weekly basis will experience a vast reduction in processing time per document by using eMailer Manager to send the documents.

For the latest documentation, visit the Binary Stream Portal (https://portal.binarystream.com/) External link.

From version 1.50.0.0 onwards, PLM supports New Zealand and GB/United Kingdom localization.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.
The topic is incomplete.
Could not find the right topic.

Send us your suggestions on how to improve this article.

C H M Footer Table
Binary Stream Portal Copyright © 2025 Binary Stream Software Inc.


What's New or Changed

Review the information on this screen to see what's new or changed in the latest versions of eMailer Manager. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Microsoft Dynamics GP 18.8

Closed Build 1401 (October 2025)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgraded from GP18.7.1756 to GP18.8.1904 | N/A | N/A | N/A

Microsoft Dynamics GP 18.7

Closed Build 1302 (December 2024)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgraded from GP18.7.1756 to GP18.7.1765 | N/A | N/A | N/A

Microsoft Dynamics GP 18.7

Closed Build 1301 (October 2024)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgraded from GP18.6.1685 to GP18.7.1756. | N/A | N/A | N/A

Microsoft Dynamics GP 18.6

Closed Build 1201 (October 2023)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgraded from GP 18.5.1556 to GP 18.6.1685. | N/A | N/A | N/A

Microsoft Dynamics GP 18.5

Closed Build 1101 (October 2022)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgraded from GP18.4.1361 to GP18.5.1556. |  |  |

Microsoft Dynamics GP 18.4

Closed Build 1001 (October 2021)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgrade from GP 18.3.1200 to GP 18.4.1361. |  |  |

Microsoft Dynamics GP 18.3

Closed Build 952 (March 2021)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Enhancement | Improved the performance when clicking Redisplay on the Mass SOP Transmission window when Process Type is set to "Statements" and the company database has many customers in table RM_Customer_MSTR (RM00101). | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
Closed Build 951a (January 2021)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Fixed issue: When trying to install eMailer Manager using the MSI file, user receives error "Error 1001. An exception occurred during the Commit phase of the installation. This exception will be ignored and installation will continue. However, the application might not function correctly after installation is complete. --> A specified login session does not exist. It may already have been terminated". When the user clicks OK on the error, the installer removes the eMailer chunk file (BSSI04.cnk) from the GP folder and the installation is therefore incomplete. |  |  |

Microsoft Dynamics GP 18.2

Closed Build 806a (February 2021)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Fixed issue: When trying to install eMailer Manager using the MSI file, user receives error "Error 1001. An exception occurred during the Commit phase of the installation. This exception will be ignored and installation will continue. However, the application might not function correctly after installation is complete. --> A specified login session does not exist. It may already have been terminated". When the user clicks OK on the error, the installer removes the eMailer chunk file (BSSI04.cnk) from the GP folder and the installation is therefore incomplete. |  |  |

Microsoft Dynamics GP 2018 R2

Closed Build 706a (February 2021)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Fixed issue: When trying to install eMailer Manager using the MSI file, user receives error "Error 1001. An exception occurred during the Commit phase of the installation. This exception will be ignored and installation will continue. However, the application might not function correctly after installation is complete. --> A specified login session does not exist. It may already have been terminated". When the user clicks OK on the error, the installer removes the eMailer chunk file (BSSI04.cnk) from the GP folder and the installation is therefore incomplete. |  |  |

Microsoft Dynamics GP 2016 SP0

Closed Build 617 (March 2021)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Enhancement | Improved the performance when clicking Redisplay on the Mass SOP Transmission window when Process Type is set to "Statements" and the company database has many customers in table RM_Customer_MSTR (RM00101). | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
Closed Build 616a (January 2021)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Fixed issue: When trying to install eMailer Manager using the MSI file, user receives error "Error 1001. An exception occurred during the Commit phase of the installation. This exception will be ignored and installation will continue. However, the application might not function correctly after installation is complete. --> A specified login session does not exist. It may already have been terminated". When the user clicks OK on the error, the installer removes the eMailer chunk file (BSSI04.cnk) from the GP folder and the installation is therefore incomplete. |  |  |

Microsoft Dynamics GP 2015 SP0

Closed Build 511a (February 2021)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Fixed issue: When trying to install eMailer Manager using the MSI file, user receives error "Error 1001. An exception occurred during the Commit phase of the installation. This exception will be ignored and installation will continue. However, the application might not function correctly after installation is complete. --> A specified login session does not exist. It may already have been terminated". When the user clicks OK on the error, the installer removes the eMailer chunk file (BSSI04.cnk) from the GP folder and the installation is therefore incomplete. |  |  |

Microsoft Dynamics GP 2013 R2

Closed Build 409a (February 2021)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Fixed issue: When trying to install eMailer Manager using the MSI file, user receives error "Error 1001. An exception occurred during the Commit phase of the installation. This exception will be ignored and installation will continue. However, the application might not function correctly after installation is complete. --> A specified login session does not exist. It may already have been terminated". When the user clicks OK on the error, the installer removes the eMailer chunk file (BSSI04.cnk) from the GP folder and the installation is therefore incomplete. |  |  |

See also

Known Issues and Limitations

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Known Issues and Limitations

The following list of known issues and limitations are in the current versions of eMailer Manager.

For the most current information about the latest version, see the Readme file that is included with the installation file.

  • Alternate/Modified Forms and Reports window

    When you use this window to select to use the alternate window for any Binary Stream program, you can usually see which Microsoft Dynamics GP windows have alternate Binary Stream windows.

    For example, when you set Product to Emailer Solution, you can see all the modules and windows where you can select the Binary Stream window.

    However, a known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available.

    If you have multiple programs that have an alternate window for the same Microsoft Dynamics GP window and you have already selected the alternate window for one of the programs, the list of windows for a different program does not show all the current windows that have an alternate window.

    For example, you have two Binary Stream programs installed, Multi-Entity Management and Property Management. In the Alternate/Modified Forms and Reports window, you already selected to use the alternate Multi-Entity Management window for the Receivables Transaction Entry window. When you set Product to Property Management, the Receivables Transaction Entry window does not appear in the list for you to select the alternate window.

    To be able to see all windows for a particular program, in the Alternate/Modified Forms and Reports window, set Product to All Products. You can then expand the modules to see which windows have the alternate window you want to use. Closed View image.

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


What's New or Changed Previous Years

Review the information on this screen to see what's new or changed in the latest versions of eMailer Manager. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

2020

Closed Microsoft Dynamics GP 18.3
Closed Build 951 (December 2020)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgraded dictionary to be compatible with Microsoft Dynamics GP build 18.3.1200. |  |  |
Issue Fixed | Fixed issue: When the Print Option on the eMailer Manager Setup window is set to Acrobat PDF Writer and the user tries to send an email with the Mass PA Transmission window, the user receives error “Unhandled object exception: Null Reference Exception”. |  |  |
Closed Build 902 (November 2020)
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue Fixed

Fixed Issue: When Microsoft Dynamics GP fails or the program is stopped from the Task Manager while customer statements are being processed from the Mass SOP Transmission window, the temporary processing records might persist in the B0402000 table. As a result, when the same user tries to process the statements again at a future time, one of the following scenarios can occur:

  • The old statements in table B0402000 could be sent again to those customers.
  • Those customers could receive an email without an attachment and the Transmission Log and Transmission Error reports will show the following error for those customers: "Statement does not exist for this customer."
Tools > Utilities > eMailer Manager > Mass SOP Transmission
Closed Build 901 (October 2020)
Type | Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Issue Fixed

Fixed Issue: User receives error ""Transmission failed. Outlook error: The parameter is incorrect"" when sending emails after upgrading Office 365. (Note: In eMailer versions released prior to March 2018, the error message is ""Transmission failed due to unknown error"").

As of Oct 15, 2020, the following versions of Outlook for Office 365 are confirmed to cause this issue: 16.0.13231.xxxxx 16.0.13127.xxxxx. As of Oct 15, 2020, the following version of Outlook for Office 365 is confirmed to NOT cause this issue: 16.0.12527.xxxxx.

 Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission
Upgrade | Upgraded from Microsoft Dynamics GP 2018.2 (18.2.1013) to Microsoft Dynamics GP 18.3 October 2020 Release (18.3.1173).
Closed Microsoft Dynamics GP 18.2
Closed Build 806 (November 2020)
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue Fixed

Fixed Issue: When Microsoft Dynamics GP fails or the program is stopped from the Task Manager while customer statements are being processed from the Mass SOP Transmission window, the temporary processing records might persist in the B0402000 table. As a result, when the same user tries to process the statements again at a future time, one of the following scenarios can occur:

  • The old statements in table B0402000 could be sent again to those customers.
  • Those customers could receive an email without an attachment and the Transmission Log and Transmission Error reports will show the following error for those customers: "Statement does not exist for this customer."
Tools > Utilities > eMailer Manager > Mass SOP Transmission
Closed Build 805 (October 2020)
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue Fixed

Fixed Issue: User receives error ""Transmission failed. Outlook error: The parameter is incorrect"" when sending emails after upgrading Office 365. (Note: In eMailer versions released prior to March 2018, the error message is ""Transmission failed due to unknown error"").

As of Oct 15, 2020, the following versions of Outlook for Office 365 are confirmed to cause this issue: 16.0.13231.xxxxx 16.0.13127.xxxxx. As of Oct 15, 2020, the following version of Outlook for Office 365 is confirmed to NOT cause this issue: 16.0.12527.xxxxx.

 Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission
Closed Build 706 (October 2020)
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue Fixed

Fixed Issue: User receives error ""Transmission failed. Outlook error: The parameter is incorrect"" when sending emails after upgrading Office 365. (Note: In eMailer versions released prior to March 2018, the error message is ""Transmission failed due to unknown error"").

As of Oct 15, 2020, the following versions of Outlook for Office 365 are confirmed to cause this issue: 16.0.13231.xxxxx 16.0.13127.xxxxx. As of Oct 15, 2020, the following version of Outlook for Office 365 is confirmed to NOT cause this issue: 16.0.12527.xxxxx.

 Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission
Closed Build 804 (September 2020)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Enhancement | Issue Fix: After the customer recently changed their environment to run GP as a published app on a Terminal Server instead of running GP on the user's workstation, creating PDF files on the Mass Payroll Transmission window with Process Type of ""Payroll - Canada"" and Report Type of ""Detail Advice Slips"" is running so slowly that is does not finish creating even one PDF file, even when left running for several hours. Note that the GP version and the eMailer version were NOT changed during this environment change and the number of records in the B0450260 table (BSSI_P_Batch_MSTR_LY) and the B0430260 table (BSSI_P_Batch_MSTR), where much of the data access of this process occurs, has only increased by a very small percentage since the time before the environment change. | Tools > Utilities > eMailer Manager > Mass Payroll Transmission |  |
Closed Build 803 (May 2020)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Fixed Issue: When eMailer is configured to send SOP documents as Word Template reports, and a user is emailing one set of SOP documents on the Mass SOP Transmission window, and then the same user sends another set of SOP documents on the Mass SOP Transmission window before the first set has finished sending, some of the DOCX files created may have more than one SOP document inside them and some of those documents could even be for a different customer than the customer contained in the file name. | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
Issue | "Fixed Issue: When eMailer is configured to send SOP documents as GP reports, and “Acrobat PDF Writer” is selected as the Print Option on the eMailer Manager Setup window, and a user is emailing one set of SOP documents on the Mass SOP Transmission window, and then the same user sends another set of SOP documents on the Mass SOP Transmission window before the first set has finished sending, some of the PDF files created may have more than one SOP document inside them and some of those documents could even be for a different customer than the customer contained in the file name. " | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
Issue | "Fixed Issue: When eMailer is configured to send SOP documents as GP reports, and “novaPDF” is selected as the Print Option on the eMailer Manager Setup window, and a user is emailing one set of SOP documents on the Mass SOP Transmission window, and then the same user sends another set of SOP documents on the Mass SOP Transmission window before the first set has finished sending, the Windows “Print“ dialog may appear several times and the Transmission Log Report may show “Unable to send the attachments. File not found” for several of the documents. " | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
Issue | "Fixed Issue: When the Print Option on the eMailer Manager Setup window is set to novaPDF, occasionally the error “Unable to send the attachments. File not found.” occur. In addition, for the PDF files that were created, some of them may have a mismatch between the invoice number in the PDF file name and the invoice number in the report header inside that PDF file. " | Tools > Utilities > eMailer Manager > Mass PA Transmission |  |
Enhancement | Updated new Binary Stream address in About Box. |  |  |
Closed Build 802 (January 2020)
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: When one user is sending SOP documents from the Mass SOP Transmission window and another user is printing SOP documents from a GP window such as the Sales Document Print Options window, the documents printed from the GP window are blank. | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
Closed Microsoft Dynamics GP 2016 R2
Closed Build 616 (December 2020)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Fixed issue: When the Print Option on the eMailer Manager Setup window is set to “Acrobat PDF Writer” and the user tries to send an email with the Mass PA Transmission window, the user receives error “Unhandled object exception: Null Reference Exception”. |  |  |
Closed Build 615 (November 2020)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | "Fixed Issue: When GP fails or the program is stopped from the Task Manager while customer statements are being processed from the Mass SOP Transmission window, the temporary processing records might persist in the B0402000 table. As a result, when the same user tries to process the statements again at a future time, one of the following scenarios can occur: * The old statements in table B0402000 could be sent again to those customers. * Those customers could receive an email without an attachment and the Transmission Log and Transmission Error reports will show the following error for those customers: ""Statement does not exist for this customer."" " | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
Closed Build 614 (October 2020)
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue Fixed

Fixed Issue: User receives error ""Transmission failed. Outlook error: The parameter is incorrect"" when sending emails after upgrading Office 365. (Note: In eMailer versions released prior to March 2018, the error message is ""Transmission failed due to unknown error"").

As of Oct 15, 2020, the following versions of Outlook for Office 365 are confirmed to cause this issue: 16.0.13231.xxxxx 16.0.13127.xxxxx. As of Oct 15, 2020, the following version of Outlook for Office 365 is confirmed to NOT cause this issue: 16.0.12527.xxxxx.

 Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission
Closed Build 613 (September 2020)
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Enhancement | Enhanced the performance of the Mass Payroll Transmission window when creating or eMailing PDF files for Process Type “Payroll - Canada” and Report Type “Detail Advice Slips”. | Tools > Utilities > eMailer Manager > Mass Payroll Transmission |  |
Closed Build 612 (May 2020)
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: When eMailer is configured to send SOP documents as Word Template reports,and a user is emailing one set of SOP documents on the Mass SOP Transmission window, and then the same user sends another set of SOP documents on the Mass SOP Transmission window before the first set has finished sending, some of the DOCX files created may have more than one SOP document inside them and some of those documents could even be for a different customer than the customer contained in the file name. | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
Fixed Issue: When the Print Option on the eMailer Manager Setup window is set to novaPDF, occasionally the error “Unable to send the attachments. File not found.” occur. In addition, for the PDF files that were created, some of them may have a mismatch between the invoice number in the PDF file name and the invoice number in the report header inside that PDF file. | Tools > Utilities > eMailer Manager > Mass PA Transmission |  |
Fixed Issue: When eMailer is configured to send SOP documents as GP reports, and “novaPDF” is selected as the Print Option on the eMailer Manager Setup window, and a user is emailing one set of SOP documents on the Mass SOP Transmission window, and then the same user sends another set of SOP documents on the Mass SOP Transmission window before the first set has finished sending, the Windows “Print“ dialog may appear several times and the Transmission Log Report may show “Unable to send the attachments. File not found” for several of the documents. | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
Fixed Issue: When the Print Option on the eMailer Manager Setup window is set to novaPDF, occasionally the error “Unable to send the attachments. File not found.” occur. In addition, for the PDF files that were created, some of them may have a mismatch between the invoice number in the PDF file name and the invoice number in the report header inside that PDF file. | Tools > Utilities > eMailer Manager > Mass PA Transmission |  |
Updated new Binary Stream address in About Box. |  |  |
Closed Build 611 (January 2020)
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: When one user is sending SOP documents from the Mass SOP Transmission window and another user is printing SOP documents from a GP window such as the Sales Document Print Options window, the documents printed from the GP window are blank. | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
Closed Microsoft Dynamics GP 2016 SP0
Closed Build 615 (November 2020)
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue Fixed

Fixed Issue: When Microsoft Dynamics GP fails or the program is stopped from the Task Manager while customer statements are being processed from the Mass SOP Transmission window, the temporary processing records might persist in the B0402000 table. As a result, when the same user tries to process the statements again at a future time, one of the following scenarios can occur:

  • The old statements in table B0402000 could be sent again to those customers.
  • Those customers could receive an email without an attachment and the Transmission Log and Transmission Error reports will show the following error for those customers: "Statement does not exist for this customer."
Tools > Utilities > eMailer Manager > Mass SOP Transmission
Closed Microsoft Dynamics GP 2015 SP 0
Closed Build 511 (November 2020)
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue Fixed

Fixed Issue: When Microsoft Dynamics GP fails or the program is stopped from the Task Manager while customer statements are being processed from the Mass SOP Transmission window, the temporary processing records might persist in the B0402000 table. As a result, when the same user tries to process the statements again at a future time, one of the following scenarios can occur:

  • The old statements in table B0402000 could be sent again to those customers.
  • Those customers could receive an email without an attachment and the Transmission Log and Transmission Error reports will show the following error for those customers: "Statement does not exist for this customer."
Tools > Utilities > eMailer Manager > Mass SOP Transmission
Closed Build 510 (October 2020)
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue Fixed

Fixed Issue: User receives error ""Transmission failed. Outlook error: The parameter is incorrect"" when sending emails after upgrading Office 365. (Note: In eMailer versions released prior to March 2018, the error message is ""Transmission failed due to unknown error"").

As of Oct 15, 2020, the following versions of Outlook for Office 365 are confirmed to cause this issue: 16.0.13231.xxxxx 16.0.13127.xxxxx. As of Oct 15, 2020, the following version of Outlook for Office 365 is confirmed to NOT cause this issue: 16.0.12527.xxxxx.

 Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission
Closed Microsoft Dynamics GP 2013 R2
Closed Build 409 (November 2020)
Type | Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Enhancement | Improved the clarity of log messages when the software cannot successfully attach a file to an email message or send an email message. | Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission
Issue

Fixed Issue: User receives error ""Transmission failed. Outlook error: The parameter is incorrect"" when sending emails after upgrading Office 365. (Note: In eMailer versions released prior to March 2018, the error message is ""Transmission failed due to unknown error"").

As of Oct 15, 2020, the following versions of Outlook for Office 365 are confirmed to cause this issue: 16.0.13231.xxxxx 16.0.13127.xxxxx. As of Oct 15, 2020, the following version of Outlook for Office 365 is confirmed to NOT cause this issue: 16.0.12527.xxxxx.

 Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission
Closed Microsoft Dynamics GP 2010 SP2 - SP4
Closed Build 236 (November 2020)
Type | Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Issue | Fixed issue: Email is not sent from eMailer Transmission windows if Outlook is not running prior to clicking Process button and the Disable Outlook Default Signature setting is not marked in the eMailer Manager Setup window. | Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission
Enhancement | Improved the clarity of log messages when the software cannot successfully attach a file to an email message or send an email message. | Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission
Issue

Fixed Issue: User receives error ""Transmission failed. Outlook error: The parameter is incorrect"" when sending emails after upgrading Office 365. (Note: In eMailer versions released prior to March 2018, the error message is ""Transmission failed due to unknown error"").

As of Oct 15, 2020, the following versions of Outlook for Office 365 are confirmed to cause this issue: 16.0.13231.xxxxx 16.0.13127.xxxxx. As of Oct 15, 2020, the following version of Outlook for Office 365 is confirmed to NOT cause this issue: 16.0.12527.xxxxx.

 Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission

2019

Closed Microsoft Dynamics GP 18.2
Closed Build 801 (November 2019)
  • Project
    • Upgraded from Microsoft Dynamics GP 2018 RTM (18.00.0400) to Microsoft Dynamics GP 18.2 October 2019 Release (18.2.1013).
Closed Microsoft Dynamics GP 2018
Closed Build 705 (June 2019)
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: Mass SOP Transmission window was not creating the SOP Invoices in correct originating currency when there are multiple records in Print Option table. | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
Closed Build 704 (April 2019) for Microsoft Dynamics GP 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: On the Mass EFT Transmission window, when the user marks a document and sends it, then answers “no” when asked “Do you want to redisplay”, then marks additional documents (leaving the original document still marked), then sends again, only the additional documents are sent. The original document marked during the first send is not sent on the second send, even though it is still marked to be sent. | Tools > Utilities > eMailer Manager > Mass EFT Transmission |  |
Closed Build 703 (January 2019) for Microsoft Dynamics GP 2018
  • eMailer
    • When using the Auto Attachments feature, the performance of sending documents through email transmission has been improved.
      Path: Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission
    • When using the All Files Attachment feature, the performance of sending documents through email transmission has been improved.
      Path: Tools > Utilities > eMailer Manager > Mass SOP Transmission / Mass Payroll Transmission
    • Any dependency on the BSSI_FileAccess.dll file has been removed. The DLL file is no longer needed.
    • The content of several error and warning messages throughout eMailer Manager have been improved.
    • To improve consistency among the Mass Transmission windows, the following updates have been made on the Mass SOP Transmission:
      • Added a check for the Attachment Path.
      • Added a "Are you sure you want to process?" conformation for when the Create PDF/Word Only or Process buttons are clicked.
      Path: Tools > Utilities > eMailer Manager > Mass SOP Transmission
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: On the Mass PA Transmission window, if the user clicks Cancel when asked "Attachment Path is empty. Are you sure you want to process?" and then tries to close the window, user receives error "Mass Billing Printing Process is still in process. Please wait." | Tools > Utilities > eMailer Manager > Mass PA Transmission |  |
Closed Microsoft Dynamics GP 2016
Closed Build 610 (June 2019) for Microsoft Dynamics GP 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: Mass SOP Transmission window was not creating the SOP Invoices in correct originating currency when there are multiple records in Print Option table. | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
Closed Build 609 (April 2019) for Microsoft Dynamics GP 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: On the Mass EFT Transmission window, when the user marks a document and sends it, then answers “no” when asked “Do you want to redisplay”, then marks additional documents (leaving the original document still marked), then sends again, only the additional documents are sent. The original document marked during the first send is not sent on the second send, even though it is still marked to be sent. | Tools > Utilities > eMailer Manager > Mass EFT Transmission |  |
Closed Build 608 (January 2019) for Microsoft Dynamics GP 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: On the Mass PA Transmission window, if the user clicks Cancel when asked "Attachment Path is empty. Are you sure you want to process?" and then tries to close the window, user receives error "Mass Billing Printing Process is still in process. Please wait." | Tools > Utilities > eMailer Manager > Mass PA Transmission |  |
Closed Build 608 (January 2019) for Microsoft Dynamics GP 2016
  • eMailer
    • When using the Auto Attachments feature, the performance of sending documents through email transmission has been improved.
      Path: Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission
    • When using the All Files Attachment feature, the performance of sending documents through email transmission has been improved.
      Path: Tools > Utilities > eMailer Manager > Mass SOP Transmission / Mass Payroll Transmission
    • Any dependency on the BSSI_FileAccess.dll file has been removed. The DLL file is no longer needed.
    • The content of several error and warning messages throughout eMailer Manager have been improved.
    • To improve consistency among the Mass Transmission windows, the following updates have been made on the Mass SOP Transmission:
      • Added a check for the Attachment Path.
      • Added a "Are you sure you want to process?" confirmation for when the Create PDF/Word Only or Process buttons are clicked.
      Path: Tools > Utilities > eMailer Manager > Mass SOP Transmission

2018

Closed Microsoft Dynamics GP 2018
Closed Build 702 (November 2018)
  • eMailer
    • When the Redisplay button is clicked on the Mass SOP Transmission window, SOP invoices that were posted in the SOP module and subsequently voided in the Receivables Management module are hidden.
      Path: Tools > Utilities > eMailer Manager > Mass SOP Transmission
Closed Build 701 (March 2018)
  • Project
    • The Microsoft Dynamics GP system preference setting Protect .docx attachments with a password applies to any Microsoft Word document (.docx format) that is sent as an attached file with an email message.
      Note icon. Note: This change does not apply to Microsoft Word documents (.docx format) that are created with the Create PDF/Word Only button on the transmission windows.
      Path: Tools > Setup > System > System Preferences
      Tools > Utilities > eMailer Manager > Mass EFT Transmission/Mass PO Transmission/Mass SOP Transmission/Mass Payroll Transmission/Mass PA Transmission
    • Improved the performance for exporting the list view from the Emailer Audit Trail Inquiry window to a Microsoft Excel file.
    • Added a feature that retries sending email messages with file attachments. Most times the email messages are sent without any issue. However, in environments with unusually slow or overloaded computers or networks, the following message for some documents might occur "Unable to send the Attachments". When the email message with the attachment is resent, the message is sent successfully.

      Note icon. Note: The majority of users will never need this feature. If you do require this feature, see the item called Slow or overloaded computer networks in the Troubleshooting: Unable to Send Attachment article.

      Path: Tools > Utilities > eMailer Manager > Mass EFT Transmission/Mass PO Transmission/Mass SOP Transmission/Mass Payroll Transmission/Mass PA Transmission
    • Improved the clarity of error messages and log messages when file attachments cannot be successfully attached and sent with an email message. Path: Tools > Utilities > eMailer Manager > Mass EFT Transmission/Mass PO Transmission/Mass SOP Transmission/Mass Payroll Transmission/Mass PA Transmission
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade to GP 2018 RTM (18.00.0400). |  |  |
Closed Microsoft Dynamics GP 2016
Closed Build 607 (November 2018)
  • eMailer
    • When the Redisplay button is clicked on the Mass SOP Transmission window, SOP invoices that were posted in the SOP module and subsequently voided in the Receivables Management module are hidden.
      Path: Tools > Utilities > eMailer Manager > Mass SOP Transmission
Closed Build 606 (March 2018)
  • Project
    • The Microsoft Dynamics GP system preference setting Protect .docx attachments with a password applies to any Microsoft Word document (.docx format) that is sent as an attached file with an email message.
      Note icon. Note: This change does not apply to Microsoft Word documents (.docx format) that are created with the Create PDF/Word Only button on the transmission windows.
      Path: Tools > Setup > System > System Preferences
      Tools > Utilities > eMailer Manager > Mass EFT Transmission/Mass PO Transmission/Mass SOP Transmission/Mass Payroll Transmission/Mass PA Transmission
    • Improved the performance for exporting the list view from the Emailer Audit Trail Inquiry window to a Microsoft Excel file.
    • Added a feature that retries sending email messages with file attachments. Most times the email messages are sent without any issue. However, in environments with unusually slow or overloaded computers or networks, the following message for some documents might occur "Unable to send the Attachments". When the email message with the attachment is resent, the message is sent successfully.

      Note icon. Note: The majority of users will never need this feature. If you do require this feature, see the item called Slow or overloaded computer networks in the Troubleshooting: Unable to Send Attachment article.

      Path: Tools > Utilities > eMailer Manager > Mass EFT Transmission/Mass PO Transmission/Mass SOP Transmission/Mass Payroll Transmission/Mass PA Transmission
    • Improved the clarity of error messages and log messages when file attachments cannot be successfully attached and sent with an email message. Path: Tools > Utilities > eMailer Manager > Mass EFT Transmission/Mass PO Transmission/Mass SOP Transmission/Mass Payroll Transmission/Mass PA Transmission
Closed Microsoft Dynamics GP2015 R2
Closed Build 509 (March 2018)
  • Project
    • The Microsoft Dynamics GP system preference setting Protect .docx attachments with a password applies to any Microsoft Word document (.docx format) that is sent as an attached file with an email message.
      Note icon. Note: This change does not apply to Microsoft Word documents (.docx format) that are created with the Create PDF/Word Only button on the transmission windows.
      Path: Tools > Setup > System > System Preferences
      Tools > Utilities > eMailer Manager > Mass EFT Transmission/Mass PO Transmission/Mass SOP Transmission/Mass Payroll Transmission/Mass PA Transmission
    • Improved the performance for exporting the list view from the Emailer Audit Trail Inquiry window to a Microsoft Excel file.
    • Added a feature that retries sending email messages with file attachments. Most times the email messages are sent without any issue. However, in environments with unusually slow or overloaded computers or networks, the following message for some documents might occur "Unable to send the Attachments". When the email message with the attachment is resent, the message is sent successfully.

      Note icon. Note: The majority of users will never need this feature. If you do require this feature, see the item called Slow or overloaded computer networks in the Troubleshooting: Unable to Send Attachment article.

      Path: Tools > Utilities > eMailer Manager > Mass EFT Transmission/Mass PO Transmission/Mass SOP Transmission/Mass Payroll Transmission/Mass PA Transmission
    • Improved the clarity of error messages and log messages when file attachments cannot be successfully attached and sent with an email message. Path: Tools > Utilities > eMailer Manager > Mass EFT Transmission/Mass PO Transmission/Mass SOP Transmission/Mass Payroll Transmission/Mass PA Transmission
Closed Build 508a (January 2018)
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: SSRS installer was for the wrong version of eMailer |  |  |

2017

Closed Microsoft Dynamics GP 2016
Closed Build 605 (December 2017)
  • Sales
    • Added the ability to send SOP invoice documents to the email address that is specified on the Bill to Address ID specified on the Sales Customer Detail Entry window on the sales order. The following changes have been made:
      • SOP Invoice Setup (added the Bill To option in the Send Emails to area)
      • Mass SOP Transmission

      Path: Tools > Setup > eMailer Manager > eMailer Manager Setup > SOP Invoice button > Order button
      Tools > Utilities > eMailer Manager > Mass SOP Transmission

Closed Build 604 (December 2017)
  • Project
    • Improved the performance of exporting the list view on the Audit Trail Inquiry window to a Microsoft Excel file.
      Path: Inquiry > eMailer Manager > Audit Trail Inquiry
  • Sales
    • Added the ability to send SOP order documents to the email address that is specified on the Bill to Address ID specified on the Sales Customer Detail Entry window on the sales order. The following changes have been made:
      • SOP Order Setup (added the Bill To option in the Send Emails to area)
      • Mass SOP Transmission

      Path: Tools > Setup > eMailer Manager > eMailer Manager Setup > SOP Setup button > Order button
      Tools > Utilities > eMailer Manager > Mass SOP Transmission

      Database changes: Added field BSSI_CustBillTo to table BSSI_SOP_Setup (B0401001)

    • Improved the performance of exporting the listview on the Emailer Audit Trail Inquiry window to a Microsoft Excel file.
      Path: Inquiry > eMailer Manager > Audit Trail Inquiry
Closed Build 603 (February 2017)
  • Project
    • Improved the performance of creating PDF or Word files of Canadian Payroll T4 slips.
      Path: Tools > Utilities > eMailer Manager > Mass Payroll Transmission
Closed Microsoft Dynamics GP 2015 R2
Closed Build 508 (February 2017) for Microsoft Dynamics GP 2015 R2
  • Project
    • Improved the performance of creating PDF or Word files of Canadian Payroll T4 slips.
      Path: Tools > Utilities > eMailer Manager > Mass Payroll Transmission
Closed Microsoft Dynamics GP 2010 SP2 to SP4
Closed Build 235 (December 2017)
  • Sales
    • Added the ability to send SOP invoice documents to the email address that is specified on the Bill to Address ID specified on the Sales Customer Detail Entry window on the sales order. The following changes have been made:
      • SOP Invoice Setup (added the Bill To option in the Send Emails to area)
      • Mass SOP Transmission

      Path: Tools > Setup > eMailer Manager > eMailer Manager Setup > SOP Invoice button > Order button
      Tools > Utilities > eMailer Manager > Mass SOP Transmission

Closed Build 234 (December 2017)
  • Sales
    • Added the ability to send SOP order documents to the email address that is specified on the Bill to Address ID specified on the Sales Customer Detail Entry window on the sales order. The following changes have been made:
      • SOP Order Setup (added the Bill To option in the Send Emails to area)
      • Mass SOP Transmission

      Path: Tools > Setup > eMailer Manager > eMailer Manager Setup > SOP Setup button > Order button
      Tools > Utilities > eMailer Manager > Mass SOP Transmission

      Database changes: Added field BSSI_CustBillTo to table BSSI_SOP_Setup (B0401001)

    • Improved the performance of sending SOP documents through email on the Mass SOP Transmission window when the Auto Attachments Path is empty.
      Path: Tools > Utilities > eMailer Manager Utilities > Mass SOP Transmission
Closed Microsoft Dynamics GP 2013 R2
Closed Build 408 (February 2017) for Microsoft Dynamics GP 2013 R2
  • eMailer Manager
    • Improved the performance of creating PDF or Word files for Canadian Payroll T4 slips.
      Path: Tools > Utilities > eMailer Manager > Mass Payroll Transmission

2016

Closed Microsoft Dynamics GP 2016
Closed Build 602 (May 2016)
  • Project
    • Limited and self-service users can open Binary Stream custom windows. Previously, limited and self-service users received the following error message:
      You don't have security privileges to open this window.
Closed Build 601 (May 2016)
  • Project
    • Added the ability to open the eMailer Manager documentation by pressing F1 in all Binary Stream windows. You can also open the eMailer Manager documentation from the Help menu.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP 2015 to GP 2016. |  |  |
Closed Microsoft Dynamics GP 2015 R2
Closed Build 507 (May 2016)
  • Project
    • Limited and self-service users can open Binary Stream custom windows. Previously, limited and self-service users received the following error message:
      You don't have security privileges to open this window.
Closed Build 506 (May 2016)
  • Project
    • Added the ability to open the eMailer Manager documentation by pressing F1 in all Binary Stream windows. You can also open the eMailer Manager documentation from the Help menu.
Closed Build 505 (March 2016)
  • eMailer Manager
    • Improved the error message that appears when a path that does not exist is entered.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: eMailer Manager
Fixed issue: User receives either error "Statement does not exist for this customer", when emailing a statement, or error "Unable to send the Attachments", when emailing all other document types, and the full path name of the attachment exceeds 201 characters. The email may also be sent but it will be missing the attachment. | Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission |  |
Fixed issue: User can enter an invalid Crystal Report statement report path on the Customer Transmission Setup window. | Tools > Setup > eMailer Manager > Customer Transmission Setup |  |
Closed Microsoft Dynamics GP 2013 R2
Closed Build 407 (March 2016)
  • eMailer Manager
    • Improved the error message that appears when a path that does not exist is entered.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: eMailer Manager
Fixed issue: User receives either error "Statement does not exist for this customer", when emailing a statement, or error "Unable to send the Attachments", when emailing all other document types, and the full path name of the attachment exceeds 201 characters. The email may also be sent but it will be missing the attachment. | Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission |  |
Fixed issue: User can enter an invalid Crystal Report statement report path on the Customer Transmission Setup window. | Tools > Setup > eMailer Manager > Customer Transmission Setup |  |

2015

Closed Microsoft Dynamics GP 2015 R2
Closed Build 504 (July 2015)
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: eMailer Manager
Fixed issue: User receives error "Statement does not exist for this customer" when emailing a Word template version of an RM statement from the Mass SOP Transmission window. | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  | New columns in table BSSI_Setup (B0401000): BSSI_ChkFileExistsRetry, BSSI_ChkFileExistsSleep
Fixed issue: User receives error "Template does not exists" when emailing a Word template version of a report and the report has more than one default configured in the Report Template Maintenance window. | Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission |  |
Closed Build 503 (June 2015)
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: eMailer Manager
Fixed issue: The Display Default options configured on SOP Invoice Setup window are not defaulting on Mass SOP Transmission window when the transmission window is first opened and GP’s Advanced Distribution module is not registered in the Registration window. | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
GP Series: Payroll
Fixed issue: While posting US payroll checks, user receives the errors "A get/change first operation on table 'ddDeposits' (45)", "Incorrect syntax near '12159'" and "Unclosed quotation mark". | Transactions > Payroll > Print Checks |  |
Fixed issue: Unposted checks appear in Mass Payroll Transmission window for Process Type "Payroll - US" when check posting is abnormally interrupted before completion. | Tools > Utilities > eMailer Manager > Mass Payroll Transmission |  |
GP Series: Project Accounting
Fixed issue: Attachment is not sent and user receives error "Empty path name is not legal" in the Transmission Error Log report when sending a document from the Mass PA Transmission window and the selected Report Type in the Project Accounting Setup window is "SQL Server Report Service". | Tools > Utilities > eMailer Manager > Mass PA Transmission |  |
Closed Build 502 (May 2015)
  • eMailer Manager
    • Upgraded from novaPDF 6 to novaPDF 8 to ensure novaPDF compatibility with recent versions of Microsoft's operating systems.
    • When the Auto Attachments Path is empty, the performance for sending SOP documents through email on the Mass SOP Transmission window has been improved.
      Path: Tools > Utilities > eMailer Manager > Mass SOP TransmissionDatabase Change: New column BSSI_Enable_GetBolUrl in table BSSI_Setup (B0401000)
    • On the Mass SOP Transmission window, when novaPDF is used, the performance for printing the first selected SOP document has been improved.
      Path: Tools > Utilities > eMailer Manager > Mass SOP Transmission
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue with Installation Wizard where installing product into two companies would throw error "The store procedure GrantAccess() wof form SQL Maintenance: 69: Pass Through SQL returned the following results: DBMS: 15151, Microsoft Dynamics GP: 0." |  |  |
GP Series: eMailer Manager
Fixed issue: When using NovaPDF 8, user receives error "Statement does not exist for this customer" when clicking Create PDF/Word Only on Mass SOP Transmission. | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
Fixed issue: Email is not sent from eMailer Transmission windows if Outlook is not running prior to clicking Process button and the Disable Outlook Default Signature setting is not marked in the eMailer Manager Setup window. | Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission |  |
Fixed issue: On the Mass Payroll Transmission window, user receives error "A save operation on table 'BSSI_Payroll_Process_Temp' has created a duplicate key" after marking one document to send, sorting the documents and then marking a second document in the same row number as the previously marked document. | Tools > Utilities > eMailer Manager > Mass Payroll Transmission |  |
Issue Fixed issue: On the Mass SOP Transmission window, the second marked document is not sent when the user marks one document to send, sorts the documents and then marks a second document in the same row number as the previously marked document. | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
Fixed issue: On the Mass PO Transmission window, the second marked document is not sent when the user marks one document to send, sorts the documents and then marks a second document in the same row number as the previously marked document. | Tools > Utilities > eMailer Manager > Mass PO Transmission |  |
Fixed issue: On the Mass EFT Transmission window, the second marked document is not sent when the user marks one document to send, sorts the documents and then marks a second document in the same row number as the previously marked document. | Tools > Utilities > eMailer Manager > Mass EFT Transmission |  |
Closed Microsoft Dynamics GP 2015
Closed Build 501 (January 2015)
  • Project
    • In the registration window, you can specify the number of days before the trial registration key expiration date to receive a warning.
      Path: Microsoft Dynamics GP > Tools > Setup > System > Binary Stream Registration > Notification Setup Button
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP2013 R2 to GP2015. |  |  |
26 501 Project Enhancement Added the ability for users to specify within how many days of their Trial Reg Key expiration date they would like to be warned/notified of the expiry. Microsoft Dynamics GP > Tools > Setup > System > Binary Stream Registration > Notification Setup Button |  |  |
Closed Microsoft Dynamics GP 2013 R2
Closed Build 406 (July 2015)
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: eMailer Manager
Fixed issue: User receives error "Statement does not exist for this customer" when emailing a Word template version of an RM statement from the Mass SOP Transmission window. | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  | New columns in table BSSI_Setup (B0401000): BSSI_ChkFileExistsRetry, BSSI_ChkFileExistsSleep
Fixed issue: User receives error "Template does not exists" when emailing a Word template version of a report and the report has more than one default configured in the Report Template Maintenance window. | Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission |  |
Closed Build 405 (June 2015)
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: eMailer Manager
Fixed issue: The Display Default options configured on SOP Invoice Setup window are not defaulting on Mass SOP Transmission window when the transmission window is first opened and GP’s Advanced Distribution module is not registered in the Registration window. | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
GP Series: Payroll
Fixed issue: While posting US payroll checks, user receives the errors "A get/change first operation on table 'ddDeposits' (45)", "Incorrect syntax near '12159'" and "Unclosed quotation mark". | Transactions > Payroll > Print Checks |  |
Fixed issue: Unposted checks appear in Mass Payroll Transmission window for Process Type "Payroll - US" when check posting is abnormally interrupted before completion. | Tools > Utilities > eMailer Manager > Mass Payroll Transmission |  |
GP Series: Project Accounting
Fixed issue: Attachment is not sent and user receives error "Empty path name is not legal" in the Transmission Error Log report when sending a document from the Mass PA Transmission window and the selected Report Type in the Project Accounting Setup window is "SQL Server Report Service". | Tools > Utilities > eMailer Manager > Mass PA Transmission |  |
Closed Build 404 (May 2015)
  • eMailer Manager
    • Upgraded from novaPDF 6 to novaPDF 8 to ensure novaPDF compatibility with recent versions of Microsoft's operating systems.
    • When the Auto Attachments Path is empty, the performance for sending SOP documents through email on the Mass SOP Transmission window has been improved.
      Path: Tools > Utilities > eMailer Manager > Mass SOP TransmissionDatabase Change: New column BSSI_Enable_GetBolUrl in table BSSI_Setup (B0401000)
    • On the Mass SOP Transmission window, when novaPDF is used, the performance for printing the first selected SOP document has been improved.
      Path: Tools > Utilities > eMailer Manager > Mass SOP Transmission
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Fixed issue: When using NovaPDF 8, user receives error "Statement does not exist for this customer" when clicking Create PDF/Word Only on Mass SOP Transmission. | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
Fixed issue: Email is not sent from eMailer Transmission windows if Outlook is not running prior to clicking Process button and the Disable Outlook Default Signature setting is not marked in the eMailer Manager Setup window. | Tools > Utilities > eMailer Manager > Mass EFT Transmission / Mass PO Transmission / Mass SOP Transmission / Mass Payroll Transmission / Mass PA Transmission |  |
Fixed issue: On the Mass Payroll Transmission window, user receives error "A save operation on table 'BSSI_Payroll_Process_Temp' has created a duplicate key" after marking one document to send, sorting the documents and then marking a second document in the same row number as the previously marked document. | Tools > Utilities > eMailer Manager > Mass Payroll Transmission |  |
Fixed issue: On the Mass SOP Transmission window, the second marked document is not sent when the user marks one document to send, sorts the documents and then marks a second document in the same row number as the previously marked document. | Tools > Utilities > eMailer Manager > Mass SOP Transmission |  |
Fixed issue: On the Mass PO Transmission window, the second marked document is not sent when the user marks one document to send, sorts the documents and then marks a second document in the same row number as the previously marked document. | Tools > Utilities > eMailer Manager > Mass PO Transmission |  |
Fixed issue: On the Mass EFT Transmission window, the second marked document is not sent when the user marks one document to send, sorts the documents and then marks a second document in the same row number as the previously marked document. | Tools > Utilities > eMailer Manager > Mass EFT Transmission |  |
Closed Build 403 (January 2015) for Microsoft Dynamics GP 2013 R2
  • eMailer Manager
    • In the eMailer Manager Setup window, an option allows you to disable the default Outlook signature.
      Path: Tools > Setup > eMailer Manager > eMailer Manager Setup
      Database change: New column BSSI_Disable_Outlook_Sig in table BSSI_Setup (B0401000)
    • Added support for Word template reports.
Description | Navigation Path | New Form/Report | Database Changes
GP Series: eMailer Manager
Added BSSI_Log script log messages to detect when the NovaPDF printer has timed out before saving the PDF file, which may result in a blank PDF (i.e. 0 byte PDF). When opening the PDF, the user may receive error: "Adobe Reader could not open '<some PDF file>' because it is either not a supported file type or because the file has been damaged". |  |  |
Fixed Issue: The default signature for new messages is missing from emails when the user is running Outlook 2013 and the default message format is HTML. | All eMailer Manager Tranmission windows |  |

2014

Closed Microsoft Dynamics GP 2013 R2
Closed Build 402a (November 2014)
Description | Navigation Path | New Form/Report | Database Changes
GP Series: eMailer Manager
Fixed issue: After creating password protected PDF file from Mass Payroll Transmission window, all subsequent PDF files created from other eMailer transmission windows are encrypted (i.e. "SECURED" shows in Adobe Reader title bar) and therefore cannot be printed. | All eMailer Manager Tranmission windows |  |
Closed Build 402 (November 2014)
  • Payroll
    • In the Employee Transmission Setup window for U.S. and Canadian payroll statements, you can set a password used to protect PDF files. When the PDF files are created by novaPDF in the Mass Payroll Transmission window, the PDF files are protected with the password you entered.
      Path: Tools > Utilities > eMailer Manager > Mass Payroll Transmission
  • Project
    • In the Mass SOP Transmission window, user who use the French client of Microsoft Dynamics GP can process a batch that is created in the English client of Microsoft Dynamics GP.
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project Accounting
Fixed issue: The "Do not combine attachments" option is missing from eMailer Manager’s Project Accounting Setup window. The Mass Project Accounting (Billing) Process window is currently using the value of the "Do not combine attachments" option from the EFT Setup window but the Project Accounting Setup window should really have its own separate "Do not combine attachments" option. | Tools > Setup > eMailer Manager > eMailer Manager Setup, then click Project Accounting button. and Tools > Utilities > eMailer Manager > Mass PA Transmission |  | New column: BSSI_Combine_Flag_PA in table BSSI_PA_Setup
GP Series: Project
Fixed an issue where if user switches from a NON eMailer company to EMailer Company, the menus disappears. |  |  |
GP Series: System
Fixed issue: If you select "Crystal Report" as Report Type and enter a Report Path on the SOP Invoice Setup window, the Report Path is not rolling down as the default value of the Invoice Report Path on the Customer Transmission Setup window. The Invoice Report Path on the Customer Transmission Setup window will either be blank or the same as the Order Report Path, if it has a value. If Invoice Report Path is blank and you try to exit the Customer Transmission Setup window, you will receive error "Report Path/URL is missing". | Tools > Setup > eMailer Manager > Customer Transmission Setup |  |
Closed Build 401 (July 2014)
  • Project
    • Upgrade from GP2013 to GP2013 R2.
Closed Microsoft Dynamics GP 2013
Closed Build 305 (May 2014)
  • Project
    • In the Customer Transmission Setup window, you can assign a template to a customer. In the Mass SOP Transmission window, the Template ID option has been added to Range By. This new range does not affect how documents are processed.
      Path: Tools > Utilities > eMailer Manger > Mass SOP Transmission
      Report: Cards > eMailer Manger > Template Maintenance
      Database changes: BSSI_Template_Maintenance (B0400100)
      Added BSSI_Tempalte_ID column to BSSI_Customer_Contact table (B0405000)
Closed Build 304 (April 2014)
  • Payroll
    • In the Mass Payroll Transmission window for Canadian Payroll, an option is available to add lines to advice slips for paycodes that have no amounts in the current batch but do have year-to-date amounts.
      Note icon. Note: This option applies to the current batch only.
      Path: Tools > Utilities > eMailer Manager Utilities > Mass Payroll Transmission
      Database changes: Added BSSI_CANPAY_YTD_Totals column to B0401000 table.
    • The YTD column is added to the Canadian Payroll Detail Advice Slips report (BSSI_P_Payroll_Advice_Slips_Detail_RPT0029).
      Path: Tools > Utilities > eMailer Manager Utilities > Mass Payroll Transmission
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Payroll
Fixed issue: Canadian Payroll Detail Advice Slip report (BSSI_P_Payroll_Advice_Slips_Detail_RPT0029) shows duplicate lines for pay codes that appear more than once in the employee's Employee Paycode Records list on the Payroll Employee Paycodes - Canada window. | Tools > Utilities > eMailer Manager Utilities > Mass Payroll Transmission |  |
GP Series: eMailer Manager
Fixed issue: Modified Binary Stream tables (e.g. new column added) are not being updated by BSSI Installation Wizard if another product has disabled error checks for table operations. | BSSI Installation Wizard |  |

2013

Closed Microsoft Dynamics GP 2013
Closed Build 303 (October 2013)
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Payroll
Fix divide by zero error when redisplaying SENT advice slips for process type "Payroll - Canada" on Mass Payroll (Remittance) Transmission window when the range is restricted by employee id and there are currently no UNSENT records in table BSSI_P_CPY_Cheques (B0430210). | Tools > Utilities > eMailer Manager Utilities > Mass PayRoll Transmission |  |
GP Series: Sales
8 303 Sales Issue Fixed an issue that was causing the customer statement PDF's generated by the Mass SOP Transmission window to be blank except for the logo and some header information, when the user was using SSRS to generate the report and the Run Number value was greater than 99,999 (i.e. greater than 5 digits). | Tools > Utilities > eMailer Manager Utilities > Mass SOP Transmission |  |
Closed Build 302 (June 2013)
Description | Navigation Path | New Form/Report | Database Changes
GP Series: All
Fixed an issue with incorrect registration keys check for the sample Fabrikam company if the database name is not TWO. |  |  |
GP Series: Payroll
Fixed an issue where system was throwing an error message "An array is out of range..." when processing the T4 slips for the Canadian payroll. | Tools > Utilities > eMailer Manager Utilities > Mass PayRoll Transmission |  |
GP Series: Purchasing
Fix issue where originating currency is selected in Mass PO Transmission window but functional currency is used instead when PO documents are selected with the Mark All button. | Tools > Utilities > eMailer Manager Utilities > Mass PO Transmission |  |
GP Series: Sales
Fix national account parent customer number not appearing in customer list view on Mass SOP Transmission window when the parent has no outstanding transactions but at least one of its children does have an outstanding transaction. | Tools > Utilities > eMailer Manager Utilities > Mass SOP Transmission |  |
Closed Build 301a (June 2013)
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue related to SSRS reports for GP 2013. |  |  |
Closed Build 301 (March 2013)
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP2010 to GP2013 |  |  |

See also

Known Issues and Limitations

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eMailer Manager Installation Overview

Review this information for installing the Binary Stream program in your Microsoft Dynamics GP environment. When you install the latest version of eMailer Manager (EM), you perform the following activities:

  • Downloading and extracting the installation files
  • Uninstalling the previous version and exporting modified forms and reports
  • Installing the latest version on Windows and in GP
  • Registering your software and importing modified forms and reports

To take full advantage of the eMailer Manager functionality, you must choose and install additional programs that work with eMailer Manager in your system and in Great Plains. The additional programs include:

  • File Access library
  • PDF file creation program (Adobe Acrobat or novaPDF)
  • Crystal Reports
  • SQL Reports
  • Transmission software and add-ons

Also, you can review information on shortcut and security setup, troubleshooting, and removing EM.

Only a qualified and experienced Microsoft Dynamics GP consultant should install and configure third-party software for Microsoft Dynamics GP. If your authorized reseller cannot install this software, Binary Stream Software can recommend a suitable consultant.

Important: Before you begin the installation and as a best practice, back up your environment (including all Microsoft Dynamics GP folders and Microsoft Dynamics GP databases). If any issues arise during installation, the backup copy of your environment provides a starting point for restoring your environment.

Note icon. Note: The Pathnames window is not currently supported.

Tips for a Successful Installation

To ensure success when you install eMailer Manager, ensure you do the following activities:

  • Review this installation guide before you install eMailer Manager.

    • This guide provides a list choices and step-by-step procedures accompanied with tips and cautions.

  • Print and use the checklist to determine the tasks you must complete as part of your installation.

    • Also, use the checklist as a tool for making sure the required tasks have been completed.

  • Install additional programs that you require.

    • Note icon. Note: This guide does not include information for installing additional programs that Binary Stream does not provide, such as Lotus Notes, Citrix, or Crystal Reports .

After the installation is completed, ensure you set up all users, email profiles, security, permissions, and so on.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Requirements

To check if your computer meets all hardware and system requirements, review the article in the Microsoft documentation: System Requirements for Microsoft Dynamics GP [image].

Note icon. Note: Many Microsoft Dynamics GP processes require some additional processing steps when the Binary Stream program is installed and enabled. Therefore, both programs perform best when you configure your system to exceed the minimum requirements that Microsoft suggests.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installation Checklist

Print this checklist before you begin your installation of eMailer Manager and other programs. Use this checklist to as a guide to select the tasks you perform, and then, check off the tasks as they are completed.

This checklist is for installing eMailer Manager only. For a checklist for installing Microsoft Dynamics GP, review the Microsoft Dynamics GP installation instructions for the version of Microsoft Dynamics GP that you are installing.

To Do | Task | Completed
eMailer Manager
 | Downloading the Installation Files |
 | Extracting the Installation Files |
 | Uninstalling the Previous Version of eMailer Manager |
 | Exporting Modified Forms and Reports |
 | Installing within Windows |
 | Installing within GP |
 | Registering |
 | Importing Modified Forms and Reports |
 | Using Alternate Forms and Reports |
 | Importing and Accessing the Modified Canadian T4 Report |
 | Accessing Error Reports |
 | Setting Up User Security |
File Access Library
 | Installing the File Access Library |
Lotus Notes
 | Installing Lotus Notes |
Adobe Acrobat
 | Installing Adobe Acrobat |
 | Publishing Adobe Acrobat on a Citrix Server |
novaPDF
 | Installing novaPDF |
 | Initializing the Name Printer Function |
 | Setting Up novaPDF as the Computer Print Option |
Crystal Reports
 | Installing Crystal Reports |
 | Installing Crystal Reports Deployment Software |
 | Setting the Data Source for Crystal Reports |
 | Publishing Crystal Reports on a Citrix Server |
 | Authenticating a Windows User for Crystal Reports |
 | Setting Up Crystal Reports for Sending Documents Through an Email Program |
SQL Reports
 | Installing SQL Reports |
 | Running the SSRS (SQL) Add-In Setup Wizard |
 | Setting Up SQL Server Report URLs |
 | Setting Up SQL Reports for Sending Documents Through an Email Program |
Word Templates
 | Installing Word Templates |
Security Warning
 | SecurityWarning |

See also

Installation Overview

Choosing Additional Programs to Work with

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Operational Checklist

eMailer Manager does not require separate daily, monthly, and annual procedures. All data from eMailer Manager is saved within the Microsoft Dynamics GP database. For information on how to perform daily, monthly, and annual procedures and database backups, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Downloading the eMailer Manager Installation Files

You can download the installation files from a compressed (zipped) folder from the Binary Stream Portal (https://portal.binarystream.com/) External link. The files that you download have the following naming convention:

  • Software files: EM_Install_GPvers_Build#_YYYYMMDD.zip

For example, EM_Install_GP2018_BLD501_20180703.zip

Where:

  • GPvers = GP2018
  • Build# = BLD501

To download the installation files, follow these steps:

  1. Go to the Binary Stream Portal [image] .
  2. Select the link for Dynamics GP Portal [image], and log in with your Username and Password.
  3. On the Binary Stream GP Ticketing Center page, select the Knowledge Base and Downloads [image] link.
    On the page that appears, you might have to log in again.
  4. In the navigation on the left, select Binary Stream Downloads [image] to expand the tree, and then select the product you want.
    If you do not see the product you want, contact Binary Stream support: gpsupport@binarystream.com.
  5. From the list of files to download, select the compressed zipped folder you want.
    The file is automatically downloaded to your computer.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Extracting the eMailer Manager Installation Files

After you save the compressed (zipped) installation folder to your computer, you must extract the files to be able to run the installer (.msi) file to install the program.

To extract the installation files, follow these steps:

  1. In the File Explorer, go to the folder location where you saved the compressed (zipped) installation folder.
  2. Right-click the compressed (zipped) folder, and select Extract All.

The compressed (zipped) folder contains the following items:

Installation Files Table
File Name | Description
eMailer_GPvers_Setup.msi | The installer file for the Binary Stream program and the EULA. Note icon. Note: The installer is for a 64-bit operating system only.
Readme_eMailer_GPvers.pdf | The Readme file updated for the latest build. Provides information on all enhancements and issues that were fixed in the release.
eMailer_WebClient_HelpFiles.zip | The documentation for the Microsoft Dynamics GP web client. Note icon. Note: If this format is not available from the compressed (zipped) installation folder, you can access it on the Binary Stream Portal (https://portal.binarystream.com/) External link .
BSSINovaPDF8Setup.exe | The novaPDF setup wizard.
BSSIPayablesEFTRemit.Package | A package file that you can import into Microsoft Dynamics GP for payables EFT remittance statements that you might want to use.
EM_GPVer_SSRS_Setup.msi | The eMailer Manager SSRS add-in setup wizard for SSRS reports.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Exporting Modified Forms and Reports

Before you upgrade eMailer Manager, you must export any modified forms and reports to a package file. After you finish upgrading eMailer Manager, use the package file to import the modified forms and reports.

Note icon. Note: It is important to export and then import the modified forms and reports so that you can continue using them without any issues or errors. If you do not export and import the modified forms and reports, you will experience issues. For example, you might see messages such as:

Parameter type incompatible in user defined function call

When you export the modified forms and reports, you perform the following activities:

  • Export Modified Forms and Reports
  • Rename Modified Forms and Report Dictionaries

Export Modified Forms and Reports

To export EM modified forms and reports to a package file, follow these steps:

  1. In Microsoft Dynamics GP, open the Customization Maintenance window (Microsoft Dynamics GP > Tools > Customize > Customization Maintenance).
  2. Select the Product column header, which sorts the modified forms and reports by product name.
  3. Scroll down until you see the modified forms and reports for Emailer Solution.
    If you do not see Emailer Solution, you can stop at this step. You do not have any EM modified forms and reports.
  4. Select all of the modified forms and reports for Emailer Solution.
  5. Select Export.
  6. In the Please select a package file window, specify a name for the package file, and select Save.
  7. To confirm that the export was successful, check the status bar of the Customization Maintenance window.
  8. Close the Customization Maintenance window.
  9. Exit Microsoft Dynamics GP.

Rename Modified Forms and Report Dictionaries

To rename the EM modified forms and reports dictionaries, follow these steps:

  1. In the File Explorer, go to the folder where the EM modified forms and reports dictionaries are saved.
    For example, C:\Program Files (x86)\Microsoft Dynamics\GP2013\Data.
  2. Find the EM modified forms and reports dictionaries, which are usually named BS04FRMS.DIC and BS04RPTS.DIC, respectively.
    Note icon. Note: If you do not have any EM modified forms, you will not have a forms dictionary. Similarly, if you do not have any EM modified reports, you will not have a reports dictionary.
  3. Rename the dictionaries.
    For example, add the word BACKUP - BS04FRMS_BACKUP.DIC and BS04RPTS_BACKUP.DIC.

After you export the modified forms and reports, and rename the dictionaries, you are ready to install EM. After EM is installed, you can then import the EM modified forms and reports from the package file that you just exported.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Uninstalling the Previous Version of eMailer Manager

When you upgrade EM from a previous version, you must remove it in Windows before you run the installation file (.msi). By removing EM, you ensure that any EM application libraries are replaced with the most current versions.

Also as a best practice before uninstalling EM, back up your current environment, and rename the BSSI04.dic file.

Tip: For some Binary Stream programs, you can run the installer file (.msi) and you get the option of repairing or removing the program. If the installer file gives you the option to repair or remove EM, select to remove the program. You can then skip these steps and advance to the next section for installing EM. If you do not get the option, select Cancel to exit the installer and follow the instructions to uninstall EM.

When you uninstall EM, follow these steps:

  1. Back up your current Microsoft Dynamics GP environment, including all Microsoft Dynamics GP folders and databases.
  2. In the File Explorer, go to the GP<Version> folder and find the file named BSSI04.dic.
  3. Rename BSSI04.dic to a different name, for example BSSI04_BACKUP.dic.
  4. From the Start menu, open the Control Panel.
  5. In Programs, select Uninstall a program, which opens the Programs and Features window.
  6. In the list of programs, select the program you want to uninstall, and select Uninstall.
  7. Follow the prompts to finish uninstalling the program.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing eMailer Manager within Windows

When you install EM, you must run the installer (.msi) file on each individual server or client computer that has Microsoft Dynamics GP installed.

To install EM within Windows, follow these steps:

  1. In the File Explorer, go the folder where you extracted the installation files, and double-click EM_GPvers_Setup.msi.
  2. On the first page of the Installation Wizard, select Next to proceed with the installation.
  3. Read the License Agreement, select I Agree, and select Next.
  4. In the Select Installation Folder window:
    • In Folder, select the folder where Microsoft Dynamics GP is installed.
      If you installed Microsoft Dynamics GP to the default location, you do not have to change the value in this box.
    • To allow anyone using the computer to use EM, select Everyone.
  5. Select Next.
  6. In the Confirm Installation window, select Next.
    The installation can take a few moments.
  7. When the installation finishes, select Close.

After the installation is complete, you can find the following files in the GPVersion folder.

Windows Installation Files Table
File Name | Description
BSSI04.cnk | After you start GP, this file is converted to BSSI04.DIC.
BSSI EULA Modified.rtf | This file is your End-User License Agreement.
EM.chm | This file is the documentation for the Windows client version of Microsoft Dynamics GP. Note icon. Note: Some products do not have this format of documentation. In these cases, only a PDF file of the documentation is available.

If a Web client format of the documentation is available, the installer file copies it to the following folder: Microsoft Dynamics\GP Web Components\GPweb\Help\EM. Remember, not all BSSI programs have a .chm file. If the program has a .chm file, the Web client documentation might be available as well.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing eMailer Manager within Microsoft Dynamics GP

After the software is installed in Windows, you must complete the installation by installing the software in Microsoft Dynamics GP. When you restart Microsoft Dynamics GP, the BSSI software chunk file is automatically run at the same time, and starts the BSSI Installation Wizard.

When you install EM in Microsoft Dynamics GP, you do the following:

  • Install the new code in the GPVersion folder.
    You must perform this activity on each computer that ran the installation file.
  • Install or update EM in each company (database) that you want to use it in.
    You must perform this activity on only one computer (usually the server computer) where you ran the EM installation file.

Note icon. Note: To install third-party software that integrates with GP, always log on with the system administrator (sa) user account.

Install the Software in Microsoft Dynamics GP

To install the software in Microsoft Dynamics GP, follow these steps:

  1. Start GP, and log on with the system administrator (sa) account.
    The Dexterity Runtime dialog box appears with the following message:
    New code must be included in the Dynamics.set dictionary. Do you wish to include new code now?
  2. To include the new code, select Yes.

Update the Microsoft Dynamics GP Database

To update each company database, follow these steps:

  1. After the new code is installed to Microsoft Dynamics GP, the logon window appears. Log on to Microsoft Dynamics GP with the system administrator (sa) user account.
  2. When you see the BSSI Installation Wizard, select Next.
  3. In the BSSI System Install window, for each company database that you want to use EM select the Install check box.

  4. After you select all the company databases that you want, select Next, which starts the installation.

For a new installation, the installation can take a few minutes to complete.
For an upgrade, the installation can take a few minutes or a few hours, depending on the number and size of each database that you are updating.

You can see the progress bar on the BSSI Installation Wizard for the status of the installation process.

Tip: If you want to access the BSSI Installation Wizard at another time, create a shortcut to the BSSI Installation Wizard window in the Navigation pane on your Microsoft Dynamics GP home page.

Note icon. Note: If other users have problems accessing the third-party software, run a Grant.sql script to give the users access to all third-party software.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Registering eMailer Manager

After the program is installed in Microsoft Dynamics GP, the BSSI Registration window appears. You use the BSSI Registration window to type your registration key and activate the program. If you do not have a registration key, contact Binary Stream for assistance.

Note icon. Note: If you use EM with the sample database (Fabrikam), you do not need a registration key.

To register the software, follow these steps:

  1. If the BSSI Registration window is not open, in Microsoft Dynamics GP, select Tools > Setup > System > Binary Stream Registration.
  2. Enter the registration key as follows:
    • For new customers with permanent keys, type the registration key value in Permanent Keys.
    • For demonstration users with trial keys, type the registration key value in Trial Keys.
    • For Microsoft Services Providers License Agreement (SPLA) users with SPLA keys, type the registration key value in Trial Keys.
  3. Check that Site Name shows your company name.

  4. If you have Trial Keys, you can complete this optional step.
    1. Select Notification Setup, which opens the User/Reg Key Notification Setup window.
    2. You can set the Number of Days before the trial key expiration date to notify each user. By default, all users are notified 30 days before the expiration date.
      • If you want all users to have the same number of days' notice, in Default Number of Days, specify the number of days' notice.
        The list is updated so that all user IDs have the same value in the Number of Days column.
      • If you want each user to have different number of days' notice, in the list, specify the Number of Days for each User ID.

      Note icon. Note: If the Number of Days for a user is set to zero (0), the trial key expiry warning does not appear for the specific user.
  5. To complete the registration, select OK .
  6. When the registration is completed, log off of Microsoft Dynamics GP, and log back on again.

Tip: If you want to access the registration at another time, create a shortcut to the BSSI Registration window in the Navigation pane on your Microsoft Dynamics GP home page.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing Modified Forms and Reports

Before you upgrade EM, you must export any EM modified forms and reports to a package file. After you finish upgrading EM, use the package file to import the modified forms and reports.

Note icon. Note: It is important to export and then import the EM modified forms and reports so that you can continue using them without any issues or errors. If you do not export and then import the EM modified forms and reports, you will experience issues. For example, you might see messages such as:

Parameter type incompatible in user defined function call

Before you can import the modified forms and reports, you must have already completed the following activities:

  • Exporting Modified Forms and Reports
  • Installing eMailer Manager within Windows
  • Installing eMailer Manager within Microsoft Dynamics GP

To import the EM modified forms and reports from the package file, follow these steps:

  1. Start Microsoft Dynamics GP.
  2. Open the Customization Maintenance window (Microsoft Dynamics GP > Tools > Customize > Customization Maintenance).
  3. Select the Product column header, which sorts the modified forms and reports by product name.
    If you successfully renamed the dictionary files, you should not see any EM modified forms and reports as you scroll through the Customization Maintenance window.
    If you do see some, go back to the steps where you renamed the dictionary files, and try again.
  4. Select Import.
  5. On the Import Package File window, select Browse.
  6. Go to the folder location where you saved the package file, select it, and select Open.
    In the Import Package File window, you should see the EM modified forms and reports that you are about to import.
  7. To import the package file, select OK.
  8. To confirm that the import was successful, check the status bar of the Customization Maintenance window.
  9. In the Customization Maintenance window, select the Product column header, and scroll down until you see the modified forms and reports for Emailer Solution.
    You should see the EM modified forms and reports that you just imported.

For more information on importing and exporting package files, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using Alternate Forms and Reports

To be able to use the windows and reports from eMailer Manager in the Microsoft Dynamics GP modules that you have purchased and registered, you must enable the alternate EM window and reports.

To use the alternate windows and reports, follow these steps:

  1. In Microsoft Dynamics GP, open the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).
  2. Specify an ID and Description for the set of alternate forms and reports that you are creating for your users.
    For example, in ID, type EM_USER and in Description, type Alternate forms and reports for EM.
  3. In Product, select Emailer Solution.

    4. Note icon. Note: A known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available. For more information, review the Known Issues and Limitations.

  4. To use the EM alternate forms instead of the Microsoft Dynamics GP version, do the following:
    1. In Type, select Windows.
    2. To display windows for a particular Microsoft Dynamics GP series, in Series, select the series you want to see.
    3. In Alternate/Modified Forms and Reports List, expand each Microsoft Dynamics GP series name, and then expand the window name.
    4. For each window where you want to use the EM alternate form instead of the Microsoft Dynamics GP version, select the Emailer Solution option.
      For example, select the EM alternate version of the window in the selected Microsoft Dynamics GP series.
      Tip: To change to use all EM alternate forms in a single action, set the Select box to Emailer Solution, and then select Change All.
  5. To use the EM alternate reports instead of the Microsoft Dynamics GP version, repeat the previous step with Type set to Reports.
    For example, select the EM alternate version of the report in the selected Microsoft Dynamics GP series.
  6. When you are finished, select Save.
  7. Repeat these steps for each Microsoft Dynamics GP series for which you purchased the corresponding module.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up User Security

For all users, except the system administrator (sa), you must set up a security task and a security role that gives user access to custom eMailer Manager windows (forms) and reports.

To set up security for a custom window, complete the following activities:

  1. Create a security task.
  2. Create a security role to allow access to the security task.
  3. Assign a security role to a user.

Note icon. Note: Depending on your security requirements, you might want to setup several security tasks.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Security Task

To help facilitate the process of creating security tasks, the following security tasks are automatically created with your eMailer Manager installation:

To create a security task, follow these steps:

  1. Open the Security Task Setup window (Microsoft Dynamics GP > Tools > Setup > System > Security Tasks).
  2. If you are asked for your password, type your password and select OK.
  3. In the Security Task Setup window, specify a Task ID, Task Name, and Task Description.
    For example, you could type EM_TASKS in all three boxes.
  4. In Category, select Project.
  5. In Product, select Emailer Solution.
  6. In Type, select Windows.
  7. In Series, select Project.
  8. Select Mark All to select all of the window titles in the Access List.
  9. If you do not want the task ID to have access to certain windows, clear the check box for the window name.
  10. In Type, change the value to Reports, and in Series, select Project.
  11. Select Mark All to select all of the report titles in the Access List.
  12. If you do not want the security task ID to have access to certain reports, clear the check box for the report name.
  13. Select Save.

See also

Setting Up User Security

Creating a Security Role

Assigning a Security Role to a User

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Security Role

To help facilitate the process of creating security roles, the following security roles are automatically created with your eMailer Manager installation:

To create a security role, follow these steps:

  1. Open the Security Role Setup window (Microsoft Dynamics GP > Tools > Setup > System > Security Roles).
  2. If you are asked for your password, type your password and select OK.
  3. In the Security Role Setup window, specify a Role ID, Role Name, and Role Description.
    For example, you could type EM_ROLE in all three boxes.
  4. In the list, select the Security Task ID that you created (for example, EM_TASKS).
  5. Select Save.

See also

Setting Up User Security

Creating a Security Task

Assigning a Security Role to a User

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Assigning a Security Role to a User

To assign a security role to a user, follow these steps:

  1. Open the User Security Setup window (Microsoft Dynamics GP > Tools > Setup > System > User Security).
  2. If you are asked for your password, type your password and select OK.
  3. In the User Security Setup window, select a User ID.
  4. Select a Company name.
  5. Under Roles, select the Security Role ID that you created (for example, EM_ROLE).
  6. In Alternate/Modified Forms and Reports ID, select the alternate forms and reports ID you created.
  7. Select Save.
  8. Repeat these steps for all users and companies that use EM.

See also

Setting Up User Security

Creating a Security Task

Creating a Security Role

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Window Shortcuts

You can set up shortcuts to EM windows in the Microsoft Dynamics GP Navigation Pane.

Note icon. Note: After you update the software, you might have to recreate your shortcuts.

To create a shortcut to a window, follow these steps:

  1. On the upper-right corner of the Microsoft Dynamics GP window, select Layout [image], and select Navigation Pane to show the Navigation pane on the left side of the main window.
  2. In the Navigation pane, expand the Shortcuts folder so you can see the items below it.
  3. Right-click the Shortcuts folder and select Add > Folder.
    A folder named New Folder appears below the Shortcuts folder.
  4. Rename the new folder, by right-clicking it and selecting Rename.
    For example, rename the folder to Emailer Solution.
  5. Right-click on the new folder and select Add > Add Window.
  6. In the Add Window Shortcut window, in the Available Windows list, expand the Emailer Solution node to show all of the Microsoft Dynamics GP series.
  7. For each EM window to which you want to add a shortcut, do the following:
    1. Expand the series node.
    2. Select the window name.
    3. Select Add.
  8. When you have finished adding shortcuts, select Done.
  9. Go to the Navigation pane, and expand the new folder to see the window shortcuts you added.

Tip: For system administrators, it is useful to add shortcuts to the BSSI Installation Wizard, BSSI Registration, and the BSSI About Box windows. When you add a shortcut for a window, you can find these windows under the Emailer Solution node, and then under the Project series.

If you already have a window open, you can create a shortcut directly from the open window:

  1. Select the window.
  2. From File, select Add to Shortcuts.
    The new shortcut appears under the root folder of the Navigation pane.
  3. Drag the shortcut to the folder where you want the shortcut to appear.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Implementing eMailer Manager

Only a qualified and experienced Microsoft Dynamics GP consultant should work with you to integrate eMailer Manager with your Microsoft Dynamics GP environment, data, and processes.

Typical implementation tasks include the following:

  • Setting up a test system
  • Installing and configuring the software
  • Importing data
  • Setting up users, security, and other options
  • Testing your scenarios
  • Going live with your production database
  • Training end users and on-site system administrators

Implementation Service

If your authorized reseller cannot help you with your integration, contact Binary Stream Software for integration and training services.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing eMailer Manager

To remove eMailer Manager from your Microsoft Dynamics GP environment, you must perform the following activities in the order shown:

  1. Removing the product tables from all companies, or from one company
  2. Removing the product information and dictionaries
  3. Removing the product in Windows

Note icon. Note: The instructions vary depending on whether you remove eMailer Manager from all company databases or just one company database.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing eMailer Manager Tables in Microsoft Dynamics GP

Before you can remove eMailer Manager, you must remove the product tables in the DYNAMICS and company databases. However, the steps depend on whether you want to remove eMailer Manager from all company databases or just one company database.

Important: Before you proceed with either of these steps, make a backup of your DYNAMICS and company databases.

Closed Remove EM from all company databases

To delete the product tables for EM in the DYNAMICS database, follow these steps:

  1. In Microsoft Dynamics GP, open the SQL Maintenance window (Maintenance > SQL).
  2. In Database, select the name of your DYNAMICS database (the default name is DYNAMICS).
  3. In Product, select Emailer Solution.
  4. Perform this step depending on how many Binary Stream software programs you have installed:
    • If EM is the only Binary Stream software program installed, select all the tables, select Drop Table and Drop Auto Procedure, and select Process.
    • If two or more Binary Stream software programs are installed and you want to remove only EM, select all of the tables except the following tables:
      • BSSI_SY_Company_MSTR
      • BSSI_Registration
      • BSSI_RegExp_Date
      Select Drop Table and Drop Auto Procedure, and select Process.

If you did not select the BSSI_SY_Company_MSTR table, run the following script against the DYNAMICS database to remove the product reference from the BSSI_SY_Company_MSTR table:

  1. Start SQL Server Management Studio, and log in to your SQL Server instance as the system administrator (sa).
  2. Select New Query.
  3. In the query window, enter the following two lines:

    Note icon. Note: If your DYNAMICS database does not use the default name, you must change it in the following use statement.

    use DYNAMICS
    delete from BSSI0300 where BSSI_Product_ID = '5135'
  4. Select Execute.

To delete the product tables for EM in all company databases, follow these steps for each company database:

  1. In Microsoft Dynamics GP, open the SQL Maintenance window (Maintenance > SQL).
  2. In Database, select the name of the company database (for example, TWO20).
  3. In Product, select Emailer Solution.
  4. Perform this step depending on how many Binary Stream software products you have installed:
    • If EM is the only Binary Stream software product installed in the selected company, select all the tables , select Drop Table and Drop Auto Procedure, and select Process.
    • If two or more Binary Stream software programs are installed in the selected company, and you want to remove only EM, select all of the tables except the BSSI_Product_Setup table, select Drop Table and Drop Auto Procedure, and select Process.

If you did not select the BSSI_Product_Setup table, run the following script against the company database to remove the product reference from the BSSI_Product_Setup table:

  1. Start SQL Server Management Studio, and log in to your SQL Server instance as the system administrator (sa).
  2. Select New Query.
  3. In the query window, enter the following two lines (but replace TWO20 with the name of the company database):

    use TWO20
    delete from BSSI0200 where BSSI_Product_ID = '5135'
  4. Select Execute.
Closed Remove EM from one company database

To remove EM from one company database only, follow these steps:

  1. In Microsoft Dynamics GP, open the SQL Maintenance window (Maintenance > SQL).
  2. In Database, select the name of the company database (for example, TWO20).
  3. In Product, select Emailer Solution
  4. Perform this step depending on how many Binary Stream software products you have installed:
    • If EM is the only Binary Stream software product installed in the selected company, select all the tables, select Drop Table and Drop Auto Procedure, and select Process.
    • If two or more Binary Stream software programs are installed in the selected company, and you want to remove only EM, select all of the tables except the BSSI_Product_Setup table, select Drop Table and Drop Auto Procedure, and select Process.

If you did not select the BSSI_Product_Setup table, run the following script against the company database to remove the product reference from the BSSI_Product_Setup table:

  1. Start SQL Server Management Studio, and log in to your SQL Server instance as the system administrator (sa).
  2. Select New Query.
  3. In the query window, enter the following two lines (but replace TWO20 with the name of the company database):

    use TWO20
    delete from BSSI0200 where BSSI_Product_ID = '5135'
  4. Select Execute.
  5. From the BSSI0300 table in the DYNAMICS database, run the following query to delete the rows for the company:
    • delete from BSSI0300 where INTERID = 'enter the company ID here'
      and BSSI_Product_ID = 5135

After you complete these steps, EM should be removed from the selected company only.

See also

Removing Program Information in Microsoft Dynamics GP

Removing eMailer Manager in Windows

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing Program Information in Microsoft Dynamics GP

When you remove EM, you must also remove the product information and dictionaries in Microsoft Dynamics GP.

To remove product information and dictionaries, follow these steps:

  1. Exit Microsoft Dynamics GP.
  2. Open the File Explorer, and go to the folder where Microsoft Dynamics GP is installed.
    For example, C:\Program Files (x86)\Microsoft Dynamics\GP2016.
  3. Make a backup of the DYNAMICS.SET file.
  4. Open DYNAMICS.SET in a text editor (for example, Notepad).
  5. Select and delete the following two lines in the top section of the file:
    • The line with the product name: Emailer Solution.
    • The line with the product number, which is above the line with the product name.
      The product number is 5135.
  6. Select and delete the three lines in the lower section of the file that have the following file names: BSSI04.DIC, BS04FRMS.DIC, and BS04RPTS.DIC.

    7. For example:
    :C:Program Files (x86)/Microsoft Dynamics/GPVersion/BSSI04.DIC
    :C:Program Files (x86)/Microsoft Dynamics/GPVersion/Data/BS04FRMS.DIC
    :C:Program Files (x86)/Microsoft Dynamics/GPVersion/Data/BS04RPTS.DIC

  7. Go to the first line of the DYNAMICS.SET file. This line has a number that represents the number of installed products in GP. Decrease that number by 1. For example, if the number is 42, change it to 41.
  8. Save the changes to DYNAMICS.SET, and exit the text editor.

EM is completely removed from Microsoft Dynamics GP.

See also

Removing eMailer Manager Tables in Microsoft Dynamics GP

Removing eMailer Manager in Windows

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing eMailer Manager in Windows

When you remove EM from Microsoft Dynamics GP, you must also remove it from Windows.

If you are updating EM, you must remove it from Windows before you run the new installer (.msi) file in the system.

To remove EM from Windows, follow these steps:

  1. Open the Windows Control Panel, and select Uninstall a program.
  2. In the Programs and Features window, in the list of installed programs, select the program you want to uninstall.
  3. Select Uninstall.

The Uninstall wizard runs, and when it completes, EM is removed from Windows.

See also

Removing eMailer Manager Tables in Microsoft Dynamics GP

Removing Program Information in Microsoft Dynamics GP

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting Issues

Review the following information on issues that might occur when you install and then use eMailer Manager.

Troubleshooting: Additional Citrix Setup and Notes

Troubleshooting: Adobe Acrobat Message Occurs During PDF File Creation

Troubleshooting: Payroll Batch Proccessing

Troubleshooting: Duplicate Documents are Attached to Email Messages

Troubleshooting: Performance Issue Occurs When Email Messages are Sent

Troubleshooting: Customer Prefers Hard Copy Documents

Troubleshooting: novaPDF Message

Troubleshooting: Cannot Uninstall novaPDF 8

Troubleshooting: License Not Valid for Printer BSSI novaPDF 8

Troubleshooting: novaPDF Printer Not Visible in Printer List for Windows 10 or Windows Server 2016

Troubleshooting: Seven Invoices Must be Sent, but Only Five were Actually Sent

Troubleshooting: Payment Number Error Message Appears

Troubleshooting: Outlook is Not Running

Troubleshooting: Another Version of Outlook is Running

Troubleshooting: Email and Fax are Turned Off for All Vendors, Customers or Employees.

Troubleshooting: Email and Fax are Turned Off for Some Vendors, Customers or Employees

Troubleshooting: Statement Does Not Exist

Troubleshooting: Unable to Send Attachment

Troubleshooting: Email Message was Sent Without the Attachment

Troubleshooting: The PDF File was Created but the Email Message was not Sent

Troubleshooting: Attachment Path Access

Troubleshooting: Blank Payroll Statements

Troubleshooting: Document Number in the PDF File Name is Different from the Document Number within the PDF File

Troubleshooting: PDF File Contains Header and Line labels But No Document Data

Troubleshooting: When Using Adobe Acrobat, No PDF File is Created

Troubleshooting: Report Type Sent from Transmission Window does not Match Report Type on Setup Window

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Concepts

Articles within this category provide background and processing information on features within EM.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing and Updating eMailer Manager

Who Performs the Installation?

A system administrator (or system owner) should install and configure the software in the Microsoft Dynamics GP environment.

Typical installation tasks include the following:

  • Downloading the software files
  • Extracting the files from the compressed (zipped) folder
  • Installing the software in Windows
  • Installing the program in Microsoft Dynamics GP
  • Registering the software
  • Enabling alternate forms and reports
  • Setting up user access to forms and reports
  • Setting up shortcuts to software windows

To take full advantage of the eMailer Manager functionality, you must choose and install additional programs that work with eMailer Manager in your system and in Microsoft Dynamics GP. The additional programs include:

  • File Access library
  • PDF file creation program (Adobe Acrobat or novaPDF)
  • Crystal Reports
  • SQL Reports
  • Transmission software and add-ons

Installation Documentation

To install or update eMailer Manager, visit the Binary Stream Portal (https://portal.binarystream.com/) External link , and review the installation documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up eMailer Manager

Who Performs the Setup?

After implementation, a system administrator (or system owner) typically takes over the day-to-day system and setup adjustments for the software in your Microsoft Dynamics GP environment.

Caution: Make sure that users do not enter transactions while you change setup options. If transactions are entered during the time you change the setup options, the integrity of the transaction data might be compromised.

Tip: As a best practice, make any changes to the setup options when all users are logged off. For example, notify all users a few days in advance indicating that changes to the system will be made and that the system is not available during that specified time frame.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alternate or Custom Windows

An alternate or custom window is a standard Microsoft Dynamics GP window that has additional boxes or buttons that are specific to a program that integrates with Microsoft Dynamics GP. When you use the alternate window to enter information specific to the program, the data is saved in the following tables:

  • Standard Microsoft Dynamics GP table
  • Binary Stream parallel table

For some windows, if an alternate window is not used, an extra window for the program opens so that you can enter specific data for the program.

Caution: If the alternate window is not used or the data integration is performed only to the Microsoft Dynamics GP table, data is not saved to the parallel table, which can compromise your data or cause functionality issues.

To be able to use an alternate (or custom) window, the system administrator must select to use the alternate window in the Alternate/Modified Forms and Reports window.

Notes:

  • If you are not able to use the correct window for eMailer Manager, you cannot correctly enter and reuse data or use the functionality in eMailer Manager.
  • For some third‑party programs , the alternate window for eMailer Manager is not available due to conflicts. For programs commonly used with eMailer Manager, an extra window option exists. In these cases, use the alternate window for the third-party program.

    • If an extra window does not exist, contact Binary Stream to discuss possible options.

Security for Alternate Windows

Ensure that you set security for all alternate windows for the modules that you use. If you do not set the security, data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Reports

Extra Windows

Using Alternate Forms and Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alternate or Custom Reports

An alternate or custom report is a standard Microsoft Dynamics GP report that has additional information that is specific to a program that integrates with Microsoft Dynamics GP. When you use the alternate report to display information specific to the program, the information is from the following tables:

  • Standard Microsoft Dynamics GP table
  • Binary Stream parallel table

You can use Report Writer to customize a standard Microsoft Dynamics GP report or a eMailer Manager alternate report so that the report shows all the data you want to see.

To be able to use an alternate (or custom) report, the system administrator must select to use the alternate report in the Alternate/Modified Forms and Reports window.

Security for Alternate Reports

Ensure that you set security to all alternate reports for the modules that you use. If you do not set the security, data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Windows

Extra Windows

Using Alternate Forms and Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Extra Windows

An extra window is a secondary window that opens when a standard Microsoft Dynamics GP window is opened. You use the extra window to enter and save information for the transaction that is specific to the program. The information from the extra window is then saved in the parallel table and is used to create functionality.

Extra windows are used in the following situations:

  • The alternate window is assigned to another program.

    • Note icon. Note: Extra windows are not available for every alternate window - only windows in which conflicts occur.

  • Certain Microsoft Dynamics GP modules that are supported only use extra windows.

The extra window always opens when the standard Microsoft Dynamics GP window is opened. You can select OK to close the extra window. However, as a best practice, do not close the extra window directly. Instead, when you are finished with the main Microsoft Dynamics GP window, close it and the extra window will also close.

Security for Extra Windows

Ensure that you set security to all extra windows for the modules that you use. If you do not set the security, the extra window does not appear and data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Windows

Alternate or Custom Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Common Window Buttons

Many of the windows include buttons described only in this section to reduce repetition in the document. For more information on standard features that are used in the windows throughout Microsoft Dynamics GP, see the article named Common window elements in the Microsoft Dynamics GP documentation.

Button Name | Icon | Description
Cancel |  | Closes the window without saving any changes.
Clear |  | Clears all boxes in the window.
Copy |  | Copies the selected data, or all data in the window, to the clipboard.
Delete |  | Removes the current record from its associated table. Deletes the current record.
Expansion | Expansion Arrow icon. | Opens the expansion window associated with the field or option.
Find |  | Opens the associated find window.
Lookup |  | Opens the associated Lookup window for a field.
Note |  | Opens the associated note window for a field.
OK |  | In a setup window, saves the data to its associated table. In an Inquiry, closes the window. You do not usually select OK to close a window, except when in an Inquiry window.
Print |  | Prints the report associated with the window.
Redisplay |  | Updates the view of the contents in the window.
Save |  | In a Cards or Maintenance window, saves the data or record to its associated table.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Selecting Reports

eMailer Manager provides you with flexibility for running reports and then attaching the reports to send to customers, vendors, and employees.

In the eMailer Manager setup windows, you can choose to use the default Microsoft Dynamics GP report or your own Crystal Report, SSRS report, or Word template for each document type, document sub-type, and entity.

Document Type | Document Sub-Type | Entity
Statement | - | Customer
SOP | Quote Order Back Order Fulfillment Order Invoice Return | Customer
Purchase Order | - | Vendor
EFT Payables Check | - | Vendor
Payroll - US | Direct Deposit Earnings Statement W-2 Forms | Employee
Payroll - Canada | Detail Advice Summary Advice T4 | Employee
Project Accounting Bill | - | Customer

The document that is sent to the customer, vendor, and employee is based on the following order of precedence:

  • Entity
  • Document Sub-Type
  • Document Type

The document selected for the Entity overrides the document selected for the Document Sub-Type and Document Type. And the report selected for the Document Sub-Type overrides the document selected for the Document Type.

The following example demonstrates the concept of assigning different report types for statements:

  1. On the Statement Setup window, Report Type is set to GP Report.
  2. On the Customer Transmission Setup window, for some customers, the Statement Report Type is set to Crystal Report.
  3. On the Mass SOP Transmission window, you select to email statements for the selected documents/transactions.

When the statements are run, the Microsoft Dynamics GP Report format is run for all customers except for customers that have the report type set to Crystal Report, SSRS report, or Word template.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Names for Attached Files

When documents are attached for transmission, the names for the files are generated as described in the following process.

PDF or Word Files from Reports

When a message with attachments is transmitted, eMailer Manager runs the following processes:

  1. Runs the reports that are specified for the selected transactions in the transmission window.
  2. Creates PDF or Word files from the reports. The names generated for the documents depend on the type of transmission.
    See the Type of Transmission and PDF or Word File Name Format columns in the following table.
  3. Saves the document in the location you specified in the Attachment Path box.
  4. Attaches the documents to the email messages (or faxes) that are sent to the customers, vendors, or employees.

Auto-Attachment Files

Before email messages are transmitted, do the following:

  1. Create specially-named additional documents to send at the same time the PDF or Word files are sent.
  2. Save the files in the location that you specified in the Auto Attachments Path box.

When a message with attachments is transmitted, eMailer Manager runs the following processes:

  1. Checks the location specified in the Auto Attachments Path box for any additional documents.
    Part of the file name of the additional document must match a specific string value in the name of the attached PDF or Word file. See the Auto-Attachments Files Selected Based on column in the table.
  2. Attaches the additional files to the email (or fax) message.

For example, an invoice called CDT_INV001 is sent to a vendor, customer, or employee. Any document in the Auto Attachments Path location that has INV001 in the file name is automatically attached to the email (or fax) message.

Note icon. Note: When you specify the name of a file that you want to save in the Auto Attachments Path location, check the values in the Select Auto attachments with (Prefix, Suffix) option on the eMailer Manager Setup window, to ensure that you use the correct file name prefix or suffix.

In the following table, the names of the files are affected by the setting of the the Select Auto attachments with (Prefix, Suffix) option on the eMailer Manager Setup window. Closed Review an example to better understand how the files are selected.

On the Mass SOP Transmission window, the Process Type is SOP Documents. You want to send documents for SOP document number STDINV2057.

The Auto Attachments Path folder contains the following files:

  • STDINV2057-.txt
  • STDINV2057-Y.txt
  • STDINV2057.txt
  • X_STDINV2057-Y.txt
  • X_STDINV2057.txt
  • _STDINV2057-.txt
  • _STDINV2057.txt

The files selected according to the following table depend on the prefix and suffix values for the the Select Auto attachments with (Prefix, Suffix) option on the eMailer Manager Setup:

  • "" indicates a blank value
  • X indicates the file is selected as an attachment by eMailer Manager
Prefix Suffix Table
Case | STDINV2057-.txt | STDINV2057-Y.txt | STDINV2057.txt | X_STDINV2057-Y.txt | X_STDINV2057.txt | _STDINV2057-.txt | _STDINV2057.txt
prefix = "" suffix = "" | X | X | X | X | X | X | X
prefix = "_" suffix = "" |  |  |  | X | X | X | X
prefix = "" suffix = "-" | X | X |  | X |  | X |
prefix = "_" suffix = "-" |  |  |  | X |  | X |

Notes:

  • The file name may contain additional characters to the left of the file name (or prefix) and to the right of the file name (or suffix). For example, XXXXX_STDINV2057-YYYYYY.txt.
  • With the Auto Attachments feature, a maximum of 20 files per selected document number or employee ID can be attached.
Type of Transmission | PDF or Word File Name Format | Alternative PDF or Word File Name Format | Auto-Attachments Files Selected Based on
PO Transmission | PONumber.pdf/.docx |  | Purchase Order Number
SOP Transmission for Statement | CustomerNumber_MM_DD_YYYY.pdf/.docx | If you select Use Date Format as YYYY_MM_DD for PDF: YYYY-MM-DD_CustomerNumber.pdf/.docx | Customer Number
SOP Transmission for other SOP Documents | CustomerNumber_SOPDocumentNumber.pdf/.docx Ex: CDT3_INV001.pdf | If you select Add Customer Name to the file name: CustomerNumber_CustomerName_SOPDocumentNumber.pdf/.docx | SOP Document Number
Payables EFT Transmission | VendorID_PaymentNumber.pdf/.docx |  | Payment Number
Payroll Transmission | US: DirectDepositNumber.pdf/.docx CDA: Detailed: CheckNumber-Detail.pdf/.docx Summary: CheckNumber-Summary.pdf/.docx T4: CheckNumber-T4.pdf/.docx | If you select Use Date Format as YYYY_MM_DD for PDF: US: YYYY-MM-DD-EmpIoyeeID-DirectDepositNumber.pdf/.docx CDA: YYYY-MM-DD-EmployeeID-CheckNo-Detail.pdf/.docx YYYY-MM-DD-EmployeeID-CheckNumber-Summary.pdf/.docx YYYY-MM-DD-EmployeeID-CheckNumber-T4.pdf/.docx | Employee ID
Project Accounting Transmission | CustomerNumber_PADocumentNumber.pdf/.docx |  | PA Document Number
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Processes During Mass Email/Fax Transmission

In the Mass Transmission windows, when you select Process, eMailer Manager performs the following activities to transmit email and fax messages :

  • processes the selected documents
  • publishes the documents
  • sends email and fax messages with attached files

Document Processing

During document processing, all selected documents, recipients, and settings are reviewed. This activity usually takes a few seconds to complete.

Document Publishing

During document publishing and matching, the following occurs:

  • reports are run for all selected documents
  • reports are published to PDF or Word file formats
  • email and fax messages are created and any files are attached to the messages

This activity can take several seconds or several hours to complete, depending on the number of documents that are selected and also the processing load on the Microsoft Dynamics GP client and database server. During this time, you might see a busy mouse pointer when you place the mouse pointer over the Transmission window.

Tip: To determine when the publishing of documents is completed, open the Process Monitor window (Microsoft Dynamics GP > Process Monitor).

Sending Email/Fax Messages

This activity is simply the sending of email and fax messages with the file attachments.

This activity can take several seconds or several hours to complete, depending on the number of documents that are selected and also the processing load on the Microsoft Dynamics GP client and the Exchange server. This activity takes more time than document processing, but is faster than document publishing.

When Marked Documents/Total Documents shows a zero value, all email and fax messages have been sent.

Notes:

  • If Outlook is closed when you select Process, eMailer Manager opens Outlook and uses the default account for the user logged on to the computer. However, for best performance and reliability, start Outlook before you select Process.
  • Depending on the security settings used by your company, a notification from Outlook may appear. This notification asks to send email messages from another system on your behalf. When you see this message, select Yes.
  • If Outlook, Lotus Notes, or Fax program closes during the transmission, eMailer Manager reopens the programs and resumes sending the email and fax messages with the default account for the user logged on to the computer.

After the process activities are finished, you are asked if you want to update the contents displayed in the scrolling window. Select Yes to update the scrolling window, or select No to continue working in the Mass Transmission window without updating the scrolling window.

If errors are encountered during processing, the exception report is generated, and it displays the line(s) that caused the error.

EFT Transmission

For an EFT transmission, you can set Include to Sent and select Redisplay to view all transactions that have been sent.

Purchase Order Transmission - Enable Workflow Validation

If Enable Workflow Validation on the PO Setup window is selected, the workflow for the purchase order is validated. Any purchase order that has been selected for processing that fails the workflow validation appears on the Transmission Error Log report with the following note: Workflow not approved.

Any purchase order that has a workflow approval status value of 6 in the POP10100 table is approved and will be processed.

Any purchase order selected for processing that was created from Business Portal (USER2ENT field of POP10100 table is BP User) is not validated.

Payroll Transmission

After the batch is posted, the processed payroll records are displayed as unsent records in the Mass Payroll Transmission window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Examples

Articles within this category provide examples on a feature or processing information in EM.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Order Documents Sent to an Email Address: Examples

In Microsoft Dynamics GP 2010 (eMailer Manager Build 234 and newer) and Microsoft Dynamics GP 2016 R2 (eMailer Manager Build 604 and newer), the way SOP order documents are processed has changed based on the following settings as described in these examples.

On the SOP Order Setup window, you can set up how SOP order documents are sent to customers. In the Send Emails to area, you have the following options:

  • Primary Address ID
  • Default Ship To
  • Default Bill To
  • Bill To

    • You can select any combination of these options for sending the SOP order documents to an email address.

Similarly, on the Customer Transmission Setup window, you can set up how SOP documents are sent to customers. In the Send SOP Emails to area, you have the following options:

  • Ship To
  • Bill To

    • You can select one or both of these options.

The following examples demonstrate how the SOP order document is sent based on various combinations of these settings on both of these windows.

Note icon. Note: If the options you selected to send the SOP order documents do not have an email address, the SOP order document is sent to the email address of the Primary Address ID for the customer (if it exists).

Closed No options selected on either window

None of the send email options are selected in either windows:

  • The SOP order document is sent to the email address associated with the primary address ID of the customer. This information is specified in the Address ID box on the Customer Maintenance window.
Closed Only Bill To is selected on the SOP Order Setup window

Only the Bill To option is selected in the Send Emails to area on the SOP Order Setup window, and no options are selected in the Send SOP Emails to area on the Customer Transmission Setup window (for the customer ID of the SOP order):

  • The SOP order document is sent to the email address associated with the bill-to address of the SOP order. This information is specified in the Bill To Address ID box on the Sales Customer Detail Entry window.
Closed Only Default Bill To is selected on the SOP Order Setup window

Only the Default Bill To option is selected in the Send Emails to area on the SOP Order Setup window, and no options are selected in the Send SOP Emails to area on the Customer Transmission Setup window (for the customer ID of the SOP order):

  • The SOP order document is sent to the email address associated with the default bill-to address of the customer. This information is specified in the Bill To box on the Customer Maintenance window.
Closed Both Bill To and Default Ship To are selected on the SOP Order Setup window

The Bill To and Default Ship To options are selected in the Send Emails to area on the SOP Order Setup window, and no options are selected in the Send SOP Emails to area on the Customer Transmission Setup window (for the customer ID of the SOP order):

  • The SOP order document is sent to the email address associated with the bill-to address of the SOP order. This information is specified in the Bill To Address ID box on the Sales Customer Detail Entry window.
  • Also, the SOP order document is sent to the email address associated with the default ship-to address of the customer. This information is specified in the Ship To box on the Customer Maintenance window.
Closed Only Ship To is selected on the Customer Transmission Setup window

Only the Ship To option is selected in the Send SOP Emails to area on the Customer Transmission Setup window (for the customer ID of the SOP order), and no options are selected in the Send Emails to area on the SOP Order Setup window:

  • The SOP order document is sent to the email address associated with the ship-to address of the SOP order. This information is specified in the Ship To Address box on the Sales Transaction Entry window or in the Ship To Address ID box on the Sales Customer Detail Entry window.

Note icon. Note: Selecting the Ship To in the Send SOP Emails to area on the Customer Transmission Setup window affects all document types that are sent from the Mass SOP Transmission window, not just the SOP order documents.

Closed Both Ship To and Bill To are selected on the Customer Transmission Setup window

The Ship To and Bill To options are selected in the Send SOP Emails to area on the Customer Transmission Setup window (for the customer ID of the SOP order), and no options are selected in the Send Emails to area on the SOP Order Setup window:

  • The SOP order document is sent to the email address associated with the ship-to address of the SOP order. This information is specified in the Ship To Address box on the Sales Transaction Entry window or in the Ship To Address ID box on the Sales Customer Detail Entry window.
  • Also, the SOP order document is sent to the email address associated with the bill-to address of the SOP order. This information is specified in the Bill To Address ID box on the Sales Customer Detail Entry window.

Note icon. Note: Selecting the Ship To or the Bill To in the Send SOP Emails to area on the Customer Transmission Setup window affects all document types that are sent from the Mass SOP Transmission window, not just the SOP order documents.

Closed Both Ship To and Bill To are selected on different windows

Only the Bill To option is selected in the Send Emails to area on the SOP Order Setup window, and only the Ship To option is selected in the Send SOP Emails to area on the Customer Transmission Setup window (for the customer ID of the SOP order):

  • The SOP order document is sent to the email address associated with the bill-to address of the SOP order. This information is specified in the Bill To Address ID box on the Sales Customer Detail Entry window.
  • Also, the SOP order document is sent to the email address associated with the ship-to address of SOP order. This information is specified in the Ship To Address box on the Sales Transaction Entry window or in the Ship To Address ID box on the Sales Customer Detail Entry window.

Note icon. Note: Selecting the Ship To in the Send SOP Emails to area on the Customer Transmission Setup window affects all document types that are sent from the Mass SOP Transmission window, not just the SOP order documents.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Invoice Documents Sent to an Email Address: Examples

In Microsoft Dynamics GP 2010 (eMailer Manager Build 235 and newer) and Microsoft Dynamics GP 2016 R2 (eMailer Manager Build 605 and newer), the way SOP invoice documents are processed has changed based on the following settings as described in these examples.

On the SOP Invoice Setup window, you can set up how SOP invoice documents are sent to customers. In the Send Emails to area, you have the following options:

  • Primary Address ID
  • Default Ship To
  • Default Bill To
  • Bill To

    • You can select any combination of these options for sending the SOP invoice documents to an email address.

Similarly, on the Customer Transmission Setup window, you can set up how SOP documents are sent to customers. In the Send SOP Emails to area, you have the following options:

  • Ship To
  • Bill To

    • You can select one or both of these options.

The following examples demonstrate how the SOP invoice document is sent based on various combinations of these settings on both of these windows.

Note icon. Note: If the options you selected to send the SOP invoice documents do not have an email address, the SOP invoice document is sent to the email address of the Primary Address ID for the customer (if it exists).

Closed No options selected on either window

None of the send email options are selected in either windows:

  • The SOP invoice document is sent to the email address associated with the primary address ID of the customer. This information is specified in the Address ID box on the Customer Maintenance window.
Closed Only Bill To is selected on the SOP Invoice Setup window

Only the Bill To option is selected in the Send Emails to area on the SOP Invoice Setup window, and no options are selected in the Send SOP Emails to area on the Customer Transmission Setup window (for the customer ID of the SOP invoice):

  • The SOP invoice document is sent to the email address associated with the bill-to address of the SOP order. This information is specified in the Bill To Address ID box on the Sales Customer Detail Entry window.
Closed Only Default Bill To is selected on the SOP Invoice Setup window

Only the Default Bill To option is selected in the Send Emails to area on the SOP Invoice Setup window, and no options are selected in the Send SOP Emails to area on the Customer Transmission Setup window (for the customer ID of the SOP order):

  • The SOP invoice document is sent to the email address associated with the default bill-to address of the customer. This information is specified in the Bill To box on the Customer Maintenance window.
Closed Both Bill To and Default Ship To are selected on the SOP Invoice Setup window

The Bill To and Default Ship To options are selected in the Send Emails to area on the SOP Invoice Setup window, and no options are selected in the Send SOP Emails to area on the Customer Transmission Setup window (for the customer ID of the SOP order):

  • The SOP invoice document is sent to the email address associated with the bill-to address of the SOP order. This information is specified in the Bill To Address ID box on the Sales Customer Detail Entry window.
  • Also, the SOP invoice document is sent to the email address associated with the default ship-to address of the customer. This information is specified in the Ship To box on the Customer Maintenance window.
Closed Only Ship To is selected on the Customer Transmission Setup window

Only the Ship To option is selected in the Send SOP Emails to area on the Customer Transmission Setup window (for the customer ID of the SOP order), and no options are selected in the Send Emails to area on the SOP Invoice Setup window:

  • The SOP invoice document is sent to the email address associated with the ship-to address of the SOP order. This information is specified in the Ship To Address box on the Sales Transaction Entry window or in the Ship To Address ID box on the Sales Customer Detail Entry window.

Note icon. Note: Selecting the Ship To in the Send SOP Emails to area on the Customer Transmission Setup window affects all document types that are sent from the Mass SOP Transmission window, not just the SOP invoice documents.

Closed Both Ship To and Bill To are selected on the Customer Transmission Setup window

The Ship To and Bill To options are selected in the Send SOP Emails to area on the Customer Transmission Setup window (for the customer ID of the SOP order), and no options are selected in the Send Emails to area on the SOP Invoice Setup window:

  • The SOP invoice document is sent to the email address associated with the ship-to address of the SOP order. This information is specified in the Ship To Address box on the Sales Transaction Entry window or in the Ship To Address ID box on the Sales Customer Detail Entry window.
  • Also, the SOP invoice document is sent to the email address associated with the bill-to address of the SOP order. This information is specified in the Bill To Address ID box on the Sales Customer Detail Entry window.

Note icon. Note: Selecting the Ship To or the Bill To in the Send SOP Emails to area on the Customer Transmission Setup window affects all document types that are sent from the Mass SOP Transmission window, not just the SOP invoice documents.

Closed Both Ship To and Bill To are selected on different windows

Only the Bill To option is selected in the Send Emails to area on the SOP Invoice Setup window, and only the Ship To option is selected in the Send SOP Emails to area on the Customer Transmission Setup window (for the customer ID of the SOP order):

  • The SOP invoice document is sent to the email address associated with the bill-to address of the SOP order. This information is specified in the Bill To Address ID box on the Sales Customer Detail Entry window.
  • Also, the SOP invoice document is sent to the email address associated with the ship-to address of SOP order. This information is specified in the Ship To Address box on the Sales Transaction Entry window or in the Ship To Address ID box on the Sales Customer Detail Entry window.

Note icon. Note: Selecting the Ship To in the Send SOP Emails to area on the Customer Transmission Setup window affects all document types that are sent from the Mass SOP Transmission window, not just the SOP invoice documents.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Workflows and Procedures

Articles within this category provide step-by-step instructions for using a feature. These instructions tend to be window based.

Workflows provide overall instructions on how to use a feature, which include setup and processing instructions. Workflows often direct you to other window-specific instructions.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Your Environment

You may find the following information helpful when setting up your user environment:

  • Alternate or Custom Windows
  • Alternate or Custom Reports
  • Extra Windows
  • Setting Up Window Shortcuts
  • About Common Window Buttons
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using the Area Page

You can get direct access to the EM custom menus from the EM area page.

  • In your Microsoft Dynamics GP Home area page, in the Navigation Pane, select the tab for the BSSI program you want to use.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Email/Fax Default Values

To set up the default values for email and fax transmissions, follow these steps:

  1. Open the eMailer Manager Setup window (Tools > Setup > eMailer Manager > eMailer Manager Setup).
  2. Set up the Transmission Options and Preferences as needed.
  3. Set the default values for each type of document you use by selecting the appropriate button:
    • EFT Setup
    • PO Setup
    • SOP Setup
    • Statement Setup
    • Payroll Setup
    • Project Accounting
    • Payroll Setup (Canadian version)
  4. In each of the setup windows for the document type, do the following:
    • Select the attachment paths
    • Specify the subject and body for the email message or fax cover page
    • select the Report Options
  5. Select OK, which saves your settings and closes the set up window for the document type and returns you to the eMailer Manager Setup window.
  6. Select OK, which saves your settings and closes the window.

Tip: You can override these default settings for specific vendors, customers, or employees as needed in different setup windows.

See also

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Overriding Email/Fax Default Values

To override the default values for email and fax transmissions of a specific vendor, customer, or employee, follow these steps:

  1. Open the vendor, customer, or employee (or employee Canadian version) Transmission Setup window.
  2. Select the vendor, customer, or employee ID.
  3. For the employee Transmission Setup windows, specify the Employee Password.
  4. Select the email or fax transmission options.
    If you leave these options empty, the default values are from the eMailer Manager Setup.
  5. Select to which email address the email message is transmitted.
    If no email address is selected, the email address used is from the primary address of the vendor, customer, or employee.
  6. Select the attachment paths.
  7. Specify the subject and body for the email message or fax cover page.
  8. Select the Report Options.
  9. Select Save.

See also

Setting Up Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Prepare a Batch for EFT Transmission

To prepare a batch for EFT transmission, follow these steps:

  1. Open the Generate EFT Files window (Transaction > Purchasing > Generate EFT Files).
  2. Select the Series, Checkbook ID, and the transmission or settlement dates.
  3. Select Redisplay.
    The selected EFT batches appear in the scrolling window.
  4. Select the batches you want to process as mass transmissions.
  5. Select Print and select EFT Remittance Report.
  6. In the Report Destination window, select Screen then select OK.

Both the screen version of the report and the Mass Payables EFT Transmission window open. All records displayed in the Mass Payables EFT Transmission window are marked as unsent, and only the payables checks associated with the selected checkbook ID are available.

To modify the EFT remittance report using Report Writer, use the custom eMailer Manager report BSSI_Payables_EFT_Remittance instead of the standard Microsoft Dynamics GP report Payables EFT Remittance.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sending a Custom or Third-Party EFT Report

If you generate the EFT Payables report using a report format other than GP, SSRS, Crystal Reports, or Word documents, you must create a PDF file from your report and make it available for transmission.

To send a custom EFT Remittance through email transmission, follow these steps:

  1. Run the EFT Remittance report, using a custom or third-party program.
  2. Create a PDF file for the remittance, ensuring the file name contains the Payment Number.
  3. Save the PDF file in the folder that you set up as the Auto Attachments Path in the Mass Payables EFT Transmission window.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Processing Payroll Checks (U.S.)

Before you begin these steps, ensure that eMailer Manager is installed and set up.

To process payroll checks, follow these steps:

  1. Open the Build Payroll Checks window (Transactions > Payroll > Build Checks).
  2. Select the Default ID, and enter information in this window as needed.
  3. Select Build.
  4. Open the Calculate Payroll Checks window (Transactions > Payroll > Calculate Checks).
  5. Select OK.
  6. Open the Print Payroll Checks window (Transactions > Payroll > Print Checks).
    In this window, you work through the following steps:
    1. In Process, select Calculate Employee Deposits, and select Process.
    2. In Print, select Checks, and select Process.
    3. In Process, select Print Earnings Statements, and select Process.
    4. In Process, select Post, and select Process.

    7. Important: Before you process direct deposit earnings statements on the Mass Payroll Transmission window, wait for the payroll posting process to complete. If you process the direct deposit earnings statements while the payroll posting process is running, unexpected issues can occur, such as blank direct deposit earnings statement files or other anomalies.

  7. Open the Mass Payroll Transmission window (Tools > Utilities > Utilities > eMailer Manager > Mass Payroll Transmission).

    8. You can see that the payroll records just processed appear in the scrolling window as unsent records.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Processing Payroll Checks (Canada)

Before you begin these steps, ensure that eMailer Manager is installed and set up.

To process payroll checks, follow these steps:

  1. Open the Payroll Generate Batch - Canada window (Transactions > Payroll - Canada > Entry Routines > Generate Batch).
  2. Select a Batch Number.
  3. Select Generate Batch.
  4. Open the Payroll Calculation Batch – Canada window (Transactions > Payroll - Canada > Batch Calculation).
  5. Select Calculate Payroll Batch.
  6. Open the Payroll Generate Cheques – Canada window (Transactions > Payroll - Canada > Cheque Generation).
  7. Select Generate Cheques.
  8. Open the Payroll Create Poster - Canada window (Transactions > Payroll - Canada > Posting Generation).
  9. Select Create Poster File.
  10. Open the Payroll Update Masters - Canada window (Transactions > Payroll - Canada > Update Masters).
  11. SelectSend Poster To G/L.
  12. Select Update Masters With Current Payroll Data.

    13. Important: Before you process detail and summary advice slips on the Mass Payroll Transmission window, wait for the update masters process to complete. If you process the detail and summary advice slips while the update masters process is running, unexpected issues can occur, such as blank advice slip files or other anomalies.

  13. Open the Mass Payroll Transmission window (Tools > Utilities > Utilities > eMailer Manager > Mass Payroll Transmission).

    14. You can see that the payroll records just processed appear in the scrolling window as unsent records.

See also

Printing T4 Slips

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Printing T4 Slips

To print T4 slips, follow these steps:

  1. Open the Payroll Reset Files – Canada window (Microsoft Dynamics GP > Tools > Routines > Payroll-Canada > Year End File Reset).
  2. Select Copy Files to History, and then select Reset Employee Master.
  3. Open the Payroll T4/R1 Creation – Canada window (Microsoft Dynamics GP >Tools > Routines > Payroll-Canada > T4 and R1 Creation)
  4. Select Create T4’s, and then select Print T4 Report.
  5. Open the Mass Payroll Transmission window (Tools > Utilities > Utilities > eMailer Manager > Mass Payroll Transmission).

    6. You can see that the T4 payroll records just processed appear in the scrolling window.

See also

Processing Payroll Checks (Canada)

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Accessing eMailer Manager Reports

eMailer Manager has several reports that you can use or modify and use.

To access the eMailer Manager reports, follow these steps:

  1. Open Report Writer (Microsoft Dynamics GP > Tools > Customize > Report Writer).
  2. In Product, select Emailer Solution, and select OK.
  3. Select Reports.

    4. The Original Reports list shows the eMailer Manager reports.

  4. Select a report from the Original Reports and select Insert, which moves the report to the Modified Reports list.
  5. You can then select a report from the Modified Reports list, and then select Open to make any changes.

See also

Adding Notes to the BSSI Payables EFT Remittance Report

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding Notes to the BSSI Payables EFT Remittance Report

When the report type used for EFT transmission is set to GP Report, you can print the BSSI_Payables_EFT_Remittance report from the Mass Payables EFT Transmission window.

You can modify the BSSI_Payables_EFT_Remittance report to sort child vendors by invoice/voucher number and to display the subtotal amount owing to the parent vendor. Also, you can add notes that are created on the Payables Transaction Entry and Enter/Match Invoice windows for the payables invoices to appear on the report.

Calculated fields can be created by calling the RW_TableHeaderString function. The calculated field returns a string type. This function is found under User-Defined and System.

The report currently shows four lines entered into the note, each line has a maximum of 77 characters. If the you want to increase the number of lines, modify this report by adding extra lines and create additional calculated fields using a report writer functions.

Due to Report Writer limitations, only four footers could be created, and one line is put in every footer. If you want to increase the number of lines, one more line should be added to each footer. In other words, the number of lines should be increased by four, which can leads to additional changes because some lines might have been moved from one footer to another.

Note icon. Note: For best results, only users who know Report Writer well should use this function. For information on how to modify reports and add new calculated fields, see the Great Plains documentation on Report Writer.

To create a calculated field that prints notes on the BSSI_Payables_EFT_Remittance report , follow these steps:

  1. Open Report Writer and access the eMailer Manager reports.
  2. On the Report Definition window, select Layout.
  3. On the Toolbox window, select the Layout tab.
  4. In the Layout tab, from the list box, select Calculated Fields.
  5. Select New, which opens the Calculated Field Definition window, where you create a calculated field.
  6. Specify a Name for the field, for example, BSSI_sGetNotes1.
  7. In Result Type, select String.
  8. In Expression Type, select Calculated .
  9. Select the Functions tab.
    1. Select User-Defined.
    2. In Core, select System.
    3. In Function select rw_TableheaderString.
    4. Select Add.
  10. Select the Constants tab.
    1. In Type, select Integer.
    2. In Constant, type 5135 (eMailer Manager product ID).
    3. Select Add.
    4. In Type, select String.
    5. In Constant, type REMIT.
    6. Select Add.
  11. Select the Fields tab.
    1. In Resources, select BSSI_PM_Payment_Apply_WORK.
    2. In Field, select Apply To Voucher Number.
    3. Select Add.
    4. In Resources, select BSSI_PM_Payment_Apply_WORK.
    5. In Field, select Apply To Document Type.
    6. Select Add.
  12. Select the Constants tab.
    1. In Type, select Integer.
    2. In Constant, type 1.
    3. Select Add.
  13. Select OK.
  14. In the Toolbox window, select the calculated field you just created, and drag it to the Report Header section of the Report Layout window.

Note icon. Note: This calculated field has 77 characters in one line. You can add more by using these steps to created different calculated fields.

For example, you can create BSSI_sGetNotes5. When you get to step 12, you can add constant 5. You can increment the constant by 1 with each calculated field you create (for example, 6, 7, and so on).

As mentioned previously, when you add more lines, you might have to make additional changes since line 2 must be in the same footer with line 1, and line 4 must be in the same footer as line 3, and so on. To suppress the footer, a calculated field that depends on suppressing the field for each line must be created for each footer.

See also

Accessing eMailer Manager Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Windows

Articles within this category provide information about the functionality of the windows within EM, including fields and buttons.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eMailer Manager Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > eMailer Manager Setup

Use this window to set up the default option settings for sending documents through email messages. The information entered in this window is used across a company. However, you can override these default settings for specific vendors, customers, or employees (in U.S. or Canada) as needed.

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


PO Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > eMailer Manager Setup > PO Setup button

Use this window to set up the email and fax message defaults and the report type and path for purchase orders that are sent through email and fax transmission. The information entered in this window is used across a company. However, you can override these default settings for specific vendors, customers, or employees (in U.S. or Canada) as needed.

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchase Order Print Options: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > eMailer Manager Setup > PO Setup button > Options button

Use this window to specify default printing options for purchase orders. These print options do not affect Crystal Reports and SQL Server Reports.

Tip: In the Print Options window for the Mass PO Transmission window, you can override these settings in real time as you prepare the transmission.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


EFT Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > eMailer Manager Setup > EFT Setup button

Use this window to set up the email and fax message defaults and the report type and path for eletronic fund transfers (EFTs) that are sent through email and fax transmission. The information entered in this window is used across a company. However, you can override these default settings for specific vendors, customers, or employees (in U.S. or Canada) as needed.

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Statement Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > eMailer Manager Setup > Statement Setup button

Use this window to set up the email and fax message defaults and the report type and path for statements that are sent through email and fax transmission. The information entered in this window is used across a company. However, you can override these default settings for specific vendors, customers, or employees (in U.S. or Canada) as needed.

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > eMailer Manager Setup > SOP Setup button

Use this window to set up the email message defaults and the report type and path for SOP documents that are sent through an email program. You can override these default settings for specific employees as needed in different setup windows.

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Quote Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > eMailer Manager Setup > SOP Setup button > Quote button

Use this window to set up the email and fax message defaults and the report type and path for SOP quotes that are sent through email or fax transmission.

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Order Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > eMailer Manager Setup > SOP Setup button > Order button

Use this window to set up the email and fax message defaults and the report type and path for SOP orders that are sent through email or fax transmission.

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Back Order Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > eMailer Manager Setup > SOP Setup button > Back Order button

Use this window to set up the email and fax message defaults and the report type and path for SOP back orders that are sent through email or fax transmission. You can override these default settings for specific customers as needed.

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Fulfillment Order Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > eMailer Manager Setup > SOP Setup button > Fulfillment Order button

Use this window to set up the email and fax message defaults and the report type and path for SOP fulfillment orders that are sent through email or fax transmission.

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Invoice Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > eMailer Manager Setup > SOP Setup button > Invoice button

Use this window to set up the email and fax message defaults and the report type and path for SOP invoices that are sent through email or fax transmission.

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Return Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > eMailer Manager Setup > SOP Setup button > Return button

Use this window to set up the email and fax message defaults and the report type and path for SOP returns that are sent through email or fax transmission.

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Print Options: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > eMailer Manager Setup > SOP Setup button > Print Options button

Use this window to set up default print options for each SOP document type, such as quote, order, back order, fulfillment order, invoice, and return.

These settings affect how the documents are published to the attachment file. These print options do not affect Crystal Reports or SQL Server Reports.

Tip: In the Print Options window for the Mass SOP Transmission window, you can override these settings in real time as you prepare the transmission.

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Payroll Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > eMailer Manager Setup > Payroll Setup button

Use this window to set up the email and fax message defaults and the report type and path for earning statements that are sent through an email program email and fax transmission. You can override these default settings for specific employees as needed.

Note icon. Note: To be able to see the earnings statement in the Mass Payroll Transmission window, on the Microsoft Dynamics GP Direct Deposit Setup window, the Earning Statement Print option must be set to Separate From Checks.

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Payroll - Canada Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > eMailer Manager Setup > Payroll - Canada Setup button

Use this window to set up the email and fax message defaults and the report type and path for earning statements that are sent through email and fax transmission. You can override these default settings for specific employees as needed.

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Project Accounting Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > eMailer Manager Setup > Project Accounting Setup button

Use this window to set up the email and fax message defaults and the report type and path for project accounting billing documents that are sent through email and fax transmission. The information entered in this window is used across a company. However, you can override these default settings for specific vendors, customers, or employees (in U.S. or Canada) as needed.

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Transmission Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > Vendor Transmission Setup

Use this window to save email and fax transmission information for each vendor to whom you send purchase order documents.

These settings and data override any similar settings and data in the eMailer Manager Setup, PO Setup, and EFT Setup windows.

Important Table Information

The following table provides information about the BSSI_Vendor_Contact table:

Field | Type
Physical Name: B0406000 Series: Project
Vendor ID | String (maximum 15 characters)
BSSI_Email_Subject | String (maximum 50 characters)
BSSI_Enable | Boolean
BSSI_PDF_PathName | String (maximum 255 characters)
BSSI_Vendor_Attachment_Path | String (maximum 255 characters)
BSSI_Enable_Fax | Boolean
BSSI_Email_Bod | Text (maximum 2000 characters)
BSSI_Enable_Outlook_Fax | Boolean

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Transmission Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > Customer Transmission Setup

Use this window to save email and fax transmission information for each customer to whom you send sales documents or statements.

These settings and data override any similar settings and data in the eMailer Manager Setup, Statement Setup, and the various SOP Setup windows.

Important Table Information

The following table provides information about the BSSI_Customer_Contact table:

Field | Type
Physical Name: B0405000 Series: Project
Customer ID | String (maximum 15 characters)
BSSI_Email_Subject | String (maximum 50 characters)
BSSI_Enable | Boolean
BSSI_PDF_PathName | String (maximum 255 characters)
BSSI_Customer_Attachment_Path | String (maximum 255 characters)
BSSI_Enable_Fax | Boolean
BSSI_Email_Bod | Text (maximum 2000 characters)
BSSI_Enable_Outlook_Fax | Boolean

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Template Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > eMailer Manager > Template Maintenance
Tools > Setup > eMailer Manager > Customer Transmission Setup > Template ID label link

Use this window to assign create new or edit existing templates.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Internet Information: Overview

Button showing that window Overview page is currently viewed.

Sales > Cards > Customer > Customer Maintenance > Internet icon
Purchasing > Cards > Vendor > Vendor Maintenance > Internet icon

Use this window to save email address and fax number information for vendors and customers. You can attach two additional items to any email messages sent to the vendors or customers.

You can access this window from the Microsoft Dynamics GP Vendor Maintenance window or the Customer Maintenance window.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Important Table Information

The following table provides information about the Internet Addresses table:

Field | Type
Physical Name: SY01200 Series: Company
Master Type | String (maximum 3 characters) – CUS for Customers, VEN for vendors
Master ID | String (maximum 30 characters) – This is the Customer ID or the Vendor ID
Address Code | String (maximum 15 characters) - This should be the primary address for the Vendor or the customer
INet1 | String (maximum 200 characters) – This is the email address
INet2 | String (maximum 200 characters)
INet3 | String (maximum 200 characters)
INet4 | String (maximum 200 characters) – This is the Fax Number
INet5 | String (maximum 200 characters)
INet6 | String (maximum 200 characters)
INet7 | String (maximum 200 characters)
INet8 | String (maximum 200 characters)
INetInfo | Text (maximum 32,000 characters)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Employee Transmission Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > Employee Transmission Setup

Use this window to save email and fax transmission information for each employee to whom you send earnings statements.

These settings and data override any similar settings and data in the eMailer Manager Setup and the Payroll Setup window.

Important Table Information

The following table provides information about the BSSI_Employee_Contact table:

Field | Type
Physical Name: B0406001 Series: Project
Employee ID | String (maximum 15 characters)
BSSI_Email_Subject | String (maximum 50 characters)
BSSI_Enable | Boolean
BSSI_PDF_PathName | String (maximum 255 characters)
BSSI_Employee_Attachment_Path | String (maximum 255 characters)
BSSI_Enable_Fax | Boolean
BSSI_Email_Body | Text (maximum 2000 characters)
BSSI_Enable_Outlook_Fax | Boolean

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Employee Transmission Setup - Canada: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > eMailer Manager > Employee Transmission Setup - Canada

Use this window to save email and fax transmission information for each employee to whom you send earnings statements.

These settings and data override any similar settings and data in the eMailer Manager Setup and the Payroll - Canada Setup window.

Important Table Information

The following table provides information about the BSSI_Employee_Email_CAN table:

Field | Type
Physical Name: B0402007 Series: Project
P_Employee_ID | String (maximum 15 characters)
BSSI_Employee_Email_Subject | String (maximum 50 characters)
BSSI_Employee_Attachment_Path | String (maximum 255 characters)
BSSI_EFT_PDF_PathName | String (maximum 255 characters)
BSSI_Enable | Boolean
BSSI_Enable_Fax | Boolean
BSSI_Enable_Internet_Fax | Boolean
BSSI_Fax_Domain | String (maximum 50 characters)
BSSI_Enable_Outlook_Fax | Boolean
Email | String (maximum 255 characters)
BSSI_strFaxNum | String (maximum 100 characters)
BSSI_Employee_Email_Body | Text (maximum 2000 characters)

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Generate EFT Files: Overview

Button showing that window Overview page is currently viewed.

Transaction > Purchasing > Generate EFT Files

Use this window to prepare to transmit batched payables checks that you send using the Mass Payables EFT Transmission window.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

See also

Prepare a Batch for EFT Transmission

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Emailer Audit Trail Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > eMailer Manager Inquiries > Audit Trail Inquiry

Use this window to view records for financial documents that have been sent through email or fax messages.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Payables EFT Transmission: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > eMailer Manager > Mass EFT Transmission

When you open this window from the Generate EFT window, you can send payables EFT remittances to vendors through email or fax messages. When you open this window from the menu, previously-selected payables EFT information is visible under the Unsent or Sent options.

After the EFT transmission is finished procesing, you can see the transactions when you select the Sent option and select Redisplay.

The default values for the attachment paths and email/fax subject and body for a specific vendor are set up in the Vendor Transmission Setup window. However, if the vendor does not have specific values set up, the default values are from the EFT Transmission Setup window.

Also, if no vendor -specific record is set up in the Vendor Transmission Setup window, the email address used is the email address associated with the primary address of the vendor. The email address is set up in the Internet Information window.

See also

Prepare a Batch for EFT Transmission

Sending a Custom or Third-Party EFT Report

Processes During Mass Email/Fax Transmission

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass PO Transmission: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > eMailer Manager > Mass PO Transmission

Use this window to send purchase order documents to vendors through email or fax messages.

The default values for the attachment paths and email/fax subject and body for a specific vendor are set up in the Vendor Transmission Setup window. However, if the vendor does not have specific values set up, the default values are from the PO Setup window.

Also, if no vendor-specific record is set up in the Vendor Transmission Setup window, the email address used is the email address associated with the primary address of the vendor. The email address is set up in the Internet Information window.

See also

Processes During Mass Email/Fax Transmission

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchase Order Print Options: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > eMailer Manager > Mass PO Transmission > Options button

Use this window to specify default printing options for purchase orders. These print options do not affect Crystal Reports and SQL Server Reports.

These settings are used for publishing documents to PDF format. These setting override the Purchase Order Print Options window that is opened from the PO Setup window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass SOP Transmission: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > eMailer Manager > Mass SOP Transmission

Use this window to send sales documents or statements to customers through email or fax messages.

The default values for the attachment paths and email/fax subject and body for a specific customer are set up in the Customer Transmission Setup window. However, if the customer does not have specific values set up, the default values are from the SOP Setup window.

Also, if no customer-specific record is set up in the Customer Transmission Setup window, the email address used is the email address associated with the primary address of the customer. The email address is set up in the Internet Information window.

See also

Processes During Mass Email/Fax Transmission

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Order Print Options: Overview

Button showing that window Overview page is currently viewed.

Utilities > eMailer Manager > Mass SOP Transmission > Options button

Use this window to set up print options for each SOP document type, such as quote, order, back order, fulfillment order, invoice, and return. These settings are used for publishing documents to PDF files. These setting override the Print Options window that is opened from the SOP Setup window.

See also

Setting Up Email/Fax Default Values

Overriding Email/Fax Default Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Payroll (Remittance) Transmission: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > eMailer Manager > Mass Payroll Transmission

Use this window to send earnings statements to employees through email or fax messages.

United States

The default values for the attachment paths and email/fax subject and body for a specific employee are set up in the Employee Transmission Setup window. However, if the employee does not have specific values set up, the default values are from the Payroll Setup window.

The email address used is the email address associated with the primary address of the employee. The email address is set up in the Internet Information window.

Important: Before you process direct deposit earnings statements on the Mass Payroll Transmission window, wait for the payroll posting process to complete. If you process the direct deposit earnings statements while the payroll posting process is running, unexpected issues can occur, such as blank direct deposit earnings statement files or other anomalies.

Canada

The default values for the attachment paths and email/fax subject and body for a specific employee are set up in the Employee Transmission Setup - Canada window. However, if the employee does not have specific values set up, the default values are from the Payroll - Canada Setup window.

The email address used is the email address set up for the employee on the Employee Transmission Setup - Canada window.

Note icon. Note: This window uses the Binary Stream custom versions of the Detail Advice Slip and Summary Advice Slip reports, which are named BSSI_P_Payroll_Advice_Slips_Detail_RPT0029 and BSSI_P_Payroll_Advice_Slips_Summary_RPT0028, respectively. If you want to modify the Detail Advice Slip and Summary Advice Slip reports that are sent by eMailer Manager, ensure you modify the Binary Stream custom versions and not the Microsoft Dynamics GP versions.

Important: Before you process detail and summary advice slips on the Mass Payroll Transmission window, wait for the update masters process to complete. If you process the detail and summary advice slips while the update masters process is running, unexpected issues can occur, such as blank advice slip files or other anomalies.

Password Protection Feature

For an employee record in the Employee Transmission Setup window, you can set an Employee Password. This password is used to secure PDF files created for the employee. The employee can then open the encrypted PDF file with the password that you provide. If you do not enter a password, then the PDF file is not encrypted.

You can use this feature only when Print Option is novaPDF on the eMailer Manager Setup window.

Note icon. Note: This feature is not available for Word (.docx) files.

When Process Type is Payroll - US, this feature applies to Direct Deposit Earning Statements and W-2 Forms.

When Process Type is Payroll - Canada, this feature applies to Detail Advice Slips, Summary Advice Slips, and T4 Slips.

See also

Processes During Mass Email/Fax Transmission

Processing Payroll Checks (U.S.)

Processing Payroll Checks (Canada)

Printing T4 Slips

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Project Accounting (Billing) Process: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > eMailer Manager > Mass PA Transmission

Use this window to send project accounting billing documents to customers through email or fax messages.

The default values for the attachment paths and email/fax subject and body for a specific customer are set up in the Customer Transmission Setup window. However, if the customer does not have specific values set up, the default values are from the Project Accounting Setup window.

Also, if no customer-specific record is set up in the Customer Transmission Setup window, the email address used is the email address associated with the primary address of the customer. The email address is set up in the Internet Information window.

See also

Processes During Mass Email/Fax Transmission

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Additional Citrix Setup and Notes

If your Microsoft Dynamics GP environment is installed on a Citrix server that you access with a remote desktop connection, review the following sections in the installation guide:

  • Install Adobe Acrobat
  • Set up Print Options for novaPDF
  • Install Crystal Reports
  • Troubleshooting: novaPDF Message

When you use Microsoft Dynamics GP from a Citrix server, ensure that you start Microsoft Outlook on the Citrix server before you send email messages and files with eMailer Manager.

For additional information on Citrix, see the Microsoft Management Console documentation from a Citrix Access Management Console. In the Microsoft Management Console documentation, select Access Management Console.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Adobe Acrobat Message Occurs During PDF File Creation

When a PDF file is created, the following message appears:

When you create a PostScript file you must rely on system fonts and use document fonts. Please go to the printer properties, "Adobe PDF Settings" page and turn OFF the option "Rely on system fonts only; do not use document fonts.

After you select OK, this additional message appears:

Unable to Start Printing.

After you select OK for that message, this additional message appears:

Cannot open printer, check printer selection.

This error occurs because the settings for the Adobe PDF printer in Windows and Microsoft Dynamics GP must be edited.

Resolution

Note icon. Note: You must edit the settings on every computer that runs Microsoft Dynamics GP.

To edit the settings in Microsoft Dynamics GP, follow these steps:

  1. In Microsoft Dynamics GP, open the Print Setup window (Microsoft Dynamics GP > Print Setup).
  2. In the Printer section, in Name, select Adobe PDF.
  3. Select Properties, which opens the Adobe PDF Document Properties window.
  4. On the Adobe PDF Settings tab, clear Rely on system fonts only; do not use document fonts.
  5. Select OK, which closes the Adobe PDF Document Properties window.
  6. Select OK, which closes the Print Setup window.

To edit the settings in Windows, follow these steps:

  1. Close Microsoft Dynamics GP.
  2. Open the Control Panel.
  3. Open the Devices and Printers window (Hardware and Sound > Devices and Printers).
  4. Under Printers, find the Adobe PDF printer.
  5. Right-click the Adobe PDF printer, and select Printer Preferences, which opens the Adobe PDF Printing Preferences window. .
  6. On the Adobe PDF Settings tab, clear Rely on system fonts only; do not use document fonts.
  7. Select OK, which closes the Adobe PDF Printing Preferences window.

Note icon. Note: The Rely on system fonts only; do not use document fonts setting is set for each Windows user, not each computer. As a result, you must edit the settings for each Windows user that uses eMailer Manager.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Payroll Batch Proccessing

When processing a payroll batch, the following message might appear:

A payroll batch is currently being processed. Reprinting can only take place after the checks have been processed.

This message appears when a payroll process is unexpectedly interrupted. This message may also appear if you used Windows Task Manager to stop the payroll batch processing. If you used the Task Manager to stop the process, some data might exist in the Microsoft Dynamics GP temporary tables.

Resolution

Note icon. Note: Before you use this procedure in your live environment, use it on a test company in a test environment. If the steps work correctly, repeat the steps in the live environment.

To resolve this issue, follow these steps:

  1. Run the following SQL queries to check if some data exists in the temporary tables

    2. SELECT * FROM UPR10202

    SELECT * FROM UPR10208

    SELECT * FROM UPR10213

    SELECT * FROM UPR10214

    If any of the temporary tables contain data, check if the data is related to the payroll remittance that you are processing. If the data is related, continue with these steps to resolve the issue.

  2. Get all users to log off and exit Microsoft Dynamics GP.
  3. Create a backup of your company and Dynamics databases.
  4. Run the following SQL queries:

    5. DELETE UPR10202

    DELETE UPR10208

    DELETE UPR10213

    DELETE UPR10214

  5. Start Microsoft Dynamics GP, and log on as the system administrator (sa).
  6. Open the Mass Payroll Transmission window, and process the outstanding (Unsent) records.
  7. You can then resume working with Microsoft Dynamics GP.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Duplicate Documents are Attached to Email Messages

Email messages are being sent with duplicate documents.

When you use the auto-attachment feature in any eMailer Manager Mass Transmission window, documents are automatically attached to email messages that are sent to vendors, customers, or employees. Files containing a specific string (the exact string depends on the type of Transmission) that are in the Auto Attachments Path location are automatically attached to the email messages.

Resolution

To resolve this issue, on a Mass Transmission window, check that the Auto Attachments Path is different from the Attachment Path. When these values are the same, the email messages that are sent have duplicate documents, or transmission performance issues might occur.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Performance Issue Occurs When Email Messages are Sent

When email messages are sent during a mass transmission, the computer performance decreases.

Performance issues can occur when you use the Auto Attachments feature, and many files exist in the Auto Attachments Path location on the Mass Transmission window. When eMailer Manager attaches a file, a check is performed on each file to ensure that the string value of the file name matches.

Resolution

To resolve this issue, ensure that only the files that you want to attach to the email message exist in the location that you are using for the Auto Attachments Path. If any other files exist in the location, move the files to an alternate location.

Note icon. Note: In eMailer Manager build 608 (and newer) and eMailer Manager build 703 (and newer), the performance for sending documents using the Auto Attachments feature has been improved. As a result, you should only have to move unused files out of the Auto Attachments Path occasionally.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Customer Prefers Hard Copy Documents

Some customers want their documents printed and then sent through the postal mail service instead of email messages.

Resolution

For customers who want a printed copy of their documents sent through the postal mail service, you can assign a generic internal email address to their records in the Customer Maintenance window.

The generic internal email address captures the email message for all customers who do not want to receive an email message of their documents. You can then print and send through the postal service the documents.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: novaPDF Message

When using novaPDF for a mass transmission, a "Save PDF File" message appears.

This issue can occur if the novaPDF named printer is not correctly configured.

Resolution

To resolve this issue, follow these steps:

  1. Open the eMailer Manager Setup window.
  2. Under the Preference section, in Print Option, select Acrobat PDF Writer, and select OK.
  3. Open the Assigned Named Printers window (Administration > Setup > System > Named Printers).
  4. In Task Series, select 3rd Party.
  5. In the scrolling window, select the Printer ID header label, which opens the Setup Named Printers window.
  6. In Printer ID, select NOVA_PDF.
  7. Select Delete, and close the Setup Named Printers window.
  8. Close and then re-open the Assigned Named Printers window.
  9. In Task Series, select 3rd Party.
  10. In the scrolling window, check that 3rd Party – Nova PDF is not in the list.
  11. Select OK to close the Assign Named Printers window.
  12. If you are running Microsoft Dynamics GP on a Citrix or Terminal Services server, you might need to perform these additional steps on the Citrix or Terminal Services server to uninstall and reinstall novaPDF.
    If this is your first time performing the troubleshooting procedure, you can skip these additional steps. However, if the "Save PDF File" message persists, perform these additional steps the next time you try this troubleshooting procedure.
    1. Uninstall novaPDF from the computer.
    2. Restart the computer.
    3. Reinstall novaPDF on the computer.
    4. Restart the computer.
  13. In the eMailer Manager Setup window, in Print Option, select novaPDF.
  14. When you see the message “Named Printer for novaPDF doesn’t exist. Do you want to add the novaPDF information?”, select Yes.
  15. In the Print Setup window, in Name, select BSSI Nova PDF 8, and select OK.
  16. On the eMailer Manager Setup window, select OK.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Cannot Uninstall novaPDF 8

Uninstalling the BSSI novaPDF 8 Application Bundle does not uninstall all programs. The uninstaller appears to run without issue, but upon reviewing the updated Programs and Features window, you see one or more of the following programs has not been uninstalled:

  • BSSI NovaPDF 8 Application Bundle
  • novaPDF 8 Printer Driver
  • novaPDF 8 SDK COM (x64)
  • novaPDF 8 SDK COM (x86)

If you subsequently try to reinstall the BSSI NovaPDF 8 Application Bundle, the following errors occur:

  • One or more issues caused the setup to fail
  • 0x80070643 - Fatal error during installation

Resolution

This issue is usually caused when the following Windows registry key is set to an invalid value, such as -4:

HKEY_LOCAL_MACHINE\SOFTWARE\Softland\novaPDF 8\OEMCount

According to the novaPDF Support Team: "The printer driver and the MSI can be uninstalled only when the OEMCount is 0".

To resolve this issue, follow these steps:

  1. Open the Registry Editor, and change the value of this Windows registry key to 0 (HKEY_LOCAL_MACHINE\SOFTWARE\Softland\novaPDF 8\OEMCount).
  2. Open the Programs and Features window
  3. If any of the following programs appear in the list, uninstall it.
    • BSSI NovaPDF 8 Application Bundle
    • novaPDF 8 Printer Driver
    • novaPDF 8 SDK COM (x64)
    • novaPDF 8 SDK COM (x86)
  4. Restart the computer.
  5. Open the Services window from the Windows Control Panel.
  6. If novaPDF Server appears in the Services (Local) list, remove it by running the following command from an Administrator command prompt: sc delete NovaPdfServer

    If you want to reinstall the BSSI NovaPDF 8 Application Bundle, perform the following additional steps:

    1. Install the BSSI NovaPDF 8 Application Bundle (see Installing novaPDF).
    2. Set up novaPDF as the Computer Print Option in eMailer Manager (see Setting Up novaPDF as the Computer Print Option)

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: License Not Valid for Printer BSSI novaPDF 8

The following error message can appear when using a Mass Transmission window in eMailer Manager to send a document:

License is not valid for printer BSSI Nova PDF 8 (error 4380)

Resolution

This issue is usually caused when the novaPDF Server service is not currently running. The novaPDF Server service can stop running for any reason. For example, the service may fail to start automatically after the computer is restarted.

To resolve this issue, follow these steps:

  1. Open the Services window.
    You can either search for the app from the Window global search or from the Control Panel.
  2. From the list of Services (Local), find novaPDF Server.
  3. If the status is Running, select Action > Restart.
  4. If the status is empty (not running), select Action > Start.
    And wait for the status to change to Running.
  5. Return to eMailer Manager and send the document again.
    The issue should be resolved and the error message should not appear.

For more information, see License is not valid for printer doPDF8 (printer error 4380) on the novaPDF website.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: novaPDF Printer Not Visible in Printer List for Windows 10 or Windows Server 2016

You installed novaPDF 6 on Windows 10 by running the novapk.exe file that comes with older versions of eMailer Manager. During the installation, no error messages appear. However, after the installation, the novaPDF printer is not visible in the printer list in the Devices and Printers window in Control Panel.

Resolution

This issue occurs because novaPDF 6 is not supported in Windows 10 or Windows Server 2016 or newer versions of Windows. The latest versions of eMailer Manager for Microsoft Dynamics GP 2013 R2 or newer use novaPDF 8.

GP 2013 R2 and Newer

If you are using Microsoft Dynamics GP 2013 R2 or newer, follow these steps to resolve the issue:

  1. Log on to the Binary Stream Portal (https://portal.binarystream.com/) External link.
  2. Go to the eMailer Managerdownloads [image] page and download the installation package for the version of Microsoft Dynamics GP that you need.
  3. Install eMailer Manager.
  4. Install novaPDF 8 using the installer that comes with eMailer Manager.

GP 2010

Currently for Microsoft Dynamics GP 2010 and eMailer Manager, only novaPDF 6 can be used.

To resolve the issue, do one of the following:

  1. Purchase and install Adobe Acrobat.
    For more information about Adobe Acrobat, visit the Adobe website [image] .
  2. On the eMailer Manager Setup window, set the Print Option to Acrobat PDF Writer.

Or

  • Use an earlier version of Windows, such as Windows 8.1 or Windows Server 2012.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Seven Invoices Must be Sent, but Only Five were Actually Sent

Seven invoices with attachments must be sent through the email program (MS Outlook). However, only five were actually sent, but all seven attachment files were created.

Resolution

This issue can occur when you use Microsoft Dynamics GP from a Citrix server and the email program is not started before you transmit the messages.

To resolve this issue, ensure that the email program is started and running before you transmit the email messages and files from eMailer Manager.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Payment Number Error Message Appears

After email messages are transmitted, the BSSI_PM_Transmission_Error report shows the following messge:

Payment number does not exist in Unsent table

This message appears after using the following steps:

  1. In the Mass Payables EFT Transmission window, in the scrolling window, select any line(s) and select Send.

    2. After the transmission is completed, a message asks if you want to redisplay the unsent records in the scrolling window.

  2. If you select No, the selected payment number(s) are moved to the Sent table.

    3. However, because you did not update the records in the scrolling window, the records are still visible in the scrolling window.

  3. If you select the same records again, and select Send, the Payment number does not exist in Unsent table message appears in the error report.

Resolution

If you want to see only the unsent records in the scrolling window, ensure that you select Redisplay to update the records that appear in the scrolling window before you transmit any messages.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Outlook is Not Running

When Process is selected on any transmission window, the following message appears:

Outlook is not running

This message appears regardless of whether Outlook is running or not.

Resolution

This issue can occur for various reasons. Review the following resolutions for a possible solution.

Closed Programmatic Access in Outlook is turned off

This issue might occur when Programmatic Access in the Outlook Trust Center window is turned off.

To resolve this error, follow these steps:

  1. Start Outlook as the administrator.
  2. Open the Trust Center window.
  3. Select Programmatic Access, and select Never warn me about suspicious activity.

Closed An antivirus program is running

This issue might occur when you are running an antivirus program. For example, this issue occured with Symantec Endpoint Protection version 12.1.5.

To resolve this error, do one of the following:

  • Uninstall the antivirus program
  • Turn off the antivirus program.
    For instructions on turning off the antivirus program, see the instruction manual for the antivirus program.
  • Add exceptions to the configuration of the antivirus program. For instructions on how to add exceptions to the antivirus program, see the instruction manual for the antivirus program.

    • For example, try adding exceptions for the whole C:\Program Files (x86)\Microsoft Office folder, the whole C:\Program Files (x86)\Microsoft Dynamics folder, and the specific applications Outlook.exe, and WinWord.exe.

  • Run Outlook as an administrator.

    • To run Outlook as the administrator, under the Outlook Properties window, select Run as administrator. The exact location of this option is different for different versions of Outlook.

    Note icon. Note: It has been reported that this solution might not work in a Citrix or Terminal Services environment, where Outlook is started as a Published App (Citrix) or a Remote App (Terminal Services).

Closed Outlook was started as an administrator

This issue might occur when you start Outlook as an administrator with the Run as Administrator option.

To resolve this issue, restart Outlook as a regular Windows user.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Another Version of Outlook is Running

When Process is selected on any transmission window, the following message appears:

Another version of Outlook is currently running

This issue can occur for various reasons. Review the following resolutions for a possible solution.

Resolution

This issue can occur for various reasons. Review the following items for a possible solution:

Closed An antivirus program is running

This issue might occur when you are running an antivirus program. For more information, see An antivirus program is running on the Outlook is Not Running troublshooting issue.

Closed Multiple instances of Outlook are running in the background

This issue might occur when multiple instances of Outlook running in the background.

To resolve this issue, follow these steps:

  1. Close the main Outlook window (if you can see it).
  2. Close Microsoft Dynamics GP.
  3. Open the Windows Task Manager.
  4. On the Processes tab, check for any instances of Outlook.exe.
  5. If there are instances of Outlook.exe, select the process, and select End Task.
  6. Restart Outlook.
  7. Restart Microsoft Dynamics GP.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Email and Fax are Turned Off for All Vendors, Customers or Employees.

When Process is selected on any transmission window, the following message appears:

Email and Fax Transmissions are disabled

This message appears for all vendors, customers or employees.

Resolution

To resolve this issue, ensure that you have selected the Transmission Options on the eMailer Manager Setup window.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Email and Fax are Turned Off for Some Vendors, Customers or Employees

When Process is selected on any transmission window, the following message appears:

Email and Fax Transmissions are disabled

This message only appears for some vendors, customers or employees.

Resolution

This issue might occur if you have set an override for a particular vendor, customer or employee on the Vendor Transmission Setup window, Customer Transmission Setup window or Employee Transmission Setup window, respectively, and the Enable Email Transmision option is cleared.

For example, when an override for vendor ACETRAVE0001 is set up, the Enable Email Transmision must be selected.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Statement Does Not Exist

On the Mass SOP Transmission window when Process Type is Statements and the Process or Create PDF/Word Only button is selected, the following message appears:

Statement does not exist for this customer

Resolution

This issue can occur for various reasons. Review the following items for a possible solution:

Closed The statement does not exist

This issue might occur when the statement does not exist for the customer. To check if the statement exists, open the Microsoft Dynamics GPPrint Receivables Statements window, and try to print the statement with the the same parameters that you used in the Mass SOP Transmission window.

Closed The SSRS add-in has not been installed

This issue might occur when the SSRS report is used for the customer statement, but the eMailer Manager SSRS add-in has not been installed.

To resolve this issue, follow the steps in the installation guide for Running the SSRS (SQL) Add-In Setup Wizard.

Closed The SSRS add-in is installed in the wrong folder

This issue might occur when the SSRS report is used for the customer statement, but the eMailer Manager SSRS add-in is installed in the wrong folder. The add-in must be installed in the Microsoft Dynamics GP folder (for example, C:\Program Files (x86)\Microsoft Dynamics\GP2015\)

To resolve this issue, uninstall and then reinstall the eMailer Manager SSRS add-in setup wizard. For instructions, follow the steps in the installation guide for Running the SSRS (SQL) Add-In Setup Wizard.

Closed novaPDF is used, but the named printer is not correctly set up

This issue might occur when novaPDF is used, but the named printer has not been set up correctly on the workstation that is experiencing the error message.

To resolve this issue, follow the steps in the installation guide for Installing novaPDF and Initializing the Name Printer Function.

After novaPDF is installed and the named printer function is initialized, check that the Assigned Named Printers window shows the following mapping between Task Description, Printer ID, and Printer Name for the affected User ID on the affected Machine ID:

Closed The full path name of the file attachment exceeds 201 characters

This issue might occur if after the attachment file is created, the resulting full path name (Attachment Path + file name) exceeds 201 characters.

To resolve this issue, reduce the size of the full path name so that it is shorter than 201 characters.

Tip: Consider using an Attachment Path that is only one or two folder levels with short folder names. For example C:\statements\2013\.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Unable to Send Attachment

When an email message is sent from any of the Transmission windows, the following message appears:

Unable to send the Attachments

Resolution

This issue might occur for one of the following reasons:

  • Full path name exceeds maximum allowable characters

    • This issue might occur if after the attachment file is created, the resulting full path name (Attachment Path + file name) exceeds 201 characters.

    To resolve this issue, reduce the size of the full path name so that it is shorter than 201 characters.

    Tip: Consider using an Attachment Path that is only one or two folder levels with short folder names. For example C:\statements\2013\.

  • Slow or overloaded computer network

    • In very rare cases, this issue might occur in environments with unusually slow or overloaded computers or networks.

    To resolve this issue, do one of the following:

  • Resend the same document a second time. Usually, the message with the attached file is sent successfully without error.
    Note icon. Note: This solution is the only known solution in rare cases for certain environments.
  • Check the Attachment Path location.

    • If the path is for a network shared folder (for example, \\SomeComputerOnTheNetwork\SomeShareName\), change it to a local computer path (for example, C:\SomeFolderName\).

  • On the eMailer Manager Setup window, check the Print Option setting:
    • If novaPDF is selected, change it to Acrobat PDF Writer.
      Before you can select Acrobat PDF Writer, Adobe Acrobat must be installed.
    • If Acrobat PDF Writer is selected, change it to novaPDF.
      Before you can select novaPDF, novaPDF must be installed.
    Note icon. Note: The following issue has been observed in Adobe Acrobat Pro 2017 version 2017.011.30127, but may also occur in other versions.
    On rare occasions with some versions of Adobe PDF Writer, some PDF files (at random) are not created. Also, no error message with information appears. In some cases, Adobe PDF Writer creates an intermediate PS file in the Attachment Path folder. In other cases, neither the intermediate PS file or PDF are created.
    This issue is not related to eMailer Manager or code from Binary Stream. To avoid this issue, change to use novaPDF, or try a different version of Acrobat PDF Writer.
  • Try putting all of the following computers on the same Local Area Network (LAN):
    • SQL Server computer
    • Exchange Server computer
    • Attachment Path computer
      The computer where PDF files are saved.
    • Microsoft Dynamics GP client computer(s)
      - When the Microsoft Dynamics GP client is run locally on each workstation, put all these computers on the same LAN
      - When the Microsoft Dynamics GP is run on a Citrix Server or a Terminal Server, put this computer on the same LAN.
  • Try the attachment retry feature, which is added to eMailer Manager to reduce or eliminate the need to resend the failed document. This feature is rarely used because most times the issue can be resolved without using it and should be used only when other resolution methods fail. Closed View more information about this feature.

The attachment retry feature is available in the following versions:

  • Microsoft Dynamics GP 2018 - eMailer Manager build 701 and newer
  • Microsoft Dynamics GP 2016 - eMailer Manager build 606 and newer
  • Microsoft Dynamics GP 2015 - eMailer Manager build 509 and newer

When a email message with an attached file is not sent due to an error, eMailer Manager repeats the process of attaching the file to the email message and then sending the email message until the message and attached file are successfully sent or until the maximum retry limit has been exceeded.

If you do need to use this feature, change the following options on the B0401000 table in the company database:

  • BSSI_ChkFileExistsRetry: Specifies how many retries to perform to check if the file exists. The default value is 2 retries.

    • Note icon. Note: The actual default value is 0 (zero). Any value less than zero has a retry value of 2.

  • BSSI_ChkFileExistsSleep: Specifies how long (in milliseconds) to wait between each retry. The default value is 1000 milliseconds.

    • Note icon. Note: The actual default value is 0 (zero). Any value less than zero has a value of 1000 milliseconds.

You can use trial and error in adjusting the values to see if this feature reduces or eliminates the occurrence of the error.

To review the current values of BSSI_ChkFileExistsRetry and BSSI_ChkFileExistsSleep, in SQL Server Management Studio run the following SQL statement on your company database:

  • select BSSI_ChkFileExistsRetry, BSSI_ChkFileExistsSleep from B0401000

To specify the values of BSSI_ChkFileExistsRetry and BSSI_ChkFileExistsSleep, follow these steps:

  1. Backup your company database.
  2. Start SQL Server Management Studio.
  3. Specify the BSSI_ChkFileExistsRetry value by running the following SQL statement:

    4. update B0401000 set BSSI_ChkFileExistsRetry = 3

    Note icon. Note: Replace 3 with the value you want.

  4. Specify the BSSI_ChkFileExistsSleep value by running the following SQL statement:

    5. update B0401000 set BSSI_ChkFileExistsSleep = 2000

    Note icon. Note: Replace 2000 with the value you want.

  5. Save your changes.
  6. For the changes to become effective, restart Microsoft Dynamics GP.

    7. Note icon. Note: eMailer Managergets these values from the database table only once per Microsoft Dynamics GP session and saves them in temporary memory. As a result, each time you change one or both of these values, you must restart Microsoft Dynamics GP.

As a best practice, change the BSSI_ChkFileExistsRetry value first before changing the other value. For example, you can double the value with each test to see what works best. Since 2 retries is the default value, start with 4, then 8, then 16.

Ultimately, if you have major issues in your hardware and network, the attachment retry feature might not completely solve the issue. At best, it should reduce the occurrence of the error.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Email Message was Sent Without the Attachment

When an email message is sent from any of the Transmission windows, the message is sent but without the attachment file. Also, no message appears to provide information that the file is not attached to the message.

Resolution

This issue might occur if after the attachment file is created, the resulting full path name (Attachment Path + file name) exceeds 201 characters.

To resolve this issue, reduce the size of the full path name so that it is shorter than 201 characters.

Tip: Consider using an Attachment Path that is only one or two folder levels with short folder names. For example C:\statements\2013\.

To check if the full path file name is the cause of this issue, review the Transmission Log report. To generate the log report, select Enable Transmission Log Report on the eMailer Manager Setup window.

If the full path file name is the cause of issue, one of the following error messages appears on the report:

  • Statement does not exist for this customer (appears when sending statements)
  • Unable to send the Attachments (appears when sending all other documents)

If this option is not selected, the report is not generated, and it does not appear on the screen after a transmission is completed.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: The PDF File was Created but the Email Message was not Sent

When Send or Process is selected on any transmission window, the PDF file is created in the Attachment Path specified. However, no email message is sent to the intended recipient. When you check Outlook, you cannot find the message in either the Outbox or the Sent Items folder.

Resolution

This issue can occur when you start Microsoft Dynamics GP before you start Outlook.

To resolve this issue, ensure that you start Outlook before you start Microsoft Dynamics GP. Also, make sure that Outlook is still running before you select Send or Process on the Mass Transmission window.

Note icon. Note: If you run Microsoft Dynamics GP as either a Citrix Published App or a Windows Terminal Server Remote App, you must also run Outlook as a published app or remote app, respectively. For Microsoft Dynamics GP to be able to communicate with Outlook, both programs must be run using the same method.

For example, when you run Microsoft Dynamics GP as a Windows Terminal Server Remote App, you must also run Outlook as a Windows Terminal Server Remote App. If Outlook is run on your local computer, Microsoft Dynamics GP cannot communicate with Outlook.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Attachment Path Access

In the eMailer Manager Setup window, the Print Option is set to Acrobat PDF Writer. When you try to create or send a PDF file from one of the Transmission windows (for example, Mass SOP Transmission), the following messages appear:

Unable to Start Printing.

After you close the message, this message appears next:

Cannot open printer, check printer selection.

Resolution

This issue occurs for one of the following reasons:

  • The Attachment Path does not exist.
  • You do not have permission to access the folder location specified as the Attachment Path.

To resolve this issue, make sure that the Attachment Path exists, and that you (or other Windows users) have permission to write to the folder.

This error can also occur if you have selected Rely on system fonts only; do not use document fonts in the Adobe PDF Settings. For more details, see Troubleshooting: Adobe Acrobat Message Occurs During PDF File Creation.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Blank Payroll Statements

When processing payroll checks on the Mass Payroll Transmission window and then printing the payroll statements, the payroll statements are blank.

Resolution

This issue occurs when you have started the payroll processing on the Mass Payroll Transmission window, but did not wait for the payroll processing to complete before printing the payroll statements.

United States

Before you process direct deposit earnings statements on the Mass Payroll Transmission window, wait for the payroll posting process to complete. If you process the direct deposit earnings statements while the payroll posting process is running, unexpected issues can occur, such as blank direct deposit earnings statement files or other anomolies.

Canada

Before you process detail and summary advice slips on the Mass Payroll Transmission window, wait for the update masters process to complete. If you process the detail and summary advice slips while the update masters process is running, unexpected issues can occur, such as blank advice slip files or other anomolies.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Document Number in the PDF File Name is Different from the Document Number within the PDF File

When a PDF file is created within an eMailer Manager Transmission window, the document number in the PDF file name does not match the document number within the PDF file.

For example, on the Mass SOP Transmission window, you send the invoice document number 12345 to customer number AARONFIT0001 through email. The PDF file created is named AARONFIT0001_12345.pdf. But when you review the PDF file, the invoice number is 67890 and the customer number is WORLDENT0001.

This issue can occur if the following criteria are true:

  • Multiple users simultaneously send documents or statements through email from an eMailer Manager Transmission window
  • On the eMailer Manager Setup window, Print Option is set to novaPDF

Resolution

To resolve this issue, try one of the following:

  • Ensure that only one user sends the documents or statements through email from an eMailer Manager Transmission window.

    • Note icon. Note: When the Print Option on the eMailer Manager Setup window is set to novaPDF, only one user at a time should send emails from eMailer Manager. This limitation of using novaPDF cannot be changed.

  • Change Print Option from novaPDF to Acrobat PDF Writer.

    • Note icon. Note: Before you can select Acrobat PDF Writer, Adobe Acrobat must be installed.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: PDF File Contains Header and Line labels But No Document Data

When a PDF file is created within an eMailer Manager Transmission window, the PDF file contains the header and line labels but no document data.

For example, on the Mass SOP Transmission window, you send the invoice document number 12345 to customer number AARONFIT0001 through email. The invoice has several lines. When you review the generated PDF file, you see the labels for the report header: Invoice and Customer ID, but the invoice number and customer ID are blank and the body of the report contains no line items.

This issue can occur if the following criteria are true:

  • Multiple users simultaneously send documents or statements through email from an eMailer Manager Transmission window
  • On the eMailer Manager Setup window, Print Option is set to novaPDF

Resolution

To resolve this issue, try one of the following:

  • Ensure that only one user sends the documents or statements through email from an eMailer Manager Transmission window.

    • Note icon. Note: When the Print Option on the eMailer Manager Setup window is set to novaPDF, only one user at a time should send emails from eMailer Manager. This limitation of using novaPDF cannot be changed.

  • Change Print Option from novaPDF to Acrobat PDF Writer.

    • Note icon. Note: Before you can select Acrobat PDF Writer, Adobe Acrobat must be installed.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: When Using Adobe Acrobat, No PDF File is Created

When the Print Option on the eMailer Manager Setup window is set to Adobe PDF Writer, you might experience the following issues when creating a PDF file or sending an email message from one of eMailer Manager's Mass Transmission windows:

  • The Transmission Log Report and the Error Log report may show the following error message:

    • Unable to send the attachments. File not found.

    In older versions of eMailer Manager, the error message is: Unable to send the attachments.

  • One or more email messages might be sent without an attachment.
  • Microsoft Dynamics GP stops responding (or hangs)
  • The Adobe Confirm Security window appears with the following message:

    • Are you sure that this file is from a trustworthy source and you want to convert it?

These issues may occur for some Windows User ID, but not others.

Resolution

To resolve this issue, visit the Adobe website and review the following knowledge base article:

How to disable the security warning dialog before postscript to PDF file conversion

If the issue continues, do the following:

  1. Delete the Windows User’s Windows Profile.
  2. Recreate the Windows User’s Windows Profile.

In some cases, it seems that (unknown) Adobe data becomes corrupt in the Windows User’s Windows Profile, and recreating the profile can resolve the corrupt data issue.

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Report Type Sent from Transmission Window does not Match Report Type on Setup Window

When processing a mass transmission, the report type sent does not match the report type that was set up on the Transmission Setup window.

For example, on the EFT Setup window, Report Type is set to Word Template.

When the document is sent from the Mass EFT Transmission window, a Crystal report is sent instead of a Word template.

Resolution

The general report type for a transmission method is set up on the Transmission Setup window for the transmission method or document type. However, the report type can also be set up for specific customer, vendor, and employee records on the following windows:

  • Customer Transmission Setup
  • Vendor Transmission Setup
  • Employee Transmission Setup

Note icon. Note: For each transmission type, the specific transmission setup for a customer, vendor, or employee overrides the general transmission setup for a transmission method or document type.

To resolve this issue, do the following:

  1. Check whether a customer, vendor, or employee transmission setup record exists.

    2. Tip: To see all customer, vendor, or employee records, run the following SQL query for the table:

      select * from <table>
    • To see all customer transmission setup records, run the query on table B0405000 of the company database.
    • To see all vendor transmission setup records, run the query on table B0406000 of the company database.
    • To see all employee transmission setup records, run the query on table B0406001 of the company database.
  2. If a record exists, set the report type for the specific record to be the same as the general transmission setup.
    Or, if the transmission setup record for the customer, vendor, or employee is not needed, delete it.

The following table shows you which windows to check for the report type setting.

For Transmission Type Check that the Report Type for the Specific Record Setup Matches the Report Type for the General Transmission Setup

Project Accounting

Mass PA Transmission

Customer Transmission Setup
  • Project Accounting Setup

Sales

Mass SOP Transmission

Customer Transmission Setup
  • SOP Quote Setup
  • SOP Order Setup
  • SOP Back Order Setup
  • SOP Fulfillment Order Setup
  • SOP Invoice Setup
  • SOP Return Setup

EFT

Mass EFT Transmission

Vendor Transmission Setup
  • EFT Setup

Purchasing

Mass PO Transmission

Vendor Transmission Setup
  • PO Setup

Payroll

Mass Payroll Transmission

Employee Transmission Setup
  • Payroll (U.S.) Setup
  • Payroll (Canada) Setup

See also

Troubleshooting Issues

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Binary Stream Software Inc., Trademarks, and Disclaimers

Binary Stream is an award-winning, Microsoft Gold certified partner that develops enterprise-grade, add-on software to enhance Microsoft Dynamics 365 Finance, Dynamics 365 Business Central, and Dynamics GP.

As a 7-time President's Club award winner and frequent ISV of the year finalist, Binary Stream is among the top 5% of Microsoft Dynamics partners worldwide and continues to be a leading solution provider to customers in the finance, healthcare, hospitality, real estate, manufacturing telecom, and software industries.

Covering critical functions including subscription billing automation, lease administration, multi-entity management, and supply chain optimization, our solutions have supported thousands of users in over 30 countries.

Copyright

Copyright © 2025 Binary Stream Software Inc. Published in Canada. All rights reserved.

Intellectual Property

This document does not provide you with any legal rights to any intellectual property in any Binary Stream product.

Your right to copy this documentation is limited by copyright law and the terms of the software license agreement. As such, you may only copy and use this document for your internal, reference purposes.

Limitation of Liability

Binary Stream Software Inc. assumes no responsibility or liability for any errors or inaccuracies that may appear in this manual. Information and views expressed in this document may change without notice. Examples depicted herein are provided for illustration only.

Trademarks

Microsoft, Microsoft Dynamics, Dexterity, Excel, Outlook, SQL Server, and Windows are registered trademarks of the Microsoft group of companies. All other trademarks are the property of their respective owners, including product names for Binary Stream Software.

The names of companies, products, people and/or data used in window illustrations and sample output are fictitious and are in no way intended to represent any real individual, company, product, or event, unless otherwise noted.

Warranty Disclaimer

Binary Stream Software Inc. disclaims any warranty regarding any sample code contained in this documentation, including the warranties of merchantability and fitness for a particular purpose.

License Agreement

Use of this product is covered by a license agreement provided by Binary Stream Software Inc. If you have any questions, please call the Binary Stream office at +1.604.522.6300.

Support Versions

eMailer Manager for Microsoft Dynamics GP is supported in Canada and the United States.

Last updated: Thursday, December 11, 2025

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support

If you require support, or want the latest information about your software, visit the Binary Stream Portal (https://portal.binarystream.com/) External link. You can access the following information and services from the Binary Stream Portal:

  • Product information and downloads - provides the latest product information and software downloads
  • Knowledge base - provides you with solutions to common issues that customers experience
  • Frequently asked questions - provides you with answers to frequently asked general questions about Binary Stream and Binary Stream products
  • Help desk - provides you with a way to submit new support cases for issues that you experience and cannot find a solution; you can also update your existing support cases

For sales and purchasing information, visit www.binarystream.com [image] .

For more information about Binary Stream support, review the following:

  • Customer support policy
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Tips for Using the Documentation

To search for the content you want, use one of the following options:

  • Select the Contents tab, and browse through the article names.
  • Select the Index tab, and type keywords for content that you want.
  • Use the Search box to search for keywords or phrases.
    Tip: To search for a phrase, put quotation marks around the phrase. For example, "big red car".

Images within the Documentation

Many of the images that appear in the documentation are smaller than the actual size. To view the full-size of an image, select the image. Selecting the full-size image closes it and returns you to the content you are reviewing.

For example, select the following image of the Binary Stream Portal to see the full-size version of the image:

Note icon. Note: You might have to make the size of your window larger to be able to see the full-size image properly.

Tip: For large images, maximize the size of the window before you select the image to view it.

Videos within the Documentation

Some articles include videos that provide more information about a particular setting or a task. When you select the link to watch a video, the video opens in a new web browser tab or window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Accessing the Extra Windows for All Binary Stream Programs

For the Microsoft Dynamics GP 2016 Web Client, Microsoft introduced a change such that only one Microsoft Dynamics GP window can be active at a time. So if you are not using the alternate window for the Binary Stream program, the extra window is not visible. Instead, the extra window is hidden behind the currently active window.

Use one of the following methods to access the Binary Stream extra window:

  • In the active window, select the Additional button, and then select the extra window you want to make active.
  • In the Web client Navigation pane, select the Window Search [image] button, which opens the Search for a Form or Report window. In the search window, select the extra window you want to make active.

After you select the extra window, it becomes the active window and appears in front of the main Microsoft Dynamics GP window.

See also

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Integrations with Other Binary Stream Programs

eMailer Manager currently integrates with the following Binary Stream programs:

  • While eMailer Manager does not explicitly integrate with any specific Binary Stream program, it is compatible with all Binary Stream programs.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Documentation for eMailer Manager

Welcome to the documentation for eMailer Manager for Microsoft Dynamics GP.

The documentation provides information in the following categories:

  • Installation
  • Concepts
  • Examples
  • Workflows and Procedures
  • Windows
  • Integration

In the Contents tab, a book icon representing each category is available. Expand a book to view the articles within the category. If a book does not appear for a category, information within the category is not available for EM.

For tips on how to find the content you want, see Using the documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window: Buttons

Cancel

Closes the window.

Redisplay

Updates the scrolling window or list view.

Select

Selects the currently-highlighted record, closes this window, and updates the previous window with the information for the selected record.

You also can double-click the record in the scrolling window to select it.

Sort

Sorts the information in the window according to the column heading shown on the button.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window: Fields

Find by

Specify the name or identifier of the record you want. When you press Tab on the keyboard, the list scrolls to the record that most closely matches the text you type. The label for this field changes and is based on the type of data you are looking up.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window

Button showing that window Overview page is currently viewed.

lookup button

Use this window to select the record you want to view or edit. The fields, buttons, and list view colunms differ based on the type of data you are looking up.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


EFT Setup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


EFT Setup: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Do not combine attachments for same vendor

Select to send separate email messages to a vendor if the vendor has two or more EFT remittances. When this option is cleared, all EFT remittances are sent in a single email message.

Tip: If the file size of the attachments are large, consider selecting this option.

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Enable reminder on Generate EFT Files

Select to get a reminder to print the EFT report before generating the EFT file when you select Generate EFT File on the Generate EFT Files window.

Report Option

For information about assigning report types for document types, document sub-types, and entities, see Selecting Reports.

Note icon. Note: To set up and test any Crystal Reports, SQL reports, or Word templates that you send, the system administrator must use the instructions in the eMailer Manager Installation Guide.

Report Type

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

    • Tip: To use a password to protect a Microsoft Word document (.docx format) that is sent as an attachment with an email message select the Microsoft Dynamics GP system preference setting Protect .docx attachments with a password. Compatibility with this functionality is added in the following versions: Microsoft Dynamics GP 2018 (eMailer Manager build 701), Microsoft Dynamics GP 2016 R2 (eMailer Manager build 606), and Microsoft Dynamics GP 2015 R2 (eMailer Manager build 509).

    For more information about system preferences, see the Microsoft Dynamics GP documentation.

Sent Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report. During transmission, a PDF file is created from the report and saved in the Attachment Path folder.

Sent Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Note the forward slash (/) at the beginning of the URL.

Unsent Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report.

Unsent Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Note the forward slash (/) at the beginning of the URL.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Internet Information: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Internet Information: Fields

Internet Information

E-mail

Specify the email address for the recipient. If you enter multiple email addresses, they must be separated by a semi-colon (;).

Note icon. Note: Emailer Solution does not use the email address from the To box of the E-mail Addresses section. Enter the email address that you want to use in the E-mail box in the Internet Information section.

User Defined 1 and 2

Specify the attachment path information.

When the path name is longer than 200 characters, use the short path names (8 characters) rather than the long path name.

For example, if the long path name is C:\Microsoft\Temp, the short path name would be C:\Micros~1\Temp.

Tip: Use the command prompt to help you determine what the short file name is.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Project Accounting Setup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Project Accounting Setup: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Do not combine attachments for same customer

Select to send separate email messages to a customer if the customer has two or more attachment files. When this option is cleared, all file attachments are sent in a single email message.

For example, three files in the Attachment Path are for Customer A. When this option is selected, Customer A receives three separate email messages each with a different file attached to the message. When this option is cleared, Customer A receives one email message with all three files attached to the one message.

Tip: If the file size of the attachments are large, consider selecting this option.

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Enable atachment validation

Select to add a column in the Mass SOP Transmission window that shows the number of attached documents for each email message.

Printing Option Defaults

Bill Format

Select a billing format to use for the billing invoice instead of the billing formats that have been assigned to the customers, contracts, or projects.

Select Override to use the format that you select.

Collate By, then by

Select the sequence in which to print the billing invoices:

  • Invoice Number
  • Invoice Date
  • Customer
  • Contract
  • Contract Class
  • Contract Manager
  • Contract Business Manager
  • Salesperson
  • Project
  • Project Class
  • Project Manager
  • Project Business Manager
  • Department

Description (Bill Format)

Displays a description of the billing format selected.

Multicurrency

Select to use the version of the billing format that is set up for multiple currencies.

Override

Select to use the Bill Format that you selected for the billing invoice instead of the billing format that have been assigned to the customers, contracts, or projects.

Use Document Bill Format

Select to use the billing formats that have been assigned to the customers, contracts, or projects for the billing invoice.

Report Option

For information about assigning report types for document types, document sub-types, and entities, see Selecting Reports.

Note icon. Note: To set up and test any Crystal Reports, SQL reports, or Word templates that you send, the system administrator must use the instructions in the eMailer Manager Installation Guide.

Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report. During transmission, a PDF file is created from the report and saved in the Attachment Path folder.

Report Type

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

    • Tip: To use a password to protect a Microsoft Word document (.docx format) that is sent as an attachment with an email message select the Microsoft Dynamics GP system preference setting Protect .docx attachments with a password. Compatibility with this functionality is added in the following versions: Microsoft Dynamics GP 2018 (eMailer Manager build 701), Microsoft Dynamics GP 2016 R2 (eMailer Manager build 606), and Microsoft Dynamics GP 2015 R2 (eMailer Manager build 509).

    For more information about system preferences, see the Microsoft Dynamics GP documentation.

Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Ensure that the URL begins with a forward slash (/).

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchase Order Print Options: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchase Order Print Options: Fields

Currency

Select the currency to print on the purchase orders:

  • Orginating
  • Functional

Print Options

Combine Similar Items

Select to combine similar items on the purchase order.

When this option is cleared, all items appear separately on the purchase order.

Include In Totals

Select to include the canceled items in the item total. Available when Print Canceled Items is selected.

When this option is cleared, canceled items are not included in the item total of the purchase order.

Include Tax Details

Select to include tax details in the purchase order.

Line Item and Summary

Select to print the tax amount for each line item and a summary of all taxes. Available when Include Tax Details is selected.

Print Canceled Items

Select to print any canceled items on the purchase order.

When this option is cleared, canceled items are not printed on the purchase order.

Print Dual Currencies

Select to show amounts in both the functional and originating currencies on the purchase order. Available when Include Tax Details is selected.

When this option is cleared, the amounts appear only in the Currency selected.

Print One Purchase Order Per Address

Select to print separate purchase orders for each address associated with a vendor.

When this option is cleared, one purchase is printed for a vendor regardless of the number of addresses used for the purchase orders.

Print Reference Number and FOB

Select to print the reference number and the FOB on the purchase order.

When this option is cleared, these items are not printed on the purchase order.

Summary Taxes Only

Select to print only a summary of all taxes. Available when Include Tax Details is selected.

Purchase Order Format

Select the purchase order format:

  • Blank Paper
  • Other Form

Type

Select the purchase order type to print:

  • Standard
  • Drop-Ship
  • Blanket
  • Drop-Ship Blanket
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


PO Setup: Buttons

OK

Saves any changes, and closes the window.

Options

Opens the Purchase Order Print Options window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


PO Setup: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Do not combine attachments for same vendor

Select to send separate email messages to a vendor if the vendor has two or more attachment files. When this option is cleared, all file attachments are sent in a single email message.

For example, three files in the Attachment Path are for Vender A. When this option is selected, Vendor A receives three separate email messages each with a different file attached to the message. When this option is cleared, Vendor A receives one email message with all three files attached to the one message.

Tip: If the file size of the attachments are large, consider selecting this option.

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Enable Workflow Validation

Select to validate the workflow for the purchase order.

Report Option

For information about assigning report types for document types, document sub-types, and entities, see Selecting Reports.

Note icon. Note: To set up and test any Crystal Reports, SQL reports, or Word templates that you send, the system administrator must use the instructions in the eMailer Manager Installation Guide.

Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report. During transmission, a PDF file is created from the report and saved in the Attachment Path folder.

Report Type

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

    • Tip: To use a password to protect a Microsoft Word document (.docx format) that is sent as an attachment with an email message select the Microsoft Dynamics GP system preference setting Protect .docx attachments with a password. Compatibility with this functionality is added in the following versions: Microsoft Dynamics GP 2018 (eMailer Manager build 701), Microsoft Dynamics GP 2016 R2 (eMailer Manager build 606), and Microsoft Dynamics GP 2015 R2 (eMailer Manager build 509).

    For more information about system preferences, see the Microsoft Dynamics GP documentation.

Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Ensure that the URL begins with a forward slash (/).

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Payroll - Canada Setup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Payroll - Canada Setup: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Include YTD Totals

Select to add lines for pay codes that only have year-to-date amounts and do not have amounts in the current batch.

Note icon. Note: This option applies to the current batch only.

When this option is cleared, only lines for pay codes that have amounts in the current batch appear.

Report Option

For information about assigning report types for document types, document sub-types, and entities, see Selecting Reports.

Note icon. Note: To set up and test any Crystal Reports, SQL reports, or Word templates that you send, the system administrator must use the instructions in the eMailer Manager Installation Guide.

Detail Advice/Summary Advice/T4 Report Type

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report. During transmission, a PDF file is created from the report and saved in the Attachment Path folder.

Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Ensure that the URL begins with a forward slash (/).

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Payroll Setup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Payroll Setup: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Send All Users Documents

Select to ensure that documents generated by all users (or the current user) are available as attachments for email or fax transmissions. When this option is cleared, attachments generated by the current user only are availabe as attachments for email or fax transmissions.

Report Option

For information about assigning report types for document types, document sub-types, and entities, see Selecting Reports.

Note icon. Note: To set up and test any Crystal Reports, SQL reports, or Word templates that you send, the system administrator must use the instructions in the eMailer Manager Installation Guide.

Direct Deposit Report Type

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report. During transmission, a PDF file is created from the report and saved in the Attachment Path folder.

Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Ensure that the URL begins with a forward slash (/).

W-2 Form Report

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

The following W-2 forms are supported:

  • W-2 Copy A
  • W-2 Copy B
  • W-2 Copy C
  • W-2 Copy D
  • W-2 Copy 1
  • W-2 Copy 2

Select the W-2 form type that you use, and for each W-2 form type, enter values for the Report Path and the Report URL.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eMailer Manager Setup: Buttons

Cancel

Cancels all changes and closes the window.

EFT Setup

Opens the EFT Setup window.

OK

Saves any changes, and closes the window.

Payroll – Canada

Opens the Payroll - Canada Setup window.

Payroll Setup

Opens the Payroll Setup window.

PO Setup

Opens the PO Setup window.

Project Accounting

Opens the Project Accounting Setup window.

SOP Setup

Opens the SOP Setup window.

The settings from this window are the default settings in the processing window when you create invoices and returns.

Statement Setup

Opens the Statement Setup window.

The settings from this window are the default settings in the processing window when you print invoices.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eMailer Manager Setup: Fields

Preference area

Delete Attachments

Select to delete files that were created and sent to vendors, customers, and employees. When this option is selected, any files that are created and sent to the vendors, customers, and employees through eMailer Manager are deleted from the Attachment Path folder after the email or fax transmission is finished.

When this option is cleared, the files that are created and sent to the vendors, customers, and employees through eMailer Manager remain in the Attachment Path folder after the email or fax transmission is finished. You must manually delete these files.

Enable Transmission Log Report

Select to generate and display a transmission log report after an email or fax transmission finishes.

Print Option

Select the print option for creating PDF files:

  • Acrobat PDF Writer: Prints Microsoft Dynamics GP Reports and Crystal Reports as Adobe Acrobat PDF files.
  • novaPDF: Prints Microsoft Dynamics GP Reports and Crystal Reports as novaPDF files.

If you want to use novaPDF, the system administrator must reset novaPDF as the print option if one of the following situations has occured:

  • No one has used novaPDF on the computer
  • You have previously used Acrobat PDF Writer and are switching to novaPDF.

Select Auto attachments with (Prefix, Suffix)

Select to attach files that have a specific Prefix or Suffix in the file name to email or fax transmissions. When selected, eMailer Manager checks the Auto Attachments folder for files that have the specified Prefix or Suffix in the file name, and attaches those files to the email or fax transmission.

When this option is cleared, eMailer Manager only reads the first column of the file name and attaches the file to a customer ID that matches the specific value. Closed Review an example to better understand how the files are selected as attachments.

On the Mass SOP Transmission window, the Process Type is SOP Documents. You want to send documents for SOP document number STDINV2057.

The Auto Attachments Path folder contains the following files:

  • STDINV2057-.txt
  • STDINV2057-Y.txt
  • STDINV2057.txt
  • X_STDINV2057-Y.txt
  • X_STDINV2057.txt
  • _STDINV2057-.txt
  • _STDINV2057.txt

The files selected according to the following table depend on the prefix and suffix values for the the Select Auto attachments with (Prefix, Suffix) option on the eMailer Manager Setup:

  • "" indicates a blank value
  • X indicates the file is selected as an attachment by eMailer Manager
Prefix Suffix Table
Case | STDINV2057-.txt | STDINV2057-Y.txt | STDINV2057.txt | X_STDINV2057-Y.txt | X_STDINV2057.txt | _STDINV2057-.txt | _STDINV2057.txt
prefix = "" suffix = "" | X | X | X | X | X | X | X
prefix = "_" suffix = "" |  |  |  | X | X | X | X
prefix = "" suffix = "-" | X | X |  | X |  | X |
prefix = "_" suffix = "-" |  |  |  | X |  | X |

Notes:

  • The file name may contain additional characters to the left of the file name (or prefix) and to the right of the file name (or suffix). For example, XXXXX_STDINV2057-YYYYYY.txt.
  • With the Auto Attachments feature, a maximum of 20 files per selected document number or employee ID can be attached.

Use Date Format as YYYY_MM_DD for Attachments

Select to use the specified date format in the PDF or Word files that are generated. The names of the resulting files following the following convention:

  • For statements: YYYY-MM-DD-CustomerID.pdf/.docx
  • For payroll direct deposit: YYYY-MM-DD-EmpID-DirectDepositNumber.pdf/.docx

Transmission Option

Select the program you want to use to transmit email messages: Outlook or Lotus

Disable Outlook Default Signature

Select to prevent the default signature for new messages from appearing on any email messages sent through eMailer Manager.

When this check box is cleared, the default signature for new messages that you set up in Outlook appears on all email messages sent through eMailer Manager.

Enable Email

Select to send email messages through Outlook or Lotus. When this check box is cleared, you cannot send documents through email messages.

Note icon. Note: All email messages that are sent use the active email address of the sender. If you want to show a generic email address (for example, customercare@company.com) to send the messages, you must set up and use the generic email account.

Enable Fax through Outlook

Select to be able to send fax transmissions using Outlook via Open Text Fax Server RightFax and Microsoft Exchange. Available when Outlook is selected as the transmission program

When a fax transmission is sent, the address format is based on the Outlook settings. The To field format is as follows: [FAX:Name@FaxNumber]. For example, the To field for a fax sent to Joe User with the fax number 888-888-5555 appears as follows: [FAX:Joe@888-888-5555].

Enable Internet Fax

Select to be able to send fax transmissions through the Internet.

When a fax transmission is sent, the address format is based on the Outlook or Lotus settings. The To field format for both programs is as follows: FaxNumber@Fax Engine Domain. For example, the To field for a fax sent to Joe User with the fax number 888-888-5555 and a fax engine domain of joescompany.com appears as follows: 888-888-5555@joescompany.com.

Enable Win Fax Transmission

Select to be able to send fax transmission through WinFax.

Fax Engine Domain

Specify a valid fax domain to be used as a default fax domain. Available when Enable Internet Fax is selected.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Back Order Setup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Back Order Setup: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Report Option

For information about assigning report types for document types, document sub-types, and entities, see Selecting Reports.

Note icon. Note: To set up and test any Crystal Reports, SQL reports, or Word templates that you send, the system administrator must use the instructions in the eMailer Manager Installation Guide.

Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report. During transmission, a PDF file is created from the report and saved in the Attachment Path folder.

Report Type

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

    • Tip: To use a password to protect a Microsoft Word document (.docx format) that is sent as an attachment with an email message select the Microsoft Dynamics GP system preference setting Protect .docx attachments with a password. Compatibility with this functionality is added in the following versions: Microsoft Dynamics GP 2018 (eMailer Manager build 701), Microsoft Dynamics GP 2016 R2 (eMailer Manager build 606), and Microsoft Dynamics GP 2015 R2 (eMailer Manager build 509).

    For more information about system preferences, see the Microsoft Dynamics GP documentation.

Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Ensure that the URL begins with a forward slash (/).

Send Emails to

Select the email address to which to send the SOP document:

  • Primary Address ID: Sends the SOP document to the email address associated with the primary address ID, as specified in the Address ID box on the Customer Maintenance window.
  • Default Ship To: Sends the SOP document to the email address associated with the ship-to address, as specified in the Ship To box on the Customer Maintenance window.
  • Default Bill To: Sends the SOP document to the email address associated with the bill-to address, as specified in the Bill To box on the Customer Maintenance window.

You can select one or more of the options for sending the SOP document to the selected email address. For example, you select Primary Address ID and Bill To, the SOP document is sent to the email addresses for both the primary address and the bill-to address.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Fulfillment OrderSetup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Fulfillment Order Setup: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Report Option

For information about assigning report types for document types, document sub-types, and entities, see Selecting Reports.

Note icon. Note: To set up and test any Crystal Reports, SQL reports, or Word templates that you send, the system administrator must use the instructions in the eMailer Manager Installation Guide.

Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report. During transmission, a PDF file is created from the report and saved in the Attachment Path folder.

Report Type

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

    • Tip: To use a password to protect a Microsoft Word document (.docx format) that is sent as an attachment with an email message select the Microsoft Dynamics GP system preference setting Protect .docx attachments with a password. Compatibility with this functionality is added in the following versions: Microsoft Dynamics GP 2018 (eMailer Manager build 701), Microsoft Dynamics GP 2016 R2 (eMailer Manager build 606), and Microsoft Dynamics GP 2015 R2 (eMailer Manager build 509).

    For more information about system preferences, see the Microsoft Dynamics GP documentation.

Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Ensure that the URL begins with a forward slash (/).

Send Emails to

Select the email address to which to send the SOP document:

  • Primary Address ID: Sends the SOP document to the email address associated with the primary address ID, as specified in the Address ID box on the Customer Maintenance window.
  • Default Ship To: Sends the SOP document to the email address associated with the ship-to address, as specified in the Ship To box on the Customer Maintenance window.
  • Default Bill To: Sends the SOP document to the email address associated with the bill-to address, as specified in the Bill To box on the Customer Maintenance window.

You can select one or more of the options for sending the SOP document to the selected email address. For example, you select Primary Address ID and Bill To, the SOP document is sent to the email addresses for both the primary address and the bill-to address.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Invoice Setup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Invoice Setup: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Display Default

Select the invoices that appear by default in scrolling window on the Mass SOP Transmission window:

  • Include: Select to include all Unposted or Posted invoices.
  • Exclude fully paid invoices: Select to exclude fully-paid invoices

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Report Option

For information about assigning report types for document types, document sub-types, and entities, see Selecting Reports.

Note icon. Note: To set up and test any Crystal Reports, SQL reports, or Word templates that you send, the system administrator must use the instructions in the eMailer Manager Installation Guide.

Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report. During transmission, a PDF file is created from the report and saved in the Attachment Path folder.

Report Type

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

    • Tip: To use a password to protect a Microsoft Word document (.docx format) that is sent as an attachment with an email message select the Microsoft Dynamics GP system preference setting Protect .docx attachments with a password. Compatibility with this functionality is added in the following versions: Microsoft Dynamics GP 2018 (eMailer Manager build 701), Microsoft Dynamics GP 2016 R2 (eMailer Manager build 606), and Microsoft Dynamics GP 2015 R2 (eMailer Manager build 509).

    For more information about system preferences, see the Microsoft Dynamics GP documentation.

Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Ensure that the URL begins with a forward slash (/).

Send Emails to

Select the email address to which to send the SOP invoice document:

  • Primary Address ID: Sends the SOP invoice document to the email address associated with the primary address ID, as specified in the Address ID box on the Customer Maintenance window.
  • Default Ship To: Sends the SOP invoice document to the email address associated with the default ship-to address, as specified in the Ship To box on the Customer Maintenance window.
  • Default Bill To: Sends the SOP invoice document to the email address associated with the default bill-to address, as specified in the Bill To box on the Customer Maintenance window.
  • Bill To: Sends the SOP invoice document to the email address associated with the bill-to address for the order, as specified in the Bill To Address ID box on the Sales Customer Detail Entry window.

    This option is introduced in Microsoft Dynamics GP 2010 (eMailer Manager Build 235) and Microsoft Dynamics GP 2016 R2 (eMailer Manager Build 605).

    To see the email address to be used, go to the Email box on the Internet Information window (Sales Transaction Entry > Customer ID expansion button > Bill to Address ID link > Internet Addresses button). Closed Review a scenario on when the Bill To option is useful.

This option might be useful in the following type of scenario:

  • On the SOP Invoice Setup window, in Send Emails to, Bill To is selected.
  • You use a third-party web application to create sales orders in Microsoft Dynamics GP

When a sales order is created through the third-party web application, the user does not know their Microsoft Dynamics GP customer number. So, the sales order that is created is assigned to the same generic customer number in Microsoft Dynamics GP. For each web-initiated sales order, a new bill-to address ID that contains the correct email address is created.

When the sales order documents are sent from the Mass SOP Transmission window, the email address that is used is the Bill to Address ID specified on the Sales Customer Detail Entry window on the sales order, instead of the customer-specified email address on the sales order.

For examples on how this option works with the send SOP email options on the Customer Transmission Setup window, see SOP Invoice Documents Sent to an Email Address: Examples.

You can select one or more of the options for sending the SOP invoice document to the selected email address. For example, you select Primary Address ID and Bill To, the SOP invoice document is sent to the email addresses for both the primary address and the bill-to address.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Order Setup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Order Setup: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Report Option

For information about assigning report types for document types, document sub-types, and entities, see Selecting Reports.

Note icon. Note: To set up and test any Crystal Reports, SQL reports, or Word templates that you send, the system administrator must use the instructions in the eMailer Manager Installation Guide.

Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report. During transmission, a PDF file is created from the report and saved in the Attachment Path folder.

Report Type

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

    • Tip: To use a password to protect a Microsoft Word document (.docx format) that is sent as an attachment with an email message select the Microsoft Dynamics GP system preference setting Protect .docx attachments with a password. Compatibility with this functionality is added in the following versions: Microsoft Dynamics GP 2018 (eMailer Manager build 701), Microsoft Dynamics GP 2016 R2 (eMailer Manager build 606), and Microsoft Dynamics GP 2015 R2 (eMailer Manager build 509).

    For more information about system preferences, see the Microsoft Dynamics GP documentation.

Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Ensure that the URL begins with a forward slash (/).

Send Emails to

Select the email address to which to send the SOP order document:

  • Primary Address ID: Sends the SOP order document to the email address associated with the primary address ID, as specified in the Address ID box on the Customer Maintenance window.
  • Default Ship To: Sends the SOP order document to the email address associated with the default ship-to address, as specified in the Ship To box on the Customer Maintenance window.
  • Default Bill To: Sends the SOP order document to the email address associated with the default bill-to address, as specified in the Bill To box on the Customer Maintenance window.
  • Bill To: Sends the SOP order document to the email address associated with the bill-to address for the order, as specified in the Bill To Address ID box on the Sales Customer Detail Entry window.

    This option is introduced in Microsoft Dynamics GP 2010 (eMailer Manager Build 234) and Microsoft Dynamics GP 2016 R2 (eMailer Manager Build 604).

    To see the email address to be used, go to the Email box on the Internet Information window (Sales Transaction Entry > Customer ID expansion button > Bill to Address ID link > Internet Addresses button). Closed Review a scenario on when the Bill To option is useful.

This option might be useful in the following type of scenario:

  • On the SOP Order Setup window, in Send Emails to, Bill To is selected.
  • You use a third-party web application to create sales orders in Microsoft Dynamics GP

When a sales order is created through the third-party web application, the user doesn't know their Microsoft Dynamics GP customer number. So, the sales order that is created is assigned to the same generic customer number in Microsoft Dynamics GP. For each web-initiated sales order, a new bill-to address ID that contains the correct email address is created.

When the sales order documents are sent from the Mass SOP Transmission window, the email address that is used is the Bill to Address ID specified on the Sales Customer Detail Entry window on the sales order, instead of the customer-specified email address on the sales order.

For examples on how this option works with the send SOP email options on the Customer Transmission Setup window, see SOP Order Documents Sent to an Email Address: Examples.

You can select one or more of the options for sending the SOP order document to the selected email address. For example, you select Primary Address ID and Bill To, the SOP order document is sent to the email addresses for both the primary address and the bill-to address.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Print Options: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Print Options: Fields

Currency

Select the currency to print on the purchase orders:

  • Orginating
  • Functional

Document/Picking Ticket/Packing Slip

Select the SOP format:

  • Blank Paper
  • Long Form
  • Other Form
  • Short Form

Documents

Include Kit Components

Select to include kit components on the SOP document. When this option is cleared, kit components do not appear on the SOP document.

Include Tax Details

Select to include tax details in the purchase order.

Line Item and Summary

Select to print the tax amount for each line item and a summary of all taxes. Available when Include Tax Details is selected.

Print Customer Item

Select to print the customer item on the SOP document. When this option is cleared, the customer item is not printed on the SOP document.

Print Dual Currencies

Select to show amounts in both the functional and originating currencies on the purchase order. Available when Include Tax Details is selected.

When this option is cleared, the amounts appear only in the Currency selected.

Reprint Previously Printed

Select to be able to reprint previously printed SOP documents. When this option is cleared, you cannot reprint SOP documents that have been previously printed.

Summary Taxes Only

Select to print only a summary of all taxes. Available when Include Tax Details is selected.

Packing Slip

Include Drop-ship Items

Select to include drop-ship items with the packing slip. When this option is cleared, drop-ship items are not included with the packing slip.

Include Incomplete Docs

Select to include incomplete documents with the packing slip. When this option is cleared, only completed documents are included with the packing slip.

Include Item Comments

Select to include item comments with the packing slip. When this optin is cleared, item comments are not included with the packing slip.

Include Kit Components

Select to include kit components on the packing slip. When this option is cleared, kit components do not appear on the packing slip.

Packing Slip Per Site

Select to print a separate packing slip per site. When this option is cleared only one packing slip is printed for all sites.

Print Customer Item

Select to print the customer item on the packing slip. When this option is cleared, the customer item is not printed on the packing slip.

Reprint Previously Printed

Select to be able to reprint previously printed packing slips. When this option is cleared, you cannot reprint packing slips that have been previously printed.

Picking Ticket

Bin Sequenced

Select to print the picking tickets in the bin sequence.

Include Incomplete Docs

Select to include incomplete documents with the picking ticket. When this option is cleared, only completed documents are included with the picking ticket.

Include Item Comments

Select to include item comments with the picking ticket. When this optin is cleared, item comments are not included with the picking ticket.

Include Kit Components

Select to include kit components on the picking ticket. When this option is cleared, kit components do not appear on the picking ticket.

Picking Ticket Per Site

Select to print a separate picking ticket per site. When this option is cleared only one picking ticket is printed for all sites.

Print Back Orderd Items

Select to print back ordered items with the picking ticket. When this option is cleared, back ordered items are not printed with the picking ticket.

Print Picking Instructions

Select to print picking instructions with the picking ticket. When this option is cleared, the picking instructions are not printed with the picking ticket.

Reprint Previously Printed

Select to be able to reprint previously printed picking tickets. When this option is cleared, you cannot reprint picking tickets that have been previously printed.

Sort Kit Components

Select to sort kit components on the picking ticket. When this option is cleared, kit components are not sorted.

Type

Select the purchase order type to print:

  • Quote
  • Order
  • Fulfillment Order
  • Invoice
  • Return
  • Back Order
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Quote Setup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Quote Setup: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Report Option

For information about assigning report types for document types, document sub-types, and entities, see Selecting Reports.

Note icon. Note: To set up and test any Crystal Reports, SQL reports, or Word templates that you send, the system administrator must use the instructions in the eMailer Manager Installation Guide.

Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report. During transmission, a PDF file is created from the report and saved in the Attachment Path folder.

Report Type

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

    • Tip: To use a password to protect a Microsoft Word document (.docx format) that is sent as an attachment with an email message select the Microsoft Dynamics GP system preference setting Protect .docx attachments with a password. Compatibility with this functionality is added in the following versions: Microsoft Dynamics GP 2018 (eMailer Manager build 701), Microsoft Dynamics GP 2016 R2 (eMailer Manager build 606), and Microsoft Dynamics GP 2015 R2 (eMailer Manager build 509).

    For more information about system preferences, see the Microsoft Dynamics GP documentation.

Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Ensure that the URL begins with a forward slash (/).

Send Emails to

Select the email address to which to send the SOP document:

  • Primary Address ID: Sends the SOP document to the email address associated with the primary address ID, as specified in the Address ID box on the Customer Maintenance window.
  • Default Ship To: Sends the SOP document to the email address associated with the ship-to address, as specified in the Ship To box on the Customer Maintenance window.
  • Default Bill To: Sends the SOP document to the email address associated with the bill-to address, as specified in the Bill To box on the Customer Maintenance window.

You can select one or more of the options for sending the SOP document to the selected email address. For example, you select Primary Address ID and Bill To, the SOP document is sent to the email addresses for both the primary address and the bill-to address.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Return Setup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Return Setup: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Report Option

For information about assigning report types for document types, document sub-types, and entities, see Selecting Reports.

Note icon. Note: To set up and test any Crystal Reports, SQL reports, or Word templates that you send, the system administrator must use the instructions in the eMailer Manager Installation Guide.

Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report. During transmission, a PDF file is created from the report and saved in the Attachment Path folder.

Report Type

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

    • Tip: To use a password to protect a Microsoft Word document (.docx format) that is sent as an attachment with an email message select the Microsoft Dynamics GP system preference setting Protect .docx attachments with a password. Compatibility with this functionality is added in the following versions: Microsoft Dynamics GP 2018 (eMailer Manager build 701), Microsoft Dynamics GP 2016 R2 (eMailer Manager build 606), and Microsoft Dynamics GP 2015 R2 (eMailer Manager build 509).

    For more information about system preferences, see the Microsoft Dynamics GP documentation.

Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Ensure that the URL begins with a forward slash (/).

Send Emails to

Select the email address to which to send the SOP document:

  • Primary Address ID: Sends the SOP document to the email address associated with the primary address ID, as specified in the Address ID box on the Customer Maintenance window.
  • Default Ship To: Sends the SOP document to the email address associated with the ship-to address, as specified in the Ship To box on the Customer Maintenance window.
  • Default Bill To: Sends the SOP document to the email address associated with the bill-to address, as specified in the Bill To box on the Customer Maintenance window.

You can select one or more of the options for sending the SOP document to the selected email address. For example, you select Primary Address ID and Bill To, the SOP document is sent to the email addresses for both the primary address and the bill-to address.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Setup: Buttons

Back Order

Opens the SOP Back Order Setup window.

Cancel

Cancels all changes and closes the window.

Fulfillment Order

Opens the SOP Fulfillment Order Setup window.

Invoice

Opens the SOP Invoice Setup window.

OK

Saves any changes, and closes the window.

Order

Opens the SOP Order Setup window.

Print Options

Opens the Print Options window.

Quote

Opens the SOP Quote Setup window.

Return

Opens the SOP Return Setup window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Setup: Fields

Add Customer Name to the file name

Select to add the customer name to the file name of the attachment when the email or fax transmission occurs. The customer name is added after the customer number in the file name.

When this option is cleared, the customer name is not added to the file name of the attachment.

For example, when the option is cleared, the file name is Cust1_SOPDoc.PDF/.docx, but when this option is selected, the file name is Cust1_CustName_SOPDoc.PDF/.docx.

Add Customer PO Number at Email/Fax Subject

Select to add the customer PO number to the subject line of the the email or fax message. When this option is cleared, the customer PO number is not added.

Add ExpiryDate of Renewal at Email/Fax Subject

Select to add the expiry date of renewal to the subject line of the the email or fax message. When this option is cleared, the expiry date of renewal is not added.

Available when Recurring Billing Manager is installed.

Add SOP Number at Email/Fax Subject

Select to add the SOP document number to the subject line of the the email or fax message. When this option is cleared, the SOP number is not added.

Note icon. Note: If the Do not combine attachments for same customer option is not selected, multiple SOP documents may be attached to the same email message. In this case, the subject line of the email message contains the SOP number for only the first SOP document.

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Do not combine attachments for same customer

Select to send separate email messages to a customer if the customer has two or more attachment files. When this option is cleared, all file attachments are sent in a single email message.

For example, three files in the Attachment Path are for Customer A. When this option is selected, Customer A receives three separate email messages each with a different file attached to the message. When this option is cleared, Customer A receives one email message with all three files attached to the one message.

Tip: If the file size of the attachments are large, consider selecting this option.

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Enable atachment validation

Select to add a column in the Mass SOP Transmission window that shows the number of attached documents for each email message.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Statement Setup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Statement Setup: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Enable atachment validation

Select to add a column in the Mass SOP Transmission window that shows the number of attached documents for each email message.

Report Option

For information about assigning report types for document types, document sub-types, and entities, see Selecting Reports.

Note icon. Note: To set up and test any Crystal Reports, SQL reports, or Word templates that you send, the system administrator must use the instructions in the eMailer Manager Installation Guide.

Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report. During transmission, a PDF file is created from the report and saved in the Attachment Path folder.

Report Type

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

    • Tip: To use a password to protect a Microsoft Word document (.docx format) that is sent as an attachment with an email message select the Microsoft Dynamics GP system preference setting Protect .docx attachments with a password. Compatibility with this functionality is added in the following versions: Microsoft Dynamics GP 2018 (eMailer Manager build 701), Microsoft Dynamics GP 2016 R2 (eMailer Manager build 606), and Microsoft Dynamics GP 2015 R2 (eMailer Manager build 509).

    For more information about system preferences, see the Microsoft Dynamics GP documentation.

Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Ensure that the URL begins with a forward slash (/).

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Template Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Template Maintenance: Fields

Description

Displays a description of the template, or if you create a template, specify the template description.

Template ID

Specify a unique template ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Transmission Setup: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Transmission Setup: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Customer ID

Select the customer ID.

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Enable Email Transmission

Select to send email messages through Outlook or Lotus. When this check box is cleared, you cannot send documents through email messages.

Note icon. Note: All email messages that are sent use the active email address of the sender. If you want to show a generic email address (for example, customercare@company.com) to send the messages, you must set up and use the generic email account.

Enable Fax through Outlook

Select to be able to send fax transmissions using Outlook via Open Text Fax Server RightFax and Microsoft Exchange. Available when Outlook is selected as the transmission program

When a fax transmission is sent, the address format is based on the Outlook settings. The To field format is as follows: [FAX:Name@FaxNumber]. For example, the To field for a fax sent to Joe User with the fax number 888-888-5555 appears as follows: [FAX:Joe@888-888-5555].

Enable Internet Fax

Select to be able to send fax transmissions through the Internet.

When a fax transmission is sent, the address format is based on the Outlook or Lotus settings. The To field format for both programs is as follows: FaxNumber@Fax Engine Domain. For example, the To field for a fax sent to Joe User with the fax number 888-888-5555 and a fax engine domain of joescompany.com appears as follows: 888-888-5555@joescompany.com.

Enable Win Fax Transmission

Select to be able to send fax transmission through WinFax.

Name

Displays the name of the customer.

Report Option

For information about assigning report types for document types, document sub-types, and entities, see Selecting Reports.

Note icon. Note: To set up and test any Crystal Reports, SQL reports, or Word templates that you send, the system administrator must use the instructions in the eMailer Manager Installation Guide.

Report Type (Quote, Order, Invoice, Return, Back Order, Fulfillment Order, Statement, PA Report)

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report. During transmission, a PDF file is created from the report and saved in the Attachment Path folder.

Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Ensure that the URL begins with a forward slash (/).

Send SOP Emails to

Select the email address to which to send the SOP document:

  • Ship To: Sends the SOP document to the email address associated with the ship-to address that is entered on the SOP document.

    The default ship-to address is the Ship To address on the Customer Maintenance window. However, you can change this ship-to address on one of the following windows:

    • Sales Transaction Entry window, change the Ship To Address
    • Sales Customer Detail Entry window, change the Ship To Address ID
  • Bill To: Sends the SOP document to the email address associated with the bill-to address entered on the SOP document.

    The default bill-to address is the Bill To address on the Customer Maintenance window. However, you can change this bill-to address on the following window:

    • Sales Customer Detail Entry window, change the Bill To Address ID

You can select one or both of these options for sending the email message. When both options are selected, the SOP document is sent to both the ship-to and bill-to addresses.

Closed Sending SOP order documents

For examples on how this option works with the send SOP email options on the SOP Order Setup window, see SOP Order Documents Sent to an Email Address: Examples.

Closed Sending SOP invoice documents

For examples on how this option works with the send SOP email options on the SOP Invoice Setup window, see SOP Invoice Documents Sent to an Email Address: Examples.

Template ID

Select or create a new template for the selected customer.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Employee Transmission Setup: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Employee Transmission Setup - Canada: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Employee Transmission Setup - Canada: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

E-Mail

Specify the email address for this employee.

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Employee Password

Specify an alpha-numeric password that is used to encrypt PDF files created for the employee in the Mass Payroll Transmission window. When you specify the password, the password is not displayed in the window. Furthermore, it is saved in an encrypted format when you save the employee record to the database.

The employee can then use the password that you provide to open the encrypted PDF file. However, if you do not specify a password, then the PDF file is not encrypted.

You can use this feature only when Print Option is novaPDF on the eMailer Manager Setup window.

When Process Type is Payroll - Canada, this password protection feature applies to Detail Advice Slips, Summary Advice Slips, and T4 slips.

If you change the password in this field, previously created PDF files are not affected. Only newly created PDF files use the new password.

Fax

Specify the fax number for this employee.

Report Option

For information about assigning report types for document types, document sub-types, and entities, see Selecting Reports.

Note icon. Note: To set up and test any Crystal Reports, SQL reports, or Word templates that you send, the system administrator must use the instructions in the eMailer Manager Installation Guide.

Detail Advice/Summary Advice/T4 Report Type

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report. During transmission, a PDF file is created from the report and saved in the Attachment Path folder.

Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Ensure that the URL begins with a forward slash (/).

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Employee Transmission Setup: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Employee ID

Select an employee ID.

Employee Password

Specify an alpha-numeric password that is used to encrypt PDF files created for the employee in the Mass Payroll Transmission window. When you specify the password, the password is not displayed in the window. Furthermore, it is saved in an encrypted format when you save the employee record to the database.

The employee can then use the password that you provide to open the encrypted PDF file. However, if you do not specify a password, then the PDF file is not encrypted.

You can use this feature only when Print Option is novaPDF on the eMailer Manager Setup window.

When Process Type is Payroll - US, this password protection feature applies to Direct Deposit Earning Statements and W-2 Forms.

If you change the password in this field, previously created PDF files are not affected. Only newly created PDF files use the new password.

Enable Email Transmission

Select to send email messages through Outlook or Lotus. When this check box is cleared, you cannot send documents through email messages.

Note icon. Note: All email messages that are sent use the active email address of the sender. If you want to show a generic email address (for example, customercare@company.com) to send the messages, you must set up and use the generic email account.

Enable Fax through Outlook

Select to be able to send fax transmissions using Outlook via Open Text Fax Server RightFax and Microsoft Exchange. Available when Outlook is selected as the transmission program

When a fax transmission is sent, the address format is based on the Outlook settings. The To field format is as follows: [FAX:Name@FaxNumber]. For example, the To field for a fax sent to Joe User with the fax number 888-888-5555 appears as follows: [FAX:Joe@888-888-5555].

Enable Internet Fax

Select to be able to send fax transmissions through the Internet.

When a fax transmission is sent, the address format is based on the Outlook or Lotus settings. The To field format for both programs is as follows: FaxNumber@Fax Engine Domain. For example, the To field for a fax sent to Joe User with the fax number 888-888-5555 and a fax engine domain of joescompany.com appears as follows: 888-888-5555@joescompany.com.

Enable Win Fax Transmission

Select to be able to send fax transmission through WinFax.

Name

Displays the name of the employee.

Report Option

For information about assigning report types for document types, document sub-types, and entities, see Selecting Reports.

Note icon. Note: To set up and test any Crystal Reports, SQL reports, or Word templates that you send, the system administrator must use the instructions in the eMailer Manager Installation Guide.

Direct Deposit Report Type

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report. During transmission, a PDF file is created from the report and saved in the Attachment Path folder.

Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Ensure that the URL begins with a forward slash (/).

W-2 Form Report

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

The following W-2 forms are supported:

  • W-2 Copy A
  • W-2 Copy B
  • W-2 Copy C
  • W-2 Copy D
  • W-2 Copy 1
  • W-2 Copy 2

Select the W-2 form type that you use, and for each W-2 form type, enter values for the Report Path and the Report URL.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Transmission Setup: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Transmission Setup: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Enable Email Transmission

Select to send email messages through Outlook or Lotus. When this check box is cleared, you cannot send documents through email messages.

Note icon. Note: All email messages that are sent use the active email address of the sender. If you want to show a generic email address (for example, customercare@company.com) to send the messages, you must set up and use the generic email account.

Enable Fax through Outlook

Select to be able to send fax transmissions using Outlook via Open Text Fax Server RightFax and Microsoft Exchange. Available when Outlook is selected as the transmission program

When a fax transmission is sent, the address format is based on the Outlook settings. The To field format is as follows: [FAX:Name@FaxNumber]. For example, the To field for a fax sent to Joe User with the fax number 888-888-5555 appears as follows: [FAX:Joe@888-888-5555].

Enable Internet Fax

Select to be able to send fax transmissions through the Internet.

When a fax transmission is sent, the address format is based on the Outlook or Lotus settings. The To field format for both programs is as follows: FaxNumber@Fax Engine Domain. For example, the To field for a fax sent to Joe User with the fax number 888-888-5555 and a fax engine domain of joescompany.com appears as follows: 888-888-5555@joescompany.com.

Enable Win Fax Transmission

Select to be able to send fax transmission through WinFax.

Name

Displays the name of the vendor.

Report Option

For information about assigning report types for document types, document sub-types, and entities, see Selecting Reports.

Note icon. Note: To set up and test any Crystal Reports, SQL reports, or Word templates that you send, the system administrator must use the instructions in the eMailer Manager Installation Guide.

EFT/PO Report Type

Select the report type:

  • GP Report (default)
  • Crystal Report
  • SQL Server Report Service
  • Word Template (available as of Microsoft Dynamics GP 2013 R2)

Sent Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report. During transmission, a PDF file is created from the report and saved in the Attachment Path folder.

Sent Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Note the forward slash (/) at the beginning of the URL.

Unsent Report Path

Select the report path folder where the Crystal Report is located. Available when Report Type is Crystal Report.

Unsent Report URL

Specify the URL where the SQL Server Report is located. Available when Report Type is SQL Server Report Service. The report URL requires only the YourDirectory/YourReportName part of the SQL report server address.

When the Report Server Mode is Native on the Reporting Tools Setup window, enter the report URL in the format /YourDirectory/YourReportName. Note the forward slash (/) at the beginning of the URL.

Send EFT/PO Emails to

Select the email address to which to send the EFT or purchase order document:

  • Purchase: Sends the EFT or purchase order document to the email address associated with the purchase addess.
  • Remit To: Sends the EFT or purchase order document to the email address associated with the remit-to address.
  • Ship From: Sends the EFT or purchase order document to the email address associated with the ship-from address.

You can select one or more of the options for sending the email message.

If no address is selected, the email address used is the email address associated with the primary address of the vendor.

Vendor ID

Select a vendor ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Generate EFT Files: Buttons

Generate EFT File

Displays a reminder to print the EFT report before generating the EFT file. This behavior is for eMailer Manager and is turned on when Enable reminder on Generate EFT Files on the EFT Setup window is selected.

If you have printed the EFT report, select Continue to generate the EFT file. Or if you have not printed the EFT report, select Cancel to stop the process so you can print the EFT report.

Print > EFT Remittance Report

Opens the Mass Payables EFT Transmission window and updated the scrolling window with EFT slips (documents). This behavior is for eMailer Manager and differs from regular Microsoft Dynamics GP functionality associated with this button.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Emailer Audit Trail Inquiry: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Emailer Audit Trail Inquiry: Fields

Process

Select the process you want:

  • Email SOP Document: Displays sent SOP documents records.
  • Email Customer Statement: Displays sent customer statements records.
  • Email Purchase Order: Displays sent purchas order records.
  • Email EFT Payable: Displays sent EFT records.
  • Email Payroll Earnings Statement: Displays payroll records.

Range By (From, To)

Select the range of documents to show in this window:

  • Date
  • Entity ID
  • User ID

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Payables EFT Transmission: Buttons

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Move to Sent

Moves EFT slips that have not been sent into the history tables without actually sending the documents through email transmission.

Redisplay

Updates the scrolling window or list view.

Send

Processes, publishes, and sends all email or fax messages. After all activities have completed, an exception report is created. If any issues occurred, you can review the exception report.

Note icon. Note: To ensure that the process activities are not delayed, do not do any other work until after all of the process activities have completed.

For details and notes about the process for email and fax transmissions, see Processes During Mass Email/Fax Transmission.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Payables EFT Transmission: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Checkbook ID

Select a checkbook ID.

Do not Send Email without Attachment

Select to prevent sending email messages that do not have files attached to it.

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Include (Unsent, Sent)

Select to show Sent or Unsent EFT slips in the scrolling window.

Range By

Select the range of documents to show in this window:

  • Vendor ID
  • Check Number
  • Payment Number
  • Check Date
  • Class ID
  • Batch ID

You can then select to show All documents or specify a From/To range.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Project Accounting (Billing) Process: Buttons

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Processes, publishes, and sends all email or fax messages. After all activities have completed, an exception report is created. If any issues occurred, you can review the exception report.

Note icon. Note: To ensure that the process activities are not delayed, do not do any other work until after all of the process activities have completed.

For details and notes about the process for email and fax transmissions, see Processes During Mass Email/Fax Transmission.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Project Accounting (Billing) Process : Fields

Print Options

Bill Format

Select a billing format to use for the billing invoice instead of the billing formats that have been assigned to the customers, contracts, or projects.

Select Override to use the format that you select.

Note icon. Note: When you use a billing format for which you selected more than one bill report in the Billing Format Setup window (Tools > Setup > Project > Billing, select Billing Format), eMailer Manager creates the first report and sends it as an attachment.

Collate By, then by

Select the sequence in which to print the billing invoices:

  • Invoice Number
  • Invoice Date
  • Customer
  • Contract
  • Contract Class
  • Contract Manager
  • Contract Business Manager
  • Salesperson
  • Project
  • Project Class
  • Project Manager
  • Project Business Manager
  • Department

Description (Bill Format)

Displays a description of the billing format selected.

Include (Work, Open, History)

Select to print Work (saved) or Open (posted) billing invoices, or invoices that have been moved to the History.

Multicurrency

Select to use the version of the billing format that is set up for multiple currencies.

Override

Select to use the Bill Format that you selected for the billing invoice instead of the billing format that have been assigned to the customers, contracts, or projects.

Range By

Select the range of documents to show in this window:

  • Document Date
  • Batch Number
  • Customer ID
  • Project Number

You can then select to show All documents or specify a From/To range.

The project number is also displayed in the scrolling window. If the billing document is for more than one project, only the first project appears in the scrolling window with an asterisk (*) as a prefix with project number.

Use Document Bill Format

Select to use the billing formats that have been assigned to the customers, contracts, or projects for the billing invoice.

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass PO Transmission: Buttons

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Options

Opens the Purchase Order Print Options window.

These settings are used for publishing documents to PDF format. These settings override the Purchase Order Print Options window that is opened from the PO Setup window.

This button will close the form.

Redisplay

Updates the scrolling window or list view.

Process

Processes, publishes, and sends all email or fax messages. After all activities have completed, an exception report is created. If any issues occurred, you can review the exception report.

Note icon. Note: To ensure that the process activities are not delayed, do not do any other work until after all of the process activities have completed.

For details and notes about the process for email and fax transmissions, see Processes During Mass Email/Fax Transmission.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass PO Transmission: Fields

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Range By

Select the range of documents to show in this window:

  • Document Date
  • PO Number
  • Vendor ID

You can then select to show All documents or specify a From/To range.

Status

Select the status of the purchase order document to show in the scrolling window:

  • New
  • Released
  • All
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Payroll (Remittance) Transmission: Buttons

Create PDF/Word Only

Creates a PDF or Word file in the folder for the Attachment Path but does not attach the file to an email message, nor does it send the email message.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Move to Sent

Moves payroll remittances that have not been sent into the history tables without actually sending the documents through email transmission.

When Process Type is Payroll - Canada and Report Type is T4 Slips, this button is not available.

Redisplay

Updates the scrolling window or list view.

Print

Prints the W-2 Forms. Available when Process Type is Payroll - US and Report Type is W2-Forms. When you select this button, select one of the following formats:

  • 1 Wide - Continuous
  • 2 Wide - Continuous
  • 1 Wide - Single Feed
  • 4-Up - Laser Form

Process

Processes, publishes, and sends all email or fax messages. After all activities have completed, an exception report is created. If any issues occurred, you can review the exception report.

Note icon. Note: To ensure that the process activities are not delayed, do not do any other work until after all of the process activities have completed.

For details and notes about the process for email and fax transmissions, see Processes During Mass Email/Fax Transmission.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Payroll (Remittance) Transmission: Fields

Additional Attachment Paths

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

All Files Attachment Path

Select the folder location where additional documents that you want to attach to an email or fax message are saved. All files in the given folder, regardless of file name, are attached. You can attach up to a maximum of 15 additional files to each email message that you send.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Employer Number

Select an existing employer number. This employer number is used for T4 slips only. Available when Process Type is Payroll - Canada and Report Type is T4 Slips.

Include (Unsent, Sent)

Select to show Sent or Unsent EFT slips in the scrolling window.

When Process Type is Payroll - Canada and Report Type is T4 Slips, this box is not available.

Process Type

Select the type of payroll remittance to process:

  • Payroll-US
  • Payroll-Canada

Range By

Select the range of documents to show in this window:

  • Check Date
  • Employee ID
  • Document Number

You can then select to show All documents or specify a From/To range.

When Process Type is Payroll - Canada and Report Type is T4 Slips, you can only select Employee ID.

Report Type

Select the report type:

  • When Process Type is Payroll - US, the options available are: Direct Deposit Earning Statements or W-2 Forms.
    W-2 Forms records are displayed after year end.
  • When Process Type is Payroll - Canada, the options available are: Detail Advice Slips, Summary Advice Slips, Detail & Summary Advice Slips, and T4 Slips.

Reporting Year

Select the reporting year. Available when Process Type is Payroll - US and Report Type is W2-Forms.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass SOP Transmission: Buttons

Create PDF/Word Only

Creates a PDF or Word file in the folder for the Attachment Path but does not attach the file to an email message, nor does it send the email message.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Options

Opens the Print Options window.

These settings are used for publishing documents to PDF format. You can create picking tickets and packing slips as well. These settings override the Print Options window that is opened from the SOP Setup window.

Process

Processes, publishes, and sends all email or fax messages. After all activities have completed, an exception report is created. If any issues occurred, you can review the exception report.

Note icon. Note: To ensure that the process activities are not delayed, do not do any other work until after all of the process activities have completed.

For details and notes about the process for email and fax transmissions, see Processes During Mass Email/Fax Transmission.

Closed Processing SOP order documents

In Microsoft Dynamics GP 2010 (eMailer Manager Build 234 and newer) and Microsoft Dynamics GP 2016 R2 (eMailer Manager Build 604 and newer), the way SOP order documents are processed has changed based on the setting of the Send Emails to options on the SOP Order Setup window.

When Bill To is selected as one of the options in the Send Emails to area, the SOP order document is sent to the email address associated with the bill-to address for the order. For more information, review the description for the Bill To option.

For examples on how SOP order documents are processed, see SOP Order Documents Sent to an Email Address: Examples.

Closed Processing SOP invoice documents

In Microsoft Dynamics GP 2010 (eMailer Manager Build 235 and newer) and Microsoft Dynamics GP 2016 R2 (eMailer Manager Build 605 and newer), the way SOP invoice documents are processed has changed based on the setting of the Send Emails to options on the SOP Invoice Setup window.

When Bill To is selected as one of the options in the Send Emails to area, the SOP invoice document is sent to the email address associated with the bill-to address for the order. For more information, review the description for the Bill To option.

For examples on how SOP invoice documents are processed, see SOP Invoice Documents Sent to an Email Address: Examples.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass SOP Transmission: Fields

Additional Attachment Paths

Auto Attachments Path

Select the folder location where additional specially-named documents that you want to attach to a email or fax message are saved. To determine which additional documents are attached, see Names for Attached Files. You can attach up to a maximum of 20 of these additional files to each email message that you send.

You can change the auto-attachments path before transmission.

All Files Attachment Path

Select the folder location where additional documents that you want to attach to an email or fax message are saved. All files in the given folder, regardless of file name, are attached. You can attach up to a maximum of 15 additional files to each email message that you send.

Note icon. Note: If the Attachment Path and/or the Auto Attachments Path and/or the All Files Attachment Path are the same, you might experience an issue when sending email or fax transmissions. Ensure that these folder paths are different before you send email and fax transmissions. Also, ensure that the path name ends with a backslash (\).

Attachment Path

Select the folder location where PDF and Word files that are created by eMailer Manager are saved. These files are then attached to email and fax messages during the transmission process.

You can change the attachment path before transmission.

Batch Number

Select a batch number. If you specify a new batch number, the Sales Batch Entry window opens so you can create a batch. Available when the Process Type is SOP Documents, and Include is set to Unposted.

The SOP documents selected in the scrolling window are moved into this batch when processing is complete.

If the batch number is empty, the documents retain their current batch number.

Do not Include Attachment

Select to create a PDF or Word file in the specified attachment folder but not attach it to an email message.

Do not Send Email without Attachment

Select to prevent sending email messages that do not have files attached to it.

Email Body/Fax Cover

Specify the default message to be used for the body of an email message or the body of a fax cover letter for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 2000 characters.

Email/Fax Subject

Specify the default subject to be used in the subject box for any email or fax messages that are generated during transmission. You can change this text during processing. Maximum 50 characters.

Exclude Fully Paid Invoice

Select to exclude fully-paid invoices from appearing in the scrolling window.

Available when Process Type is SOP Documents, Type is Invoice, and Include is set to Posted. The default setting is set up in the SOP Invoice Setup window.

Include (Posted, Unposted)

Select to show Posted or Unposted SOP documents in the scrolling window.

When Type is Invoice, the default value is from the SOP Invoice Setup window.

Process Type

Select the type of documents you want to process:

  • SOP Documents: Prints and then sends through email and fax transmission the following SOP documents: quote, order, back order, fulfillment order, invoice, or return.
  • Statements: Prints and then sends through email and fax transmission statements.

    • Note icon. Note: Customers with a 0.00 amount balance do not appear in the list of customers in the scrolling window. However, if the customer is the parent customer of a National Account and at least one of its associated child customers has a non-zero balance, then the customer appears.

Range By

Select the range of documents to show in this window:

When Process Type is SOP Documents, the following options are available:

  • Document Number
  • Document Date
  • Customer Number
  • Batch Number
  • Due Date
  • Template ID

When Process Type is Statements, the following options are available:

  • Customer Number
  • Statement Cycle

You can then select to show All documents or specify a From/To range.

Template Statement

Available when Process Type is Statements.

Select the statement template for publishing the documents to PDF format. If the existing templates do not meet your needs you can create other templates in the Microsoft Dynamics GP Print Receivables Statements window.

Type

Select the type of SOP document to show in the scrolling window:

  • Quote
  • Order
  • Backorder
  • Fulfillment Order
  • Invoice
  • Return

Available when Process Type is SOP Documents.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.